<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.app.queuemetrics.asterisk.parser.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="it.loway.app.queuemetrics.asterisk.parser.*" %>
<%@ page import="it.loway.app.queuemetrics.configurazione.configurationwizard.*" %>
<%@ page import="it.loway.app.queuemetrics.html.WizardNavigationBar" %>
<%@ page import="java.util.*" %>

<%@ include file="/includes/00_page_header.jspf" %>

<%
    // $Id: autoconfWizard6.jsp,v 1.4 2015/09/28 08:41:10 marcos Exp $
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );

    // Start the Wizard Navigation Bar
    oDec.load( "autoconf_wznavbar", "autoconf_wzNavBar.txt", 0, 1 );
    WizardNavigationBar wzNavBar = new WizardNavigationBar(oDec, "autoconf_wznavbar");

    // Retrieve the information to be shown
    LTable ltOperationsList = oC.getLt("CONFWIZ_PageContents");
%>


<script defer>
    function onLoadApplicativo() {
            // transazione standard
            document.forms[0].<%= K.REQ_VERBO %>.value = "";
            document.forms[0].<%= K.REQ_PARAM %>.value = "";
    }
</script>


<center>
    <div id="xCorpo" align="center">
        <%=wzNavBar.RenderHTML(5)%><p/>
        <hr width="50%" color="grey">
    </div>
</center>

<center>
    Below is the list of completed operations and their result status.
    <br>Click on "Next" button to go back to main <%=CS.QUEUEMETRICS%> page.
    <p/>
</center>

<center>
    <%
        SmartTable operationsList = new SmartTable("CONFWIZ_UserAnswer", ltOperationsList);

        operationsList.addColumn( oDec.k("td_autoconf_wz_summary_id"), ConfWizardHandler.TBLRES_SUMMARY_ID, "100" );
        operationsList.addColumn( oDec.k("td_autoconf_wz_summary_name"), ConfWizardHandler.TBLRES_SUMMARY_NAME, "100" );
        operationsList.addColumn( oDec.k("td_autoconf_wz_summary_type"), ConfWizardHandler.TBLRES_SUMMARY_TYPE, "100" );
        operationsList.addColumn( oDec.k("td_autoconf_wz_servername"), ConfWizardHandler.TBLRES_SUMMARY_SERVER, "100");
        operationsList.addColumn( oDec.k("td_autoconf_wz_summary_operation"), ConfWizardHandler.TBLRES_SUMMARY_OPERATION, "100" );
        operationsList.addColumn( oDec.k("td_autoconf_wz_summary_opresult"), ConfWizardHandler.TBLRES_SUMMARY_OPRESULT, "150" );

        out.println(operationsList.render());
    %>
</center>

<center>
    <div id="xCorpo">
        <form>
            <table border="0" width="100%">
                <tr>&nbsp;</tr>

                <tr>
                    <td align="center">
                        <%= oH.button( "Next >", true, "", "qm_start", "" ) %>
                    </td>
                </tr>

                <tr>&nbsp;</tr>
            </table>
        </form>
    </div>

</center>

<%@ include file="/includes/00_page_footer.jspf" %>

<%
// $Log: autoconfWizard6.jsp,v $
// Revision 1.4  2015/09/28 08:41:10  marcos
// jsp/jspf refactoring.
//
// Revision 1.3  2011/11/24 17:16:44  marcos
// #1008: Link diretto a License page
//
// Revision 1.2  2009/03/25 10:36:12  marcos
// #276 - New configuration wizard - Added the AMI single and cluster based data retrieving.
//
// Revision 1.1  2009/03/18 11:46:43  marcos
// #276 - New configuration wizard - First step.
//
%>
