<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.app.queuemetrics.asterisk.parser.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="it.loway.app.queuemetrics.asterisk.parser.*" %>
<%@ page import="it.loway.app.queuemetrics.configurazione.configurationwizard.*" %>
<%@ page import="ch.loway.app.queuemetrics.synchronizer.handler.SynchronizerHandler" %>
<%@ page import="ch.loway.app.queuemetrics.synchronizer.handler.SynchronizerHandler.Reader" %>
<%@ page import="it.loway.app.queuemetrics.html.WizardNavigationBar" %>
<%@ page import="java.util.*" %>

<%@ include file="/includes/00_page_header.jspf" %> 

<% 
    // $Id: sync_autoconf1.jsp,v 1.7 2017/01/19 08:41:09 kevin Exp $
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );
    
    LTable availableReaders = oC.getLt("SYNC_readers");
    LTable availableModes = oC.getLt("SYNC_modes");
    
    String defaultReaderType = oC.getS("SYNC_default_reader"); // property default.synchronizer_reader
    
        // Start the Wizard Navigation Bar
    oDec.load( "synchronizer_wznavbar", "synchronizer_wznavbar.txt", 0, 1 );  
    WizardNavigationBar wzNavBar = new WizardNavigationBar(oDec, "synchronizer_wznavbar");
    
    boolean sourceIsFile = (U.cint(defaultReaderType) == Reader.SOURCETYPE_FILE.getNumVal())? true : false;
    boolean sourceIsQueueLog = (U.cint(defaultReaderType) == Reader.SOURCETYPE_QUEUELOG.getNumVal())? true : false;
    
    if(!oC.defined("SYNC_queueLog")){
        String defaultQueueLogFile = oC.getS("SYNC_default_queuelog_file");
        oC.putS("SYNC_queueLog", defaultQueueLogFile);
    }
    
    if(!oC.defined("SYNC_fileAgents")){
        String defaultAgentsFile = oC.getS("SYNC_default_agents_file");
        oC.putS("SYNC_fileAgents", defaultAgentsFile);
    }
    
    if(!oC.defined("SYNC_fileQueues")){
        String defaultQueuesFile = oC.getS("SYNC_default_queues_file");
        oC.putS("SYNC_fileQueues", defaultQueuesFile);
    }
    
    if(!oC.defined("SYNC_fileUsers")){
        String defaultUsersFile = oC.getS("SYNC_default_users_file");
        oC.putS("SYNC_fileUsers", defaultUsersFile);
    }
    
    // This is the width the text box will have
    String stWidth = "width: 400px;";
    int nextHopID = 1;
    String nextHop = "StepID_" + Integer.toString(nextHopID);
%>


<script defer>
    function onLoadApplicativo() {
        //abilita le casella giuste a seconda di quale tipo di sorgente  stato abilitato.
        //qua viene chiamato all'inizio perch magari stai rifacendo questa cosa e il contesto si ricorda
        //dell'ultima sorgente che hai scelto.
        onSourceTypeChanged();
        // transazione standard
        document.forms[0].<%= K.REQ_VERBO %>.value = "";
        document.forms[0].<%= K.REQ_PARAM %>.value = "";

        setPermissionCheckboxes();

        // Raise the onSourceTypeChanged event when the combo box changes their value
        document.getElementById("SYNC_readerType").onchange = onSourceTypeChanged;
    }

    function setPermissionCheckboxes() {

        var loadedMode = "<%=oC.getS("SYNC_default_mode")%>"

        var createP = "";
        var deleteP = "";
        var updateP = "";
        var usersP = "";

        createP = "1";
        deleteP = "1";
        updateP = "1";
        usersP = "1";

        if (loadedMode == "CREATEONLY") {
            createP = "1";
            deleteP = "0";
            updateP = "0";
            usersP = "0";
        } else if (loadedMode == "CREATEONLY_USR") {
            createP = "1";
            deleteP = "0";
            updateP = "0";
            usersP = "1";
        } else if (loadedMode == "CR_DEL") {
            createP = "1";
            deleteP = "1";
            updateP = "0";
            usersP = "0";
        } else if (loadedMode == "CR_DEL_USR") {
            createP = "1";
            deleteP = "1";
            updateP = "0";
            usersP = "1";
        } else if (loadedMode == "CR_UPD") {
            createP = "1";
            deleteP = "0";
            updateP = "1";
            usersP = "0";
        } else if (loadedMode == "CR_UPD_DEL") {
            createP = "1";
            deleteP = "1";
            updateP = "1";
            usersP = "0";
        } else if (loadedMode == "CR_UPD_DEL_USR") {
            createP = "1";
            deleteP = "1";
            updateP = "1";
            usersP = "1";
        } else if (loadedMode == "CR_UPD_USR") {
            createP = "1";
            deleteP = "0";
            updateP = "1";
            usersP = "1";
        } else if (loadedMode == "DELETEONLY") {
            createP = "0";
            deleteP = "1";
            updateP = "0";
            usersP = "0";
        } else if (loadedMode == "DELETEONLY_USR") {
            createP = "0";
            deleteP = "1";
            updateP = "0";
            usersP = "1";
        } else if (loadedMode == "DEL_UPD") {
            createP = "0";
            deleteP = "1";
            updateP = "1";
            usersP = "0";
        } else if (loadedMode == "DEL_UPD_USR") {
            createP = "0";
            deleteP = "1";
            updateP = "1";
            usersP = "1";
        } else if (loadedMode == "UPDATEONLY") {
            createP = "0";
            deleteP = "0";
            updateP = "1";
            usersP = "0";
        } else if (loadedMode == "UPDATEONLY_USR") {
            createP = "0";
            deleteP = "0";
            updateP = "1";
            usersP = "1";
        } else if (loadedMode == "NONE") {
            createP = "0";
            deleteP = "0";
            updateP = "0";
            usersP = "0";
        }

//        alert("createP " + createP + " deleteP " + deleteP + " updateP " + updateP + " usersP " + usersP );

        if (createP == "1") {
            toggle("checkbox_SYNC_check_1", true);
        }
        if (deleteP == "1") {
            toggle("checkbox_SYNC_check_2", true);
        }
        if (updateP == "1") {
            toggle("checkbox_SYNC_check_3", true);
        }
        if (usersP == "1") {
            toggle("checkbox_SYNC_check_4", true);
        }

    }


    function toggle(id, checked) {
        var elm = document.getElementById(id);
        if (checked != elm.checked) {
            elm.click();
        }
    }

    function onSourceTypeChanged() {

        type = document.getElementById("SYNC_readerType").selectedIndex;

        if (type == "0") {
            var fileSourceElements = document.getElementsByClassName("file");

            for (var i = 0; i < fileSourceElements.length; i++) {

                fileSourceElements[i].style.display = "inline-block";

            }
            document.getElementById("SYNC_fileAgents").disabled = false;
            document.getElementById("SYNC_fileQueues").disabled = false;
            document.getElementById("SYNC_fileUsers").disabled = false;
        } else {
            var fileSourceElements = document.getElementsByClassName("file");

            for (var i = 0; i < fileSourceElements.length; i++) {

                fileSourceElements[i].style.display = "none";

            }
        }

        if (type == "3") {

            var queuelogSourceElements = document.getElementsByClassName("queuelog");

            for (var i = 0; i < queuelogSourceElements.length; i++) {

                queuelogSourceElements[i].style.display = "inline-block";

            }
            document.getElementById("SYNC_queueLog").disabled = false;
        } else {
            var queuelogSourceElements = document.getElementsByClassName("queuelog");

            for (var i = 0; i < queuelogSourceElements.length; i++) {

                queuelogSourceElements[i].style.display = "none";
            }
        }

    }

    function onModeChanged() {

        mode = document.getElementById("SYNC_modes").selectedIndex;

    }
</script>

<center>
    <div id="xCorpo" align="center">
        <br/>
        <%=wzNavBar.RenderHTML(0)%><p/>
        <hr width="50%" color="grey">
    </div>
</center>

<center>
    The Synchronizer will read the existing Asterisk configuration, computing the actions needed to configure Queuemetrics accordingly.
    <br>
    Please select the source data reader you want to use.
    <p/>
</center>


<center>
    <%= oH.combo("SYNC_readerType", true, "width: 300px;", availableReaders, 1, 0, defaultReaderType) %>
    <p/>
</center>

<center>
    <table class="ST">
        <tr class='ST_TRH'>
            <th align="center">&nbsp;</th>
            <th align="left">Permissions</th>
        </tr>
        <tr class='ST_TR0' id="rt_row_rating_1">
            <td align="center"><%= oH.checkBox("SYNC_check_1", "") %></td>
            <td align="left"><div id="rt_maxv_1">Permission to <b>Create</b> Objects (Agents, Queues, PBX)</div> </td>
        </tr>
        <tr class='ST_TR0' id="rt_row_rating_2">
            <td align="center"><%= oH.checkBox("SYNC_check_2", "") %></td>
            <td align="left"><div id="rt_maxv_2">Permission to <b>Delete</b> Objects (Agents, Queues, PBX)</div> </td>
        </tr>
        <tr class='ST_TR0' id="rt_row_rating_3">
            <td align="center"><%= oH.checkBox("SYNC_check_3", "") %></td>
            <td align="left"><div id="rt_maxv_3">Permission to <b>Update</b> Objects (Agents, Queues, PBX)</div> </td>
        </tr>
        <tr class='ST_TR0' id="rt_row_rating_4">
            <td align="center"><%= oH.checkBox("SYNC_check_4", "") %></td>
            <td align="left"><div id="rt_maxv_4">Permission to <b>Create</b> New Users</div> </td>
        </tr>
    </table>
</center>


<center>
    <table class="ST file">

        <tr>
            <td>Agents.conf:&nbsp;</td>
            <td><%= oH.textBox( "SYNC_fileAgents", sourceIsFile, stWidth, 500 ) %></td>
        </tr>

        <tr>
            <td>Queues.conf:&nbsp;</td>
            <td><%= oH.textBox( "SYNC_fileQueues", sourceIsFile, stWidth, 500 ) %></td>
        </tr>

        <tr>
            <td>Users.conf (optional):&nbsp;</td>
            <td><%= oH.textBox( "SYNC_fileUsers", sourceIsFile, stWidth, 500 ) %></td>
        </tr>

    </table>

    <table class="ST queuelog">
        <tr>
            <td>Queue log:&nbsp;</td>
            <td><%= oH.textBox( "SYNC_queueLog", sourceIsQueueLog, stWidth, 500 ) %></td>
        </tr>
    </table>
</center>   


<center>
    <div id="xCorpo">
        <form>                    
            <table border="0" width="100%">
                <tr>&nbsp;</tr>

                <tr>
                    <td align="center">
                        <%= oH.button( "Next >", true, "", "autoconf_Synchronizer", nextHop ) %>
                    </td>
                </tr>

                <tr>&nbsp;</tr>
            </table>
        </form>                    
    </div>

</center>


<%@ include file="/includes/00_page_footer.jspf" %>
