<%@ page language="java" 
%><%@page import="it.loway.app.queuemetrics.agaw.BO.*" 
%><%@page contentType="text/html;charset=UTF-8" 
%><%@page pageEncoding="UTF-8"%><%

/*
 * $Id: ajax_container.jsp,v 1.4 2015/09/28 08:41:09 marcos Exp $
 *
 * Questa pagina � il container.
 * si carica, crea un DIV vuoto, e lancia il codice Ajax per
 * recuperare il suo interno, passando AU e AP forniti.
 *
 * Contine i CSS e la parte Javascript
 *
 * In pi�, uccide la sessione.
 * Il reload della pagina, se richiesto, avviene dall aparte includente tramite il tag magico ###RELOAD:2000###
 *
 * poich� non � possibile fare in modo che sia eseguito uno <script> interno, il bottone di chat �
 * presente fin dall'inizio ed in ogni caso.
 *
 * http://127.0.0.1:8081/qm_imm6/qm_agaw_facade_ajax.do&AU=agent/101&Ap=999
 */


%>
<%@ include file="/includes/00_page_header_context.jspf" %> 
<html>
<head>
<title>$Id: ajax_container.jsp,v 1.4 2015/09/28 08:41:09 marcos Exp $</title>
<style>
BODY, TD {
        background: white;
        font: 10px Verdana;
    }

TR.qname TD {
    background: #cccccc;
}

TR.aname TD {
    background: yellow;
}

TR.minfo TD {
    color: #888888;
}

.y {
    color: goldenrod;
    font-weight: bold;
}

.r {
    color: red;
    font-weight: bold;

}

TD.itd {
    background: #FFFFFF;
}

TD.itt {
    background: #E0E0E0;
}
</style>
<script>
function loadPage() {
    setTimeout( "runAjax()", 300 );
}

function runAjax() {
    stUser = "<%= (request.getParameter("AU") == null) ? "" : request.getParameter("AU") %>";
    stPass = "<%= (request.getParameter("AP") == null) ? "" : request.getParameter("AP") %>";
    stCache = "c" + Math.random();
    grabFile( "qm_agaw_facade_ajax_getdata.do?AU=" + stUser + "&AP=" + stPass + "&AC=" + stCache );
}



function getHTTPObject() {
  var xhr = false;
  if (window.XMLHttpRequest) {
    xhr = new XMLHttpRequest();
  } else if (window.ActiveXObject) {
    try {
      xhr = new ActiveXObject("Msxml2.XMLHTTP");
    } catch(e) {
      try {
        xhr = new ActiveXObject("Microsoft.XMLHTTP");
      } catch(e) {
        xhr = false;
      }
    }
  }
  return xhr;
}

function grabFile(file) {
  var request = getHTTPObject();
  if (request) {
    request.onreadystatechange = function() {
      parseResponse(request);
    };
    request.open("GET", file, true);
    request.send(null);
  }
}

function parseResponse(request) {
    if (request.readyState == 4) {
        if (request.status == 200 || request.status == 304) {
            inReload = getAttribute( request.responseText, "RELOAD" ) * 1;
            var details = document.getElementById("HTMLDATA");      
            details.innerHTML = request.responseText;
            if ( inReload > 0 ) {
                setTimeout( "runAjax()", inReload );
            }
        }
    }
}

// getAttribute X -> ###X:1###
function getAttribute( stText, stAttribute ) {
    stPreamble = "###" + stAttribute + ":";
    i = stText.indexOf( stPreamble );
    if ( i > 0 ) {
        z = stText.indexOf( "###", i+1 );
        if ( z > 0 ) {
            return stText.substring( i + stPreamble.length, z );
        }        
    }
    return "";
}

</script>
</head>
<body onload="loadPage()">

<div id="HTMLDATA">
<h1>Loading...</h1>
</div>


<% if ( oC.getS( "AGAW_sparkurl" ).length() > 0 ) { %>
<!-- Insert this snippet where you would like the Chat button image to show up -->
<script language="JavaScript" type="text/javascript" src="<%= oC.getS( "AGAW_sparkurl" ) %>"></script>
<script>
if ( this.showChatButton ) {
    showChatButton('<%= oC.getS( "AGAW_sparkuser" ) %>');
}
</script>
<!-- End Of Spark Fastpath Snippet -->
<% }; %>


</body>
</html>


<%
    // chiudiamo la sessione
    session.invalidate();
%>



