<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    U.startTransactionIfNoContext( request, response, "qm_start", "" );

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes
    //oDec.load( "ricerchePubbliche", "ricerchePubbliche.txt", 0, 1 );

     String stStyle = "";
%>

<script >
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "qm_autentica";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";
        aggiungiEventoOnchangeAComboLanguage();
        setFocus( "AUTH_logon" );
  const navigationMenu = document.getElementById("xMenu1")
  navigationMenu.style.display = "none"
}
//
// per non incasinare i controlli, aggiungo l'onChange alla combo delle location
// in maniera programmatica
//
function aggiungiEventoOnchangeAComboLanguage() {
    document.getElementById( "AUTH_language" ).onchange = OnChangeCboLanguage;
}
function OnChangeCboLanguage() {
    startTransaction('qm_language_selector', '');
}
</script>

<center>
<div class="qm-auth">
  <h1><%= oDec.k("logon_title") %></h1>
    
    <div class="qm-auth-input">
      <label for="AUTH_logon"><%= oDec.k("logon_login") %></label>
      <%= oH.textBox( "AUTH_logon",  true, stStyle, 50 ) %>
    </div>

    <div class="qm-auth-input">
      <nobr><label for="AUTH_password"><%= oDec.k("logon_pass") %></nobr>
      <%= oH.password( "AUTH_password", true, stStyle, 50 ) %>
    </div>

    <%= oH.combo("AUTH_language", true, stStyle, oC.getLt( "LANG_languages"), 0, 1, "" ) %>
    
    <%= oH.hidden( "AUTH_url") %>
      
    <INPUT TYPE='submit' name="login" CLASS='qm-login Q-button-primary' data-verb="qm_autentica" VALUE="<%= oDec.k("logon_btn") %>">

  <%@ include file="/includes/lic_error.jspf" %>

<%= oC.getS("AUTH_sso_html") %>

<p>
<%= lP.getSplashWithExpiryMessage() %>
</div>
</center>


<%@ include file="/includes/00_page_footer.jspf" %>

<%
// $Log: autenticazione.jsp,v $
// Revision 1.8  2015/09/28 08:41:05  marcos
// jsp/jspf refactoring.
//
// Revision 1.7  2014/05/19 09:46:29  lenz
// Merge FRANKIE
//
// Revision 1.6.10.1  2014/05/13 13:33:42  mirkox
// Nuova Grafica
//
// Revision 1.6  2011/01/14 11:16:39  marcos
// IMM14 merge on main trunk
//
// Revision 1.5.2.1  2010/03/20 18:00:36  lenz-mobile
// Bug #1022. Logon implicito se necessario per chiamre URL interna.
//
// Revision 1.5  2009/10/26 14:11:20  marcos
// #734: authenitcating in QM with return
//
// Revision 1.4  2007/07/30 14:35:05  lenz
// Bug #177: set del focus per pagina logon.
//
// Revision 1.3  2006/10/07 15:55:39  lenz
// Merge 1.3
//
// Revision 1.2.6.3  2006/09/26 09:52:27  lenz
// Modifichina per Francese
//
// Revision 1.2.6.2  2006/09/22 20:52:53  lenz
// Gestione selettore lingue multiple.
//
// Revision 1.2.6.1  2006/08/27 08:40:17  lenz
// I18N
//
// Revision 1.2  2005/10/20 09:12:39  lenz
// Transazione di default corretta.
//
// Revision 1.1.1.1  2005/08/23 10:20:22  lenz
// Importazione iniziale
//
//
%>
