<%@ page language="java" %>
<%@page pageEncoding="UTF-8"%>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.app.queuemetrics.*" %>
<%@ page import="it.loway.tpf.common.containers.LDecoder" %>
<%@ page import="it.loway.app.queuemetrics.html.WizardNavigationBar" %>
<%@ page import="it.loway.app.queuemetrics.jdbcTester.jdbcTester" %>
<%@ page import="it.loway.app.queuemetrics.jdbcTester.dbtestWizard" %>
<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.SafeHtmlDecor" %>
<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.TextToAlertButtonDecor" %>
<%@ include file="/includes/00_page_header.jspf" %>

<div class="qm-form-body L-padding-32 L-column L-gap-16">
  <h1>AMI Queue tester</h1>
  <i>Current PBX platform: <%= oC.getS("DBTEST_ami_queue_platform")  %></i>
  <div class="L-justify-spacebetween">
    <h3>Command queue statistics</h3>
    <div class="LButton secondary" style="height: 100% !important;"><a href="./dbtest_ami_queue.do?<%= U.getRandomString(15)%>">Reload</a></div>
  </div>

  <div>
    <%
        SmartTable Tr = new SmartTable("x1", oC.getLt("DBTEST_ami_queue_recap") );
        Tr.setDecoder(oDec);
        Tr.addColumn("Server", 0, "50");
        Tr.addColumn("State",  1, "100");
        Tr.addColumn("Records",  2, "100");
        Tr.addColumn("From",  4, "200");
        Tr.addColumn("To",  3, "200");
        Tr.withTableClass( "qm-table uk-table uk-table-small uk-width-expand qm-table-withborder" );
        out.println(Tr.render());
    %>
  </div>

  <h3>AMI command queue</h3>
  <div>
    <%
        SmartTable T = new SmartTable("x1", oC.getLt("DBTEST_ami_queue") );
        T.setDecoder(oDec);
        T.addColumn("On", 7, "150", new SafeHtmlDecor());

        T.addColumn("Cmd", 1, "100", new SafeHtmlDecor());
        T.addColumn("Ext", 2, "100", new SafeHtmlDecor());
        T.addColumn("Agent", 3, "100", new SafeHtmlDecor());
        T.addColumn("Queue", 4, "100", new SafeHtmlDecor());
        T.addColumn("State", 5, "100", new SafeHtmlDecor());
        T.addColumn("User", 9, "150", new SafeHtmlDecor());

        T.addColumn("Sent (s.)", 10, "50", new SafeHtmlDecor());
        T.addColumn("Proc (s.)", 11, "50", new SafeHtmlDecor());
        T.addColumn("Server", 0, "50", new SafeHtmlDecor());

        T.addColumn("&nbsp;", 12, "50", new TextToAlertButtonDecor());

        T.withTableClass( "qm-table uk-table uk-table-small uk-width-expand qm-table-withborder" );
        out.println(T.render());
    %>
  </div>



</div>

<%@ include file="/includes/00_page_footer.jspf" %>


