<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="it.loway.app.queuemetrics.caricamento.QA.grader.GraderHtmlHelper" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );
%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes
    //oDec.load( "ricerchePubbliche", "ricerchePubbliche.txt", 0, 1 );

    String stWidth = "";
    String stWidthPerc = "";
%>

<script>
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";

  //$("#QAG_dtInizio_date").datepicker( { dateFormat: 'yy-mm-dd' } );
  //$("#QAG_dtFine_date").datepicker( { dateFormat: 'yy-mm-dd' } );
}

</script>

<div class="qm-form-body L-padding-32 L-column L-gap-24">
  <h1><%= oDec.k("qa_reports") %>: <%= oDec.k("qa_grading_page") %></h1>
  <div class="qm-GraderSearch-blocks" id="qm-GraderSearch">
    <fieldset class="qm-fieldset">
      <h3><%= oDec.k("qa_reports") %>: <%= oDec.k("qa_grading_page") %></h3>
      <hr>
      <div class="L-column L-gap-16">
        <div class="L-row L-gap-16">
          <div class="L-column L-flex-1 L-gap-4">
            <label class="uk-form-label" for="QAG_form"><%= oDec.k("qa_form") %></label>
            <%= oH.combo( "QAG_form", true, stWidth, oC.getLt( "QAR_ltFormsReports" ), 0, 1, "" ) %>
          </div>
          
          <div class="L-column L-flex-1 L-gap-4">
            <label class="uk-form-label" for="QAG_queue"><%= oDec.k("custrep_queue") %></label>
            <%= oH.comboX( "QAG_queue", true, stWidth, oC.getLt( "DATI_code" ), 2, 0, "" ) %>
          </div>
        </div>
        
        <div class="L-row L-gap-16">

          <% if ( oU.hasKey("AGREP") ) { %>
          <div class="L-column L-flex-1 L-gap-4">
            <label class="uk-form-label" for="QAG_agenteFiltro"><%= oDec.k("custrep_agent") %></label>
            <div><%= oH.comboX( "QAG_agenteFiltro", true, stWidth, FA.FilterSelectableAgents(oU, oC.getLt( "DATI_agenti" )), 0, 1, "" ) %></div>
          </div>
          <% }; %>
          
          <div class="L-column L-flex-1 L-gap-4">
            <label class="uk-form-label" for="QAG_idAgentGroupFiltro"><%= oDec.k("custrep_agentgroup") %></label>
            <div><%= oH.combo( "QAG_idAgentGroupFiltro", true, stWidth, oC.getLt( "DATI_agentgroups_selectable" ), 0, 1, "" ) %></div>
          </div>
        </div>
        
        <div class="L-row L-gap-16">
          <div class="L-column L-flex-1 L-gap-4">
            <label class="uk-form-label" for="QAG_idLocationFiltro"><%= oDec.k("custrep_location") %></label>
            <div><%= oH.combo( "QAG_idLocationFiltro", true, stWidth, oC.getLt( "DATI_locations_selectable" ), 0, 1, "" ) %></div>
          </div>
          
          <div class="L-column L-flex-1 L-gap-4">
            <label class="uk-form-label" for="QAG_idOutcomesFiltro"><%= oDec.k("custrep_outcome") %>:</label>
            <div><%= oH.combo( "QAG_idOutcomesFiltro", true, stWidth, oC.getLt( "DATI_call_status_selectable" ), 0, 1, "" ) %></div>
          </div>
        </div>
      </div>
    </fieldset>
      
    <fieldset class="qm-fieldset">
      <h3><%= oDec.k("qa_time_period") %></h3>
      <hr>
      <div class="L-column L-gap-16 L-justiy-flexstart">
        <div class="L-row L-gap-16">
          <div class="L-column L-gap-4">
            <label class="uk-form-label" for="QAG_dtInizio_date"><%= oDec.k("custrep_start_date") %></label>
            <div class="qm-form-datehourpicker qm-qa-grader-from-date L-nomargin"><%= FA.generaJQueryComboDataOra( "QAG_dtInizio", oC,oH,true, oDec) %></div>
          </div>

          <div class="L-column L-gap-4">
            <label class="uk-form-label" for="QAG_dtFine_date"><%= oDec.k("custrep_end_date") %></label>
            <div class="qm-form-datehourpicker qm-qa-grader-to-date"><%= FA.generaJQueryComboDataOra( "QAG_dtFine", oC,oH,true, oDec) %></div>
          </div>
        </div>
        <div class="qm-datespan-quicklinks uk-subnav uk-subnav-divider L-font-12 L-justify-flexend" data-verb="qm_qa_grader_search_period">
          <%@ include file="/includes/10_form_quicklinks.jspf" %>
        </div>
      </div>
    </fieldset>
  </div>

  <div class="qm-GraderSearch-blocks" id="qm-GraderSearch">

    <fieldset class="qm-fieldset">
      <h3><%= oDec.k("qa_call_outcomes") %></h3>
      <hr>
      
      <div class="uk-child-width-1-1 uk-child-width-1-3@s uk-flex uk-flex-middle" uk-grid >
        <div></div>
        <div class="uk-text-center uk-text-meta"><%= oDec.k("qa_min_perc") %></div>
        <div class="uk-text-center uk-text-meta"><%= oDec.k("qa_min_num") %></div>
        
        <%= GraderHtmlHelper.drawElementLines(oH, oC.getLt("QAG_ltOutcomes"), 0, 1, stWidthPerc, "QAG_outcome_") %>
      </div>
    </fieldset>
    
    <fieldset class="qm-fieldset">
      <h3 ><%= oDec.k("qa_agent_groups") %></h3>
      <hr>

      <div class="uk-child-width-1-1 uk-child-width-1-3@s uk-flex uk-flex-middle" uk-grid >
        <div></div>
        <div class="uk-text-center uk-text-meta"><%= oDec.k("qa_min_perc") %></div>
        <div class="uk-text-center uk-text-meta"><%= oDec.k("qa_min_num") %></div>

        <div><%= oDec.k("qa_all_calls") %></div>
        <div><%= oH.textBox( "QAG_AC_min", true, stWidthPerc, 5 ) %></div>
        <div><%= oH.textBox( "QAG_AC_num", true, stWidthPerc, 5 ) %></div>
        
        <div><%= oDec.k("qa_individual_agents") %></div>
        <div><%= oH.textBox( "QAG_AGX_min", true, stWidthPerc, 5 ) %></div>
        <div><%= oH.textBox( "QAG_AGX_num", true, stWidthPerc, 5 ) %></div>
        
        <%= GraderHtmlHelper.drawElementLines(oH, oC.getLt("QAG_ltAgentGroups"), 1, 0, stWidthPerc, "QAG_val_") %>
        
        <div class="uk-width-1-3 uk-text-center"></div>
      </div>
    </fieldset>
  </div>

  <div class="qm-GraderSearch-button">
    <%= oH.button( oDec.k("custrep_run_custom_report"), oU.hasKey("QA_GRADER"), stWidth, "qm_qa_grader_compute", "" ) %>
  </div>
</div>

<%@ include file="/includes/00_page_footer.jspf" %>

<%
// $Log: qaGraderSearch.jsp,v $
// Revision 1.8  2015/09/28 08:55:34  marcos
// jsp/jspf refactoring.
//
// Revision 1.7  2015/09/28 08:41:18  marcos
// jsp/jspf refactoring.
//
// Revision 1.6  2013/09/05 08:57:53  marcos
// #1916: Easier way to select queue - Multiple Queue Pull Down Boxes
//
// Revision 1.5  2012/07/31 09:48:47  marcos
// Memory Imp: DATI_agentiSel is no more in the context and is now calculated each time is required.
//
// Revision 1.4  2011/11/24 17:16:44  marcos
// #1008: Link diretto a License page
//
// Revision 1.3  2011/02/04 09:37:32  lenz-mobile
// Bug #1250
//
// Revision 1.2  2010/01/12 17:11:54  marcos
// IMM11 branch merge on main trunk
//
// Revision 1.1.2.13  2009/12/11 13:54:00  marcos
// #898: GRADERS PAGE. Filter by rep
//
// Revision 1.1.2.12  2009/12/10 11:20:53  marcos
// #907: Adding Location to the Grader’s page
//
// Revision 1.1.2.11  2009/12/09 11:16:51  marcos
// #903: Decimals on graders page.
//
// Revision 1.1.2.10  2009/09/15 14:46:45  marcos
// #843: Graders page: call selection filters by ag group / status code
//
// Revision 1.1.2.9  2009/08/27 07:56:57  marcos
// #816:  Graders page layout - move down agents
//
// Revision 1.1.2.8  2009/06/29 11:14:34  lenz-mobile
// Layout definitivo.
// Aggiunto "All Calls"
//
// Revision 1.1.2.7  2009/06/24 21:51:32  lenz-mobile
// Passo l'ID della coda corretto.
//
// Revision 1.1.2.6  2009/06/10 10:45:48  lenz-mobile
// QA Grading - sviluppo pagina risultati
//
// Revision 1.1.2.5  2009/06/08 11:01:22  lenz-mobile
// Layout migliorato - direi definitivo.
//
// Revision 1.1.2.4  2009/06/05 15:30:16  lenz-mobile
// layout quasi a posto
//
// Revision 1.1.2.3  2009/06/05 10:48:34  lenz-mobile
// QA grading - layout incompleto
//
// Revision 1.1.2.2  2009/06/04 16:43:36  lenz-mobile
// QA grading - giro funzionante
//
// Revision 1.1.2.1  2009/06/04 16:23:02  lenz-mobile
// QA grading
//
//
%>
