<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="it.loway.app.queuemetrics.caricamento.DataObjects.*" %>
<%@ page import="it.loway.app.queuemetrics.caricamento.QA.*" %>
<%@ page import="it.loway.app.queuemetrics.DO.SearchQuery"%>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes
    //oDec.load( "ricerchePubbliche", "ricerchePubbliche.txt", 0, 1 );
    //oDec.load( "statusCalls", "status_calls.txt", 0, 1);

    String stWidth = "";

    // Instanzia Data  Object appropriato
    QualityAssessmentDO doQA = new QualityAssessmentDO();
    LProperties props = FA.props( application );
    doQA.initJsp( oC, oDec, oU, props, stWebHere );

    SmartTable T = null;

    LTable ltSectionDescription = oC.getLt( "QAR_Avg_descriptor" );
%>
<script>
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";
}
</script>
<div class="qm-form-body">
    <h1><%= oDec.k("clhdr_report_details") %></h1>
    <%
        LTable ltFilterBy = oC.getLt("QAR_FilterBySpec");
        if (ltFilterBy.numRows() != 0) {
            T = new SmartTable( "x", ltFilterBy );
            T.setDecoder(oDec);
            //T.withCaption( );
            T.withTableClass( "qm-table uk-table uk-table-small uk-width-expand");
            T.addSortableColumn( "" ,  0, "100",  SmartTable.SORT_NONE );
            T.addSortableColumn( "" , 1, "200",  SmartTable.SORT_NONE );
            out.println(T.render());
        }
    %>

    <h1><%= oDec.k("qa_reports") %>: <%= oDec.k("qa_report_data") %></h1>

    <!-- tracked calls -->
    <%
        T = doQA.dispatch( QualityAssessmentDO.TRACKED_CALLS, "" );
        T.withCaption( oDec.k("qa_tracked_calls")  );
        T.withTableClass( "qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-width-expand qm-table-withborder");
        out.println(T.render());
    %>
    <%= doQA.exportButtons( oDec, QualityAssessmentDO.THIS_DO, QualityAssessmentDO.TRACKED_CALLS )  %>

    <!-- tracked call per agent -->
    <%
        T = doQA.dispatch( QualityAssessmentDO.TRACKED_CALLS_Q, "" );
        T.withCaption( oDec.k("qa_tracked_calls_queue")  );
        T.withTableClass( "qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-width-expand qm-table-withborder");
        out.println(T.render());
    %>
    <%= doQA.exportButtons( oDec, QualityAssessmentDO.THIS_DO, QualityAssessmentDO.TRACKED_CALLS_Q )  %>

    <!-- qa_tracked_calls_agentgroup -->
    <%
        T = doQA.dispatch( QualityAssessmentDO.TRACKED_CALLS_AG, "" );
        T.withCaption( oDec.k("qa_tracked_calls_agentgroup") );
        T.withTableClass( "qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-width-expand qm-table-withborder");
        out.println(T.render());
    %>
    <%= doQA.exportButtons( oDec, QualityAssessmentDO.THIS_DO, QualityAssessmentDO.TRACKED_CALLS_AG )  %>

    <!-- qa_supervisors_tracking_calls -->
    <%
        T = doQA.dispatch( QualityAssessmentDO.CALL_SUPERVS, "");
        T.withCaption( oDec.k("qa_supervisors_tracking_calls")  );
        T.withTableClass( "qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-width-expand qm-table-withborder");
        out.println(T.render());
    %>
    <%= doQA.exportButtons( oDec, QualityAssessmentDO.THIS_DO, QualityAssessmentDO.CALL_SUPERVS)  %>



    <%
    // ====================================================
    //         ELEMENTO    1
    // ====================================================

    if ( ltSectionDescription.getI( 0, QAQueryBuilder.DESC_LENGTH ) > 0 ) {
    %>
    <%
        T = doQA.dispatch( QualityAssessmentDO.RESULTSET_1, "");
        T.withCaption( oDec.k("qa_section") + ltSectionDescription.getS( 0, QAQueryBuilder.DESC_SECTION ) );
        T.withTableClass( "uk-margin-large-top qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-width-expand qm-table-withborder");
        out.println(T.render());
    %>
    <%= doQA.exportButtons( oDec, QualityAssessmentDO.THIS_DO, QualityAssessmentDO.RESULTSET_1)  %>

    <%
        T = doQA.dispatch( QualityAssessmentDO.RESULTSET_1_Q, "");
        //T.withCaption(  );
        T.withTableClass( "uk-margin-large-top qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-width-expand qm-table-withborder");
        out.println(T.render());
    %>
    <%= doQA.exportButtons( oDec, QualityAssessmentDO.THIS_DO, QualityAssessmentDO.RESULTSET_1_Q)  %>
    <% }; %>
    <%
    // ====================================================
    //         ELEMENTO    2
    // ====================================================

    if ( ltSectionDescription.getI( 1, QAQueryBuilder.DESC_LENGTH ) > 0 ) {
    %>
    <%
        T = doQA.dispatch( QualityAssessmentDO.RESULTSET_2, "");
        T.withCaption( oDec.k("qa_section") + ltSectionDescription.getS( 1, QAQueryBuilder.DESC_SECTION )  );
        T.withTableClass( "uk-margin-large-top qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-width-expand qm-table-withborder");
        out.println(T.render());
    %>
    <%= doQA.exportButtons( oDec, QualityAssessmentDO.THIS_DO, QualityAssessmentDO.RESULTSET_2)  %>
    <%
        T = doQA.dispatch( QualityAssessmentDO.RESULTSET_2_Q, "");
        //T.withCaption();
        T.withTableClass( "uk-margin-large-top qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-width-expand qm-table-withborder");
        out.println(T.render());
    %>
    <%= doQA.exportButtons( oDec, QualityAssessmentDO.THIS_DO, QualityAssessmentDO.RESULTSET_2_Q)  %>
    <% }; %>


    <%
    // ====================================================
    //         ELEMENTO    3
    // ====================================================

    if ( ltSectionDescription.getI( 2, QAQueryBuilder.DESC_LENGTH ) > 0 ) {
    %>
    <%
        T = doQA.dispatch( QualityAssessmentDO.RESULTSET_3, "");
        T.withCaption( oDec.k("qa_section") + ltSectionDescription.getS( 2, QAQueryBuilder.DESC_SECTION ) );
        T.withTableClass( "uk-margin-large-top qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand qm-table-withborder");
        out.println(T.render());
    %>
    <%= doQA.exportButtons( oDec, QualityAssessmentDO.THIS_DO, QualityAssessmentDO.RESULTSET_3)  %>
    <%
        T = doQA.dispatch( QualityAssessmentDO.RESULTSET_3_Q, "");
        //T.withCaption();
        T.withTableClass( "uk-margin-large-top qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand qm-table-withborder");
        out.println(T.render());
    %>
    <%= doQA.exportButtons( oDec, QualityAssessmentDO.THIS_DO, QualityAssessmentDO.RESULTSET_3_Q)  %>

    <% }; %>


    <%
    // ====================================================
    //         ELEMENTO    4
    // ====================================================

    if ( ltSectionDescription.getI( 3, QAQueryBuilder.DESC_LENGTH ) > 0 ) {
    %>
    <%
        T = doQA.dispatch( QualityAssessmentDO.RESULTSET_4, "");
        T.withCaption( oDec.k("qa_section") +  ltSectionDescription.getS( 3, QAQueryBuilder.DESC_SECTION ) );
        T.withTableClass( "uk-margin-large-top qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand qm-table-withborder");
        out.println(T.render());
    %>
    <%= doQA.exportButtons( oDec, QualityAssessmentDO.THIS_DO, QualityAssessmentDO.RESULTSET_4)  %>

    <%
        T = doQA.dispatch( QualityAssessmentDO.RESULTSET_4_Q, "");
        //T.withCaption();
        T.withTableClass( "uk-margin-large-top qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand qm-table-withborder");
        out.println(T.render());
    %>
    <%= doQA.exportButtons( oDec, QualityAssessmentDO.THIS_DO, QualityAssessmentDO.RESULTSET_4_Q)  %>

    <% }; %>


    <%
    // ====================================================
    //         ELEMENTO    5
    // ====================================================

    if ( ltSectionDescription.getI( 4, QAQueryBuilder.DESC_LENGTH ) > 0 ) {
    %>
    <%
        T = doQA.dispatch( QualityAssessmentDO.RESULTSET_5, "");
        T.withCaption(oDec.k("qa_section") + ltSectionDescription.getS( 4, QAQueryBuilder.DESC_SECTION ) );
        T.withTableClass( "uk-margin-large-top qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand qm-table-withborder");
        out.println(T.render());
    %>
    <%= doQA.exportButtons( oDec, QualityAssessmentDO.THIS_DO, QualityAssessmentDO.RESULTSET_5)  %>
    <%
        T = doQA.dispatch( QualityAssessmentDO.RESULTSET_5_Q, "");
        //T.withCaption();
        T.withTableClass( "uk-margin-large-top qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand qm-table-withborder");
        out.println(T.render());
    %>
    <%= doQA.exportButtons( oDec, QualityAssessmentDO.THIS_DO, QualityAssessmentDO.RESULTSET_5_Q)  %>

    <% }; %>


    <%
    // ====================================================
    //         ELEMENTO    6
    // ====================================================

    if ( ltSectionDescription.getI( 5, QAQueryBuilder.DESC_LENGTH ) > 0 ) {
    %>
    <%
        T = doQA.dispatch( QualityAssessmentDO.RESULTSET_6, "");
        T.withCaption(oDec.k("qa_section") + ltSectionDescription.getS( 5, QAQueryBuilder.DESC_SECTION ));
        T.withTableClass( "uk-margin-large-top qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand qm-table-withborder");
        out.println(T.render());
    %>
    <%= doQA.exportButtons( oDec, QualityAssessmentDO.THIS_DO, QualityAssessmentDO.RESULTSET_6)  %>
    <%
        T = doQA.dispatch( QualityAssessmentDO.RESULTSET_6_Q, "");
        //T.withCaption();
        T.withTableClass( "uk-margin-large-top qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand qm-table-withborder");
        out.println(T.render());
    %>
    <%= doQA.exportButtons( oDec,  QualityAssessmentDO.THIS_DO, QualityAssessmentDO.RESULTSET_6_Q)  %>

    <% }; %>


    <%
    // ====================================================
    //         ELEMENTO    7
    // ====================================================

    if ( ltSectionDescription.getI( 6, QAQueryBuilder.DESC_LENGTH ) > 0 ) {
    %>
    <%
        T = doQA.dispatch( QualityAssessmentDO.RESULTSET_7, "");
        T.withCaption(oDec.k("qa_section") + ltSectionDescription.getS( 6, QAQueryBuilder.DESC_SECTION ) );
        T.withTableClass( "uk-margin-large-top qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand qm-table-withborder");
        out.println(T.render());
    %>
    <%= doQA.exportButtons( oDec, QualityAssessmentDO.THIS_DO, QualityAssessmentDO.RESULTSET_7)  %>
    <%
        T = doQA.dispatch( QualityAssessmentDO.RESULTSET_7_Q, "");
        //T.withCaption();
        T.withTableClass( "uk-margin-large-top qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand qm-table-withborder");
        out.println(T.render());
    %>
    <%= doQA.exportButtons( oDec, QualityAssessmentDO.THIS_DO, QualityAssessmentDO.RESULTSET_7_Q)  %>

    <% }; %>


    <%
    // ====================================================
    //         ELEMENTO    8
    // ====================================================

    if ( ltSectionDescription.getI( 7, QAQueryBuilder.DESC_LENGTH ) > 0 ) {
    %>
    <%
        T = doQA.dispatch( QualityAssessmentDO.RESULTSET_8, "");
        T.withCaption(oDec.k("qa_section") + ltSectionDescription.getS( 7, QAQueryBuilder.DESC_SECTION ) );
        T.withTableClass( "uk-margin-large-top qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand qm-table-withborder");
        out.println(T.render());
    %>
    <%= doQA.exportButtons( oDec, QualityAssessmentDO.THIS_DO, QualityAssessmentDO.RESULTSET_8)  %>
    <%
        T = doQA.dispatch( QualityAssessmentDO.RESULTSET_8_Q, "");
        //T.withCaption();
        T.withTableClass( "uk-margin-large-top qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand qm-table-withborder");
        out.println(T.render());
    %>
    <%= doQA.exportButtons( oDec, QualityAssessmentDO.THIS_DO, QualityAssessmentDO.RESULTSET_8_Q)  %>

    <% }; %>


    <%
    // ====================================================
    //         ELEMENTO    9
    // ====================================================

    if ( ltSectionDescription.getI( 8, QAQueryBuilder.DESC_LENGTH ) > 0 ) {
    %>
    <%
        T = doQA.dispatch( QualityAssessmentDO.RESULTSET_9, "");
        T.withCaption( oDec.k("qa_section") + ltSectionDescription.getS( 8, QAQueryBuilder.DESC_SECTION ) );
        T.withTableClass( "uk-margin-large-top qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand qm-table-withborder");
        out.println(T.render());
    %>
    <%= doQA.exportButtons( oDec, QualityAssessmentDO.THIS_DO, QualityAssessmentDO.RESULTSET_9)  %>
    <%
        T = doQA.dispatch( QualityAssessmentDO.RESULTSET_9_Q, "");
        //T.withCaption();
        T.withTableClass( "uk-margin-large-top qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand qm-table-withborder");
        out.println(T.render());
    %>
    <%= doQA.exportButtons( oDec, QualityAssessmentDO.THIS_DO, QualityAssessmentDO.RESULTSET_9_Q)  %>

    <% }; %>
    <%
    // ====================================================
    //         ELEMENTO    10
    // ====================================================

    if ( ltSectionDescription.getI( 9, QAQueryBuilder.DESC_LENGTH ) > 0 ) {
    %>
    <%
        T = doQA.dispatch( QualityAssessmentDO.RESULTSET_10, "");
        T.withCaption(oDec.k("qa_section") + ltSectionDescription.getS( 9, QAQueryBuilder.DESC_SECTION ));
        T.withTableClass( "uk-margin-large-top qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand qm-table-withborder");
        out.println(T.render());
    %>
    <%= doQA.exportButtons( oDec, QualityAssessmentDO.THIS_DO, QualityAssessmentDO.RESULTSET_10)  %>
    <%
        T = doQA.dispatch( QualityAssessmentDO.RESULTSET_10_Q, "");
        //T.withCaption();
        T.withTableClass( "uk-margin-large-top qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand qm-table-withborder");
        out.println(T.render());
    %>
    <%= doQA.exportButtons( oDec, QualityAssessmentDO.THIS_DO, QualityAssessmentDO.RESULTSET_10_Q)  %>
    <% }; %>
</div>
<%@ include file="/includes/00_page_footer.jspf" %>

<%
// $Log: qaReportData.jsp,v $
// Revision 1.12  2015/09/28 08:41:18  marcos
// jsp/jspf refactoring.
//
// Revision 1.11  2014/07/30 10:03:36  marcos
// #2425: Exporting a payroll report in XLS (and other formats) causes an erro
//
// Revision 1.10  2013/10/29 13:02:14  lenz-mobile
// #1913 - Custom report pages
//
// Revision 1.9  2012/05/09 12:39:50  marcos
// BasicDO is now always initialized with a valid LProperties.
//
// Revision 1.8  2011/12/19 09:38:44  lenz-mobile
// #1516
//
// Revision 1.7  2011/11/24 17:16:44  marcos
// #1008: Link diretto a License page
//
// Revision 1.6  2010/01/12 17:11:54  marcos
// IMM11 branch merge on main trunk
//
// Revision 1.5.2.4  2009/12/01 17:07:22  marcos
// #902: QA REPORTS LIKE VERIZON’S
//
// Revision 1.5.2.3  2009/11/18 09:25:21  marcos
// #960 - QA: Having 10 sections and 100 scores
//
// Revision 1.5.2.2  2009/09/02 10:19:09  marcos
// #817: QA search form - new criteria
//
// Revision 1.5.2.1  2009/09/01 14:47:53  marcos
// #810: Break down by ag group in QA report
//
// Revision 1.5  2008/10/24 14:44:58  lenz
// Bug #361: QA statistics by queue.
//
// Revision 1.4  2008/03/21 10:52:10  lenz
// Tolto stub di prova.
//
// Revision 1.3  2008/03/20 19:35:45  lenz
// Link alla pagina QA dettaglio.
//
// Revision 1.2  2008/03/20 19:15:21  lenz
// Pagina corretta.
//
// Revision 1.1  2008/03/19 14:27:58  lenz
// Check-in parziale pagine risultato QA report.
//
//
//
//
%>
