<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="it.loway.app.queuemetrics.html.NoCache" %>
<%@ page import="it.loway.app.queuemetrics.KA" %>
<%@ page import="it.loway.app.queuemetrics.caricamento.filters.CallFilter" %>
<%@ page import="it.loway.app.queuemetrics.configurazione.ReportsExportHelper" %>
<%@ page import="it.loway.app.queuemetrics.caricamento.filters.ShortcallFilter" %>
<%@ page import="java.text.DateFormatSymbols" %>
<%@ page import="java.util.Calendar" %>
<%@ page import="java.util.Locale" %>

<%@ include file="/includes/00_page_header.jspf" %>


<%
    // $Id: custom_report.jsp,v 1.37 2015/09/29 13:11:45 marcos Exp $

    // inizializza Decodes
    oDec.load( "masterkeyAbilitato", "masterkey_abilitato.txt", 0, 1 );
    oDec.load( "offsetOrario", "offset_orario.txt", 0, 1);
    oDec.load( "hourlySlot", "hourly_slot.txt", 0, 1);
    oDec.load( "savedquery_types", "savedquery_types.txt", 0, 1);
    LTable ltTimePeriods = ReportsExportHelper.populateAvailableExportPeriodSelectorOrEmpty( oDec );

    LTable ltShortCallLimits = ShortcallFilter.generateComboValuesForShortCallsEditors(oDec);

    // there must be a special place in the hell for ppl hardcoding css style inline
    String stWidth      = "" ;
    String stWidthInner = "" ;
    String stWidthShort = "";
    String stWidthRange = "";
    String stSkillsLblWidth = "";

    // ? why ? pecché ?
    String spacer_      = "<img src=\"blank\" width=\"30\" height=\"10\"> ";
    String spacer__       = "&nbsp; &nbsp;";
    String spacer       = "";

    // se non ho una data, metto le date impostate con le properties
    String stDtInizioDefault = oC.getS( "CODA_dtInizioDefault" );
    String stDtFineDefault = oC.getS( "CODA_dtFineDefault" );


    if ( !oC.defined("CODA_dtInizio") ) {
        oC.putS( "CODA_dtInizio", stDtInizioDefault );
    }
    if ( !oC.defined("CODA_dtFine") ) {
        oC.putS( "CODA_dtFine", stDtFineDefault );
    }


    // estrae le variabili di contesto farlocche per oDec
    String daysSel = oC.getS( "CODA_F_noncont_days");
    for ( int i = 1; i <= 7; i++ )  {
        oC.putS( "CODA_F_noncont_day_" + i,  ( (daysSel.indexOf( "" + i) > -1) ? "x" : "" ));
    }

    // Tabella dei giorni della settimana
    LTable ltSettimana = FA.generateTableOfShortDOW( oDec );
    oC.eliminaPrefisso("CODA_dates_already_set");
%>

<script>
var  page_custom_report = true;

var  custrep_skills_lblhdr  = "<%= oDec.k("custrep_skills_lblhdr") %>" ;
var  custrep_skills_valhrd  = "<%= oDec.k("custrep_skills_valhrd") %>" ;
var  savedq_bntedit         = "<%= oDec.k("savedq_bntedit") %>" ;
var  oUhasKeySQUERY_ADD     = "<%= oU.hasKey("SQUERY_ADD") %>" ;

// Below are the javascript funtions requiring decoder and/or context labels access
function onLoadApplicativo() {
    // transazione standard
    document.forms[0].<%= K.REQ_VERBO %>.value = "";
    document.forms[0].<%= K.REQ_PARAM %>.value = "";
}
</script>

<!-- save box -->
<% if (oU.hasKey("SQUERY_ADD")) { %>
<div class=" qm-custom-report-save-container" uk-sticky="media: @s"  >
  <fieldset class="qm-fieldset" class="uk-margin-remove">
  <legend></legend>

    <div class="uk-flex uk-flex-middle uk-flex-center uk-flex-wrap uk-flex-wrap-around uk-background-muted qm-custom-report-save">
      <label for="SQUERY_name" for=""><%=oDec.k("savedq_save")%></label>
      <div><%=oH.textBox( "SQUERY_name", true, "", 50 )%></div>

      <% if (oU.hasKey("SQUERY_FORALL")) { %>
        <label class="saveQueryForAllUsers" for="SQUERY_forAllUsers"><%=oDec.k("savedq_forallusers")%></label>
        <div><%=oH.checkBox("SQUERY_forAllUsers","")%></div>
      <% } %>

      <label class="saveQuerySecKeys" for="SQUERY_secKeys"><%=oDec.k("savedq_seqKey")%></label>
      <div><%=oH.textBox( "SQUERY_secKeys", true, "width: 100px;", 50 )%></div>

      <label class="saveQueryReportType"><%= oDec.k("savedq_type") %> </label>
      <div>
          <%= oH.combo( "SQUERY_type", true, stWidth, "savedquery_types", "REP"  ) %>
          <%= oH.hidden("SQUERY_id") %>
          <%= oH.hidden("SQUERY_optilock") %>
      </div>

      <div class="qm-custom-report-button-save saveQueryBtn uk-text-center">
        <input class="actButton" id="btnQuerySave" value="<%= oDec.k("savedq_bntsave") %>" onclick="startTransaction('qm_query_save', '');" type="button">
      </div>

      <div class="qm-custom-report-button-clear uk-text-center">
        <input class="actButton" id="btnQuerySave" value="<%= oDec.k("savedq_bntclear") %>" onclick="clear_query();" type="button">
      </div>
    </div>
  </fieldset>
</div>
<% }; %>

<div class="qm-form-body-wide">
  <h1><%= oDec.k("custrep_custom_report_analysis") %></h1>
  <div class="qm-form-grid-2 uk-child-width-1-2@s" uk-grid>
    <div class="uk-text-center"><%= oH.button( oDec.k("custrep_run_custom_report"), oU.hasKey("QUEUE_AN"), stWidth, "qm_mostra_coda", "" ) %></div>
    <div class="uk-text-center"><%= oH.button( oDec.k("custrep_start_realtime_monitoring"), oU.hasKey("REALTIME"), stWidth + "margin-top: 5px;", "qm_realtime2", "" ) %></div>
  </div>


  <div class="uk-flex uk-flex-top uk-child-width-1-1 uk-flex uk-flex-center" uk-grid> <!-- uk-child-width-1-2@xl  -->
    <!-- first column -->
    <div class="qm-column">
      <% if ( oU.hasKey("QUEUE_AN") || oU.hasKey("REALTIME")  || oU.hasKey("QUEUE_LST") ) { %>

      <fieldset class="qm-fieldset">
        <legend><%= oDec.k("clhdr_report_details") %></legend>
        <div class="qm-form-grid-3 uk-child-width-1-3@s" uk-grid>
          <label for="CODA_input"><%= oDec.k("custrep_queue") %></label>
          <div><%= oH.comboX( "CODA_input", true, stWidth, oC.getLt( "DATI_code" ), 2, 0, "" ) %></div>

          <label for="CODA_qmreport"><%= oDec.k("fp_report") %></label>
          <div ><%= oH.comboX( "CODA_qmreport", true, stWidth, oC.getLt( "DATI_dynpages_qmreports" ), 0, 1, "" ) %></div>

          <label for="CODA_dtPeriod"><%= oDec.k("custrep_time_period") %></label>
          <div><%= oH.combo( "CODA_dtPeriod", true, stWidth, ltTimePeriods, 0, 1, "" ) %></div>
        </div>

        <div class="qm-form-grid-3 uk-child-width-1-3" uk-grid>
          <label for="CODA_dtInizio_date"><%= oDec.k("custrep_start_date") %></label>
          <div class="qm-form-datehourpicker uk-width-2-3"><%= FA.generaJQueryComboDataOra("CODA_dtInizio", oC, oH, true, oDec) %></div>

          <label for="CODA_dtFine_date"><%= oDec.k("custrep_end_date") %></label>
          <div class="qm-form-datehourpicker uk-width-2-3"><%= FA.generaJQueryComboDataOra("CODA_dtFine", oC, oH, true, oDec) %></div>
        </div>

        <div class="qm-form-grid-3 uk-child-width-1-3@s" uk-grid>
          <label for="CODA_file"><%= oDec.k("custrep_file") %></label>
          <div><%= oH.textBox( "CODA_file", true, stWidth, 250 ) %></div>
        </div>
      </fieldset>


      <fieldset class="qm-fieldset">
      <legend><%= oDec.k("clhdr_preferences") %></legend>
      <div class="qm-form-grid-3 uk-child-width-1-3@s" uk-grid>
        <label for="CODA_hourly_slot"><%= oDec.k("custrep_hourly_slot_minutes") %></label>
        <div><%= oH.combo( "CODA_hourly_slot", true, stWidth, "hourlySlot", "60"  ) %></div>

        <label for="CODA_sla_initial_max"><%= oDec.k("custrep_sla_max_initial_delay") %></label>
        <div><%= oH.textBox( "CODA_sla_initial_max", true, stWidthInner, 8 ) %></div>

        <label for="CODA_sla_initial_int"><%= oDec.k("custrep_sla_initial_interval") %></label>
        <div><%= oH.textBox( "CODA_sla_initial_int", true, stWidthInner, 8 ) %></div>

        <label for="CODA_sla_max"><%= oDec.k("custrep_sla_max_monitored_delay") %></label>
        <div><%= oH.textBox( "CODA_sla_max", true, stWidthInner, 8 ) %></div>

        <label for="CODA_sla_int"><%= oDec.k("custrep_sla_interval") %></label>
        <div><%= oH.textBox( "CODA_sla_int", true, stWidthInner, 8 ) %></div>
      </div>
      </fieldset>


      <fieldset class="qm-fieldset">
        <legend><%= oDec.k("clhdr_short_calls") %></legend>
        <div class="qm-form-grid-3 uk-child-width-1-3@s" uk-grid>
          <label for="<%=CallFilter.F_short_wait%>"><%= oDec.k("custrep_shortcall_wait") %></label>
          <div><%= oH.combo( CallFilter.F_short_wait, true, stWidthInner, ltShortCallLimits, 0, 1, "-1"  ) %></div>

          <label for="<%=CallFilter.F_short_talk%>"><%= oDec.k("custrep_shortcall_talk") %></label>
          <div><%= oH.combo( CallFilter.F_short_talk, true, stWidthInner, ltShortCallLimits, 0, 1, "-1"  ) %></div>

          <label for="<%=CallFilter.F_short_attempt%>"><%= oDec.k("custrep_shortcall_attempts") %></label>
          <div><%= oH.combo( CallFilter.F_short_attempt, true, stWidthInner, ltShortCallLimits, 0, 1, "-1"  ) %></div>
        </div>
      </fieldset>
    </div>

    <!-- second column -->
    <div class="qm-column">

      <fieldset class="qm-fieldset">
      <legend><%= oDec.k("custrep_criteria") %></legend>

      <div class="qm-form-grid-3 uk-child-width-1-3@s" uk-grid>

        <% if ( oU.hasKey("AGREP") ) { %>
        <label for="CODA_F_agenteFiltro"><%= oDec.k("custrep_agent") %></label>
        <div><%= oH.comboX( "CODA_F_agenteFiltro", true, stWidthInner, FA.FilterSelectableAgents(oU, oC.getLt( "DATI_agenti" )), 0, 1, "" ) %></div>
        <% }; %>

        <label for="CODA_F_idLocation"><%= oDec.k("custrep_location") %></label>
        <div><%= oH.combo( "CODA_F_idLocation", true, stWidthInner, oC.getLt( "DATI_locations_selectable" ), 0, 1, "" ) %></div>

        <label for="CODA_F_idAgentGroup"><%= oDec.k("custrep_agentgroup") %></label>
        <div><%= oH.combo( "CODA_F_idAgentGroup", true, stWidthInner, oC.getLt( "DATI_agentgroups_selectable" ), 0, 1, "" ) %></div>

        <label for="DATI_call_status_selectable"><%= oDec.k("custrep_outcome") %></label>
        <div>
          <%= oH.combo( "CODA_F_outcome", true, stWidthInner, oC.getLt(  "DATI_call_status_selectable" ), 0, 1, "" ) %>
        </div>

        <label for="CODA_F_features"><%= oDec.k("custrep_features") %></label>
        <div>	<%= oH.comboX( "CODA_F_features", true, stWidthInner, oC.getLt( "DATI_call_features_selectable" ), 0, 1, "" ) %></div>

        <label for="CODA_F_calltags"><%= oDec.k("custrep_calltags") %></label>
        <div><%= oH.comboX( "CODA_F_calltags", true, stWidthInner, oC.getLt( "DATI_call_tags_selectable" ), 0, 1, "" ) %></div>
      </div>

      <div class="qm-form-grid-3 uk-child-width-1-3@s" uk-grid>
        <div></div>
        <div><div id="skillsTable">&nbsp;</div></div>
      </div>

      <div class="qm-form-grid-3 uk-child-width-1-3@s" uk-grid>
        <label for="CODA_F_callskills_dd"><%= oDec.k("custrep_skills") %></label>
        <div class="qm-form-grid-2 uk-child-width-1-2@s" uk-grid>
            <div><%= oH.comboX( "CODA_F_callskills_dd", true, stSkillsLblWidth, oC.getLt( "DATI_skills_selectable" ), 0, 1, "" ) %></div>
            <div ><input type="text" class="Input" id="callskill_value"/></div>
        </div>
      </div>

      <div class="qm-form-grid-3 uk-child-width-1-3@s" uk-grid>
        <div></div>
        <div class="qm-form-grid-3 uk-child-width-1-3@s" uk-grid>
            <div></div>
            <div class="uk-text-right">
              <!-- <div class="custrep_skills_btns"> -->
                  <a id="addSkill" class='actButton' uk-icon="icon: plus-circle" title="<%=oDec.k("custrep_skills_btnadd")%>">
                   <%-- //IconLib.imgIcon(IconLib.I_BTN_ADD_DISABLED, oDec.k("custrep_skills_btnadd")) --%>
                  </a>
                  <a id="delSkill" class='actButton' uk-icon="icon: minus-circle" title ="<%=oDec.k("custrep_skills_btndel")%>">
                    <%-- //IconLib.imgIcon(IconLib.I_BTN_DEL, oDec.k("custrep_skills_btndel")) --%>
                  </a>
                  <%= oH.hidden( "CODA_F_callskills") %>
              <!-- </div> -->
          </div>
        </div>
      </div>

      <div class="qm-form-grid-3 uk-child-width-1-3@s" uk-grid>
        <label for="CODA_F_variables"><%= oDec.k("custrep_variables") %></label>
        <div><%= oH.textBox( "CODA_F_variables", true, stWidthInner, 50 ) %></div>
        <label for="CODA_F_asteriskid"><%= oDec.k("custrep_asterisk_id") %></label>
        <div><%= oH.textBox( "CODA_F_asteriskid", true, stWidthInner, 50 ) %></div>
        <label for="CODA_F_caller"><%= oDec.k("custrep_caller") %></label>
        <div><%= oH.textBox( "CODA_F_caller", true, stWidthInner, 50 ) %></div>
      </div>

      <div class="qm-form-grid-3 uk-child-width-1-3@s uk-flex-middle uk-flex" uk-grid>
        <label for="CODA_F_wait"><%= oDec.k("custrep_wait_dur") %></label>
        <div class=" uk-flex uk-flex-middle uk-child-width-1-2 uk-child-width-1-4@s" uk-grid>
          <%= FA.range("CODA_F_wait", oH, oDec, stWidthRange, "s." ) %>
        </div>

        <label for="CODA_F_calldur"><%= oDec.k("custrep_call_dur") %></label>
        <div class=" uk-flex uk-flex-middle uk-child-width-1-2 uk-child-width-1-4@s" uk-grid>
          <%= FA.range("CODA_F_calldur", oH, oDec, stWidthRange, "s." ) %>
        </div>
      </div>

      <div class="qm-form-grid-3 uk-child-width-1-3@s" uk-grid>
        <label for="CODA_F_disconnection"><%= oDec.k("custrep_disconnection") %></label>
        <div><%= oH.combo( "CODA_F_disconnection", true, stWidthInner, oC.getLt( "DATI_cause_sconnessione_selectable" ), 0, 1, "" )%></div>
      </div>

      <div class="qm-form-grid-3 uk-child-width-1-3@s " uk-grid>
        <label ><%= oDec.k("custrep_enterpos") %></label>
        <div class=" uk-flex uk-flex-middle uk-child-width-1-2 uk-child-width-1-4@s" uk-grid>
          <%= FA.range("CODA_F_enterpos", oH, oDec, stWidthRange, "" ) %>
        </div>

        <label><%= oDec.k("custrep_n_attempts") %></label>
        <div class=" uk-flex uk-flex-middle uk-child-width-1-2 uk-child-width-1-4@s" uk-grid>
          <%= FA.range("CODA_F_attempts", oH, oDec, stWidthRange, "" ) %>
        </div>
      </div>

      <div class="qm-form-grid-3 uk-child-width-1-3@s" uk-grid>
        <label for="CODA_F_dnis"><%= oDec.k("custrep_dnis") %></label>
        <div><%= oH.textBox( "CODA_F_dnis", true, stWidthInner, 50 ) %></div>

        <label for="CODA_F_ivr"><%= oDec.k("custrep_ivr_choice") %></label>
        <div><%= oH.textBox( "CODA_F_ivr", true, stWidthInner, 50 ) %></div>

        <label for="CODA_F_server"><%= oDec.k("custrep_server") %></label>
        <div><%= oH.combo( "CODA_F_server", true, stWidthInner, oC.getLt( "DATI_servers_selectable" ), 0, 1, "" ) %></div>

        <% if (oU.hasKey( "SUPERVISOR") ) { %>
          <label for="CODA_F_supervision"><%= oDec.k("custrep_supervision") %></label>
          <div><%= oH.combo( "CODA_F_supervision",  true, stWidthInner, "masterkeyAbilitato", "0" ) %></div>
        <% }; %>

        <label for="CODA_offset_orario"><%= oDec.k("custrep_time_zone_offset") %></label>
        <div><%= oH.combo( "CODA_offset_orario", true, stWidth, "offsetOrario", "0"  ) %></div>

        <label for=""><%= oDec.k("custrep_multistint") %> </label>
        <div><%= oH.combo( "CODA_multistint",  true, stWidth, "masterkeyAbilitato", "0" ) %></div>
      </div>
      </fieldset>

      <fieldset class="qm-fieldset">
      <legend><%= oDec.k("custrep_non_contig") %> </legend>
      <div class="uk-flex uk-margin-top " uk-grid>
        <%
            for ( int d = 0; d < 7; d++ ) {
              String dow = ltSettimana.getS(d,1);
              String wgt = oH.checkBox( "CODA_F_noncont_day_" + ltSettimana.getI(d,0), "");
              String labelFor = "CODA_F_noncont_day_" + ltSettimana.getI(d,0);

              out.println( "<label for=\"" + labelFor + "\">" + dow + "</label> <div>" + wgt + "</div>");
            }
        %>
      </div>

      <%= oH.hidden( "CODA_F_noncont_days" ) %>

      <div class="qm-form-grid-3 uk-child-width-1-3@s" uk-grid>
          <div></div>
          <div class="uk-flex uk-flex-middle uk-margin-top qm-between-small uk-child-width-1-2 uk-child-width-1-4@s" uk-grid>
            <%= FA.rangeHour("CODA_F_noncont_r1", oH, oDec, "", "(hh:mm)") %>
          </div>
          <div></div>
          <div class="uk-flex uk-flex-middle uk-margin-top qm-between-small uk-child-width-1-2 uk-child-width-1-4@s" uk-grid>
            <%= FA.rangeHour("CODA_F_noncont_r2", oH, oDec, "", "(hh:mm)") %>
          </div>
      </div>
      </fieldset>
      <% }; /* hasKey(QUEUE_AN) */ %>


  </div>
</div>


<div class="uk-child-width-1-2@s uk-margin-top" uk-grid>
  <div class="uk-text-center">
    <%= oH.button( oDec.k("custrep_run_custom_report"), oU.hasKey("QUEUE_AN"), stWidth, "qm_mostra_coda", "" ) %>
  </div>
  <div class="uk-text-center ">
    <%= oH.button( oDec.k("custrep_start_realtime_monitoring"), oU.hasKey("REALTIME"), stWidth + "margin-top: 5px;", "qm_realtime2", "" ) %>
  </div>
</div>
</div>






<%@ include file="/includes/00_page_footer.jspf" %>
