<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.debug.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="it.loway.app.queuemetrics.*" %>
<%@ page import="it.loway.app.queuemetrics.caricamento.*" %>
<%@ page import="it.loway.app.queuemetrics.asterisk.logs.*" %>
<%@ page import="java.text.*" %>
<%@ page contentType="text/html;charset=UTF-8"%>
<%@ page pageEncoding="UTF-8"%>

<%@include file="/includes/00_page_header_context.jspf" %>

<html class="qm-plain">
<head>

<meta http-equiv="Content-Type" content="text/html; charset=<%= K.ENCODING_UTF8 %>" />

<%= NoCache.importJsTheme(request, oC, "/img/js-bundle/", "bundle-qmplain.js", "bundle-commons-react.js", "bundle-commons-all.js") %>
<%= NoCache.importCssTheme(request, oC, "/img/js-bundle/", "commons-all.css", "screen,projection" ) %>
<%= NoCache.favicon( request, oC) %>


<script>
    $(document).ready( function() {
            doOnLoad( "<%= oC.getS( "WEB_DisableBackHistory" ) %>", "<%= stErr %>");
            <% if ( oC.defined( "POPUP_response" ) && (!oC.getS( "POPUP_response" ).equalsIgnoreCase(ActionPopupException.PAUSE_REQUIRED))) { %>
            TimerRepeat();
            colorizeBox();
            <% } %>
    });

    <% if ( oC.defined( "POPUP_response" ) ) { %>
        var seconds = 30;

        function TimerRepeat()
        {
                seconds--;

                <% String stLabel = oDec.k("pgag_popup_wintimeclose"); %>
                var strVal = "<%= stLabel %>";
                strVal = strVal.replace("##", seconds);
                document.getElementById('lblsec').innerHTML = strVal;

                if (seconds == 0)
                {
                    window.close();
                }

                setTimeout("TimerRepeat()",1000);
        }
    <% } %>

</script>

<title>Agent activities</title>


<style>
/*
body, TD {
	BACKGROUND: #FFFFFF;
	COLOR: #333333;
	MARGIN: 0px;
	PADDING: 0px;
	SPACING: 0px;
  font-family: Verdana;
}

body {
    text-align: center;
}

.red {
	color: red;
}

.actButton {
	BACKGROUND: white;
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 12px;
}


table.ST {
	background-color: white;
	border: 1px #000000 solid;
	border-collapse: collapse;
	border-spacing: 0px;
	align: center;
}

.ST_TRH {
background-color: #99CCCC;
	border: 1px #000000 solid;
	font-family: Verdana;
	font-weight: bold;
	font-size: 12px;
	color: #404040;
	text-align: left;
}

.ST_TR0, .ST_TR1{
        border-bottom: 1px #6699CC dotted;
	text-align: left;
	font-weight: normal;
	font-size: 12px;
	color: #404040;
	background-color: #fafafa;
	padding-top: 4px;
	padding-bottom: 4px;
	padding-left: 8px;
	padding-right: 0px;
}

*/
</style>
</head>

<body id="xBody" class="uk-padding">
<FORM method="POST" action="<%= stWebHere %><%= K.TRANSACTION_CONTROLLER %>" onsubmit="runIf(); return false;">

<%@include file="popup_agente_contents.jsp" %>

<% if ( oC.defined( "POPUP_response" ) ) { %>

<script defer>
opener.location='qm_agente_live.do?cbr=<%= U.randomNumber( 1000000, 9000001) %>';

</script>

<%
    }
%>


<% // ===========================================================================     %>
<% //                         B O T T O N I E R A                                     %>
<% // ===========================================================================     %>

<div style="text-align: right;">
<% if (( actionInfo.buttonCaption.length() > 0 ) && ( ( !oC.defined( "POPUP_response" )) || (oC.getS("POPUP_response").equalsIgnoreCase("PR"))) ) { %>

<script>

    // Starts a transactional based operation
    function runIf() {
        var err = 0;

        err += checkElement( "POPUP_agentcode" );
        err += checkElement( "POPUP_extension" );

        if ( err == 0 ) {
            startTransaction("qm_popup_agente_exec", "<%= stOperCode %>");
        }
    }
</script>

    <INPUT TYPE='submit' CLASS='actButton' VALUE="<%= actionInfo.buttonCaption %>">
<% } else { %>
    <font size="1" color="#AAAAAA"><label id="lblsec"></label></font>
<% } %>


&nbsp;

<%= oH.buttonScript( oDec.k("cld_pop_close"), true, "", "opener.location='qm_agente_live.do?cbr=" + U.randomNumber( 1000000, 9000000) +"';window.close();") %>

</div>

</form>



</body>
</html>
<%
// $Log: popup_agente.jsp,v $
// Revision 1.25  2015/09/28 08:41:06  marcos
// jsp/jspf refactoring.
//
// Revision 1.24  2014/03/26 09:18:04  marcos
// #2315: Transfer and hangup don't work in realtime page
//
// Revision 1.23  2014/02/28 10:51:18  marcos
// Abort sumbit action if no valid data are present into the popup.
//
// Revision 1.22  2014/01/08 16:54:23  lenz-mobile
// #2115 - cache breaker was not working.
//
// Revision 1.21  2013/10/23 08:32:26  marcos
// #1969: Agent dialout issue (on popup)
//
// Revision 1.20  2012/04/26 08:40:36  marcos
// #1581: Validate agent code and extension using Regexp
//
// Revision 1.19  2012/04/26 07:42:23  lenz-mobile
// #1581 - validazione agente e extension con regexp
//
// Revision 1.18  2012/04/26 07:40:28  lenz-mobile
// #1581 - validazione agente e extension con regexp
//
// Revision 1.17  2012/04/12 10:15:14  marcos
// #733: Log-on/off agents from the RT page
//
// Revision 1.16  2011/01/14 11:16:50  marcos
// IMM14 merge on main trunk
//

// Revision 1.15  2010/12/22 13:15:08  marcos
// #1192: Encoding popup agent's page
//
// Revision 1.14  2010/12/21 17:12:59  marcos
// #1218: Passing penalties to Addmember entries
//
// Revision 1.13  2010/12/17 11:04:43  marcos
// #1202: Agent MUST set a pause reason
//
// Revision 1.12  2010/10/15 08:14:15  lenz-mobile
// Bug #1182
//
// Revision 1.11.2.1  2010/06/17 09:29:29  marcos
// #1052: Display only relevant Status codes
//
// Revision 1.11  2009/10/22 10:34:09  marcos
// #887: The agent popup doesn't no more close after 30 seconds
//
// Revision 1.10  2009/05/07 08:04:08  marcos
// #723: Combo and edit box resizing on popup agent page
//
// Revision 1.9  2009/02/17 17:03:31  marcos
// #620: Custom dial on agent's live page
//
// Revision 1.8  2009/02/16 10:37:47  marcos
// #619: Add AddQueueMember and RemoveQueueMember triggering buttons on agent's live page.
//
// Revision 1.7  2008/11/24 15:51:41  marcos
// #551 Added a javascript based timer that closes the agent popup in 30 seconds after the user interaction
//
// Revision 1.6  2008/11/24 15:50:39  marcos
// #551 Added a javascript based timer that closes the agent popup in 30 seconds after the user interaction
//
// Revision 1.5  2007/07/29 11:50:28  lenz
// Bug #168: ancora problemi UTF-8
//
// Revision 1.4  2007/07/29 11:05:06  lenz
// Bug #174: blocco opzionale del codice agente nel popup agente.
//
// Revision 1.3  2007/06/22 10:13:10  lenz
// Bug #150: sessione mancante e UTF8
//
// Revision 1.2  2007/05/12 20:48:26  lenz
// Merge IMM4
//
// Revision 1.1.2.3  2006/12/30 17:16:52  lenz
// iNTERNAZIONALIZZAZIONE.
//
// Revision 1.1.2.2  2006/12/29 23:08:43  lenz
// Ricarica la pagina sottostante.
//
// Revision 1.1.2.1  2006/12/20 23:19:59  lenz
// Quasi funzionante.
//
//
//
//
//
%>
