<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.debug.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="it.loway.app.queuemetrics.*" %>
<%@ page import="it.loway.app.queuemetrics.caricamento.*" %>
<%@ page import="it.loway.app.queuemetrics.asterisk.logs.*" %>
<%@ page import="java.text.*" %>
<%@page contentType="text/html;charset=UTF-8"%>
<%@page pageEncoding="UTF-8"%>

<%@include file="/includes/00_page_header_context.jspf" %>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<%= K.ENCODING_UTF8 %>" />
<title>Close Call</title>

<%--
<style>
body, TD {
	BACKGROUND: #FFFFFF;
	COLOR: #333333;
	MARGIN: 0px;
	PADDING: 0px;
	SPACING: 0px;
        font-family: Verdana;
}

body {
    text-align: center;
}

.red {
	color: red;
}

.actButton {
	BACKGROUND: white;
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 12px;
}


table.ST {
	background-color: white;
	border: 1px #000000 solid;
	border-collapse: collapse;
	border-spacing: 0px;
	align: center;
}

.ST_TRH {
background-color: #99CCCC;
	border: 1px #000000 solid;
	font-family: Verdana;
	font-weight: bold;
	font-size: 12px;
	color: #404040;
	text-align: left;
}

.ST_TR0, .ST_TR1{
        border-bottom: 1px #6699CC dotted;
	text-align: left;
	font-weight: normal;
	font-size: 12px;
	color: #404040;
	background-color: #fafafa;
	padding-top: 4px;
	padding-bottom: 4px;
	padding-left: 8px;
	padding-right: 0px;
}
</style>
--%>

<%= NoCache.importJsTheme(request, oC, "/img/js-bundle/", "bundle-qmplain.js", "bundle-commons-react.js", "bundle-commons-all.js") %>
<%= NoCache.importCssTheme(request, oC, "/img/js-bundle/", "commons-all.css", "screen,projection" ) %>

<script language="javascript" type="text/javascript">

    function closeAndRefreshParent() {

        try {
            if (window.opener != null) {
                window.opener.queryJson();
            }
        } catch (err) {}

        window.close();
    }

</script>

</head>
<body id="xBody">

  <script>
      $(document).ready( function() {
              doOnLoad( "<%= oC.getS( "WEB_DisableBackHistory" ) %>", "<%= stErr %>");
      });
  </script>
<div class="uk-text-center uk-text-small uk-margin-small-left uk-margin-small-right uk-margin-small-auto@s	">

  <FORM method="POST" action="<%= stWebHere %><%= K.TRANSACTION_CONTROLLER %>">
  <INPUT TYPE="hidden" name="<%= K.REQ_VERBO %>" value="">
  <INPUT TYPE="hidden" name="<%= K.REQ_PARAM %>" value="">



<% String stAns = oC.getS("POPUP_close_result");
if ( stAns.length() > 0 ) {
if ( stAns.equalsIgnoreCase("OK") ) {
%>

<%= oDec.k("popupclose_successful") %>


<p><%= oH.buttonScript( oDec.k("popupclose_exit"), true, "width: 70px", "closeAndRefreshParent();" ) %>

<%
} else
if ( stAns.equalsIgnoreCase("KO") ) {
%>

<%= oDec.k("popupclose_error") %>

<p><%= oH.buttonScript( oDec.k("popupclose_exit"), true, "width: 70px", "closeAndRefreshParent();" ) %>

<%
} else
if ( stAns.equalsIgnoreCase("AD") ) {
%>

<%= oDec.k("popupclose_alreadydone") %>

<p><%= oH.buttonScript( oDec.k("popupclose_exit"), true, "width: 70px", "closeAndRefreshParent();" ) %>

<%
};
} else {
%>

<div class="uk-text-danger uk-margin-small">
<b><%= oDec.k("popupclose_force_confirm") %></b>
</div>

<div class="qm-form-grid-2 uk-child-width-1-2 uk-margin-small" uk-grid>
  <label class=" uk-text-right"><%= oDec.k("popupclose_length") %></label>
  <div class="uk-text-left"><%= oH.textBox( "C_L", true, "", 4)  %> <%= oDec.k("popupclose_sec") %> </div>

  <div class="uk-text-right"><%= oH.button( oDec.k("popupclose_close") , true, "", "qm_close_call_do", "" ) %></div>
  <div class="uk-text-left"><%= oH.buttonScript( oDec.k("popupclose_exit"), true, "", "window.close();" ) %></div>
</div>


<INPUT TYPE="hidden" name="C_P" value="<%= oC.getS( "C_P") %>">
<INPUT TYPE="hidden" name="C_A" value="<%= oC.getS( "C_A") %>">

<% }; %>



</form>
</div>

</body>
</html>
<%
// $Log: popup_call_close.jsp,v $
// Revision 1.6  2015/09/28 08:41:06  marcos
// jsp/jspf refactoring.
//
// Revision 1.5  2012/12/13 09:59:21  marcos
// #1812: Possible issue when closing call from the RT page
//
// Revision 1.4  2012/06/01 08:51:14  marcos
// #1639: Popup call close
//
// Revision 1.3  2010/12/22 13:15:08  marcos
// #1192: Encoding popup agent's page
//
// Revision 1.2  2009/10/22 10:34:09  marcos
// #887: The agent popup doesn't no more close after 30 seconds
//
// Revision 1.1  2008/06/06 12:40:35  lenz
// Bug #399: Chiusura di chiamate ongoing.
//
//
//
%>
