<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    oC.putS("AUTH_op", "change" );

    // Messaggio di errore.
    String stErrMsg = oC.getS("AUTH_error");
    boolean withError = stErrMsg.length() > 0;


     String stStyle = "";
%>

<script>
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "qm_password_reset";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";
    aggiungiEventoOnchangeAComboLanguage();
    setFocus( "AUTH_logon" );
}
//
// per non incasinare i controlli, aggiungo l'onChange alla combo delle location
// in maniera programmatica
//
function aggiungiEventoOnchangeAComboLanguage() {
    document.getElementById( "AUTH_language" ).onchange = OnChangeCboLanguage;
}
function OnChangeCboLanguage() {
    startTransaction('qm_language_selector', 'RESETPWD');
}
</script>


<%--
    MESSAGGIO DI ERRORE
--%>

<% if (withError) { %>

  <div class="qm-auth-warning LNotification">
      <div class="uk-grid-small uk-flex-middle" uk-grid>
          <div class="uk-width-auto">
              <h3 class="uk-card-title"><a href="" uk-icon="icon: warning; ratio: 1"></a></h3>
          </div>
          <div class="uk-width-expand">
              <p><%= stErrMsg %></p>
          </div>
      </div>
  </div>

<% } %>


<center>
    <div class="qm-auth">
      <h1><%= oDec.k("pwres_reset_password") %>: <%= oC.getS("AUTH_user") %></h1>
  
      <div class="qm-auth-input">
        <label for="AUTH_pass"><%= oDec.k("pwres_pass") %></label>
        <%= oH.password( "AUTH_pass", true, stStyle, 50 ) %>
      </div>
  
      <div class="qm-auth-input">
        <label for="AUTH_pass_2"><%= oDec.k("pwres_repeat_pass") %></label>
        <%= oH.password( "AUTH_pass_2", true, stStyle, 50 ) %>
      </div>
  
      <div class="qm-auth-input qm-auth-languages">
        <%= oH.combo("AUTH_language", true, stStyle, oC.getLt( "LANG_languages"), 0, 1, "" ) %>
      </div>

      <%= oH.hidden( "AUTH_op") %> <%= oH.hidden( "AUTH_user") %> <%= oH.hidden("AUTH_token") %> 

      <input type='submit' name="login" class="LButton qm-login Q-button-primary" data-verb="qm_password_reset" value="<%= oDec.k("pwres_change") + " &raquo; "%>">
    </div>
  </center>

<%@ include file="/includes/00_page_footer.jspf" %>

<%
// Reset password!
%>
