<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.transaction.db.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.agentGroupsIconDecorator" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes
    //oDec.load( "ricerchePubbliche", "ricerchePubbliche.txt", 0, 1 );

    final String stVerbPrefix = "qm_cfg2_agents";
    final String stTabPrefix  = "TABAGENTI_NOTI";
    //--------------------------------------------------------------
    class buttonModificaDecor implements TpfCellDecoratorInterface {
            HtmlGenerator obH = null;
            public buttonModificaDecor( HtmlGenerator oHx) { obH = oHx; };
            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                String stTesto = lt.getS(r, c );
                //String stButton = obH.button( "...", true, "width: 20px", stVerbPrefix + "_edit", stTesto );
                String stButton = obH.imgButton( "../img/icons_silk/pencil.png", "Edit", true, "", stVerbPrefix + "_edit", stTesto );
                return  "  <td class='stData' style='width: " + width + ";'>" + stButton + "</td>\n";
            }
    };
    class selectDecor implements TpfCellDecoratorInterface {
            public selectDecor() { };
            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                String stTesto = lt.getS(r, c );
                return "  <td class='stData'  style='width:' " + width + ";'>" +"  <input type='checkbox'  name ='cb' value='"+lt.getS(r, c )+"'></input>" + "</td>\n";
            }
    };
      class monitorDecor implements TpfCellDecoratorInterface {
            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                String stTesto = lt.getS(r, c );
                if ( stTesto.length() > 0 ) {
                    stTesto = "<center><a href=\"" + stTesto + "\" alt='Monitor now' target='_mon'><img border='0' src=\"../img/icons_silk/monitor_go.png\"></a></center>";
                } else {
                    stTesto = "&nbsp;";
                }
                return  "  <td class='stData' style='width: " + width + ";'>" + stTesto+ "</td>\n";
            }
        };
      class xmppDecor implements TpfCellDecoratorInterface {
            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                String stTesto = lt.getS(r, c );
                if ( stTesto.length() > 0 ) {
                    stTesto = "<center><a href=\"xmpp:" + stTesto + "\" alt='Chat now' target='_mon'><img border='0' src=\"../img/icons_silk/status_online.png\"></a></center>";
                } else {
                    stTesto = "&nbsp;";
                }
                return  "  <td class='stData' style='width: " + width + ";'>" + stTesto+ "</td>\n";
            }
        };

%>

<script>
    function onLoadApplicativo() {
        // transazione standard
        document.forms[0].<%= K.REQ_VERBO %>.value = "<%= stVerbPrefix %>_list";
        document.forms[0].<%= K.REQ_PARAM %>.value = "WithQuery";

        // setFocus("<%= PagedTransactor.getQueryField( stTabPrefix ) %>");
    }

    var page_enableAdminSearch = true;
    var setFocusPath = "<%= PagedTransactor.getQueryField( stTabPrefix ) %>";
    var stVerbPrefix = "<%=stVerbPrefix%>";
</script>

<div class="qm-form-body">
  <fieldset class="qm-fieldset">
    <legend><%=oDec.k("edit_ac_title")%></legend>
    <div class="qm-editor-search">

      <%-- search line --%>
      <%@ include file="/includes/qm_adm/20_qm_adm_searchbox.jspf" %>

      <div class="qm-editor-button">
        <div><%= oH.button( oDec.k("editor_create_new"), true, "", stVerbPrefix + "_edit", "N") %></div>
        <div><%= oH.buttonScript( oDec.k("editor_delete_selected"), true, "", "deleteSelected('"+stVerbPrefix+"')") %></div>
      </div>
    </div>


    <%
        SmartTableTransactor stT = new SmartTableTransactor( oC, stTabPrefix, stVerbPrefix + "_list",
            it.loway.app.queuemetrics.configurazione.cfg2.ptAgents.SORTINGS );

        stT.addColumn( "<input type='checkbox' onclick='selectAll(this);'></input>",      0   , "30px",   new selectDecor()   );
        stT.addColumn( oDec.k("edit_ac_agent_code"),      1   , "150px",   "agc"   );
        stT.addColumn( oDec.k("edit_ac_description"),     2   , "200px", "agd"   );
        stT.addColumn( oDec.k("edit_ac_payroll_code"),   14   , "100px" , "");
        stT.addColumn( oDec.k("edit_ac_location"),        8  , "100px", "loc" );
        stT.addColumn( oDec.k("edit_ac_group"),          12  , "100px", "agp" );
        stT.addColumn( oDec.k("edit_ac_gr"),            13  , "20px", "", new agentGroupsIconDecorator(oH));
        stT.addColumn( oDec.k("edit_ac_term"),           5  , "50px", "ter" );
        stT.addColumn( oDec.k("edit_ac_mon"),            6  , "50px", "vnc", new monitorDecor() );
        stT.addColumn( oDec.k("edit_ac_im"),             10  , "50px", "xmp", new xmppDecor() );
        stT.addColumn( oDec.k("edit_ac_supervisor"),      9  , "70px", "sup" );
        stT.addColumn( oDec.k("edit_ac_key"),            11  , "100px", "key" );
        stT.addColumn( "&nbsp;",  0 , "20px", new   buttonModificaDecor( oH )   );

        if ( stT.getNRigheTotaliQuery() > 0 ) {
    %>
      <%@ include file="/includes/qm_adm/10_qm_adm_pagination.jspf" %>
    <%
    }
    %>
    <%
    if ( stT.numRows() > 0 ) {
        stT.withTableClass( "qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand" );
        out.println( stT.render() );
    }
    if ( stT.getNRigheTotaliQuery() == 0 ) {
    %>
      <%@ include file="/includes/qm_adm/30_qm_adm_noresultsbox.jspf" %>
    <%
        } else { // ci sono righe
    %>
      <%@ include file="/includes/qm_adm/10_qm_adm_pagination.jspf" %>
    <%
    };
    %>
      <div class="qm-editor-button">
        <div class="qm-editor-button"><%= oH.button( oDec.k("editor_create_new"), true, "", stVerbPrefix + "_edit", "N") %></div>
        <div><%= oH.buttonScript( oDec.k("editor_delete_selected"), true, "", "deleteSelected('"+stVerbPrefix+"')") %></div>
      </div>
  </fieldset>
</div>



<%--
<center>

    <table>
        <tr>
            <td style="width: 33%;"></td>
            <td style="width: 33%; text-align: center;">
                <h1><%=oDec.k("edit_ac_title")%></h1>
            </td>
            <td style="width: 33%; text-align: right">
                <%= oH.textBox( PagedTransactor.getQueryField( stTabPrefix ), true, "vertical-align:bottom;", 100)  %>
                <%= oH.button( "", true, "width: 32px; height:32px; vertical-align:bottom; border:none; box-shadow:none; background: url("+stWebHere+"/img/magnifierbw32.png);", stVerbPrefix + "_list", "WithQuery" ) %>
            </td>
        </tr>
    </table>

    <div>
        <%= oH.button( oDec.k("editor_create_new"), true, "width: 100px", stVerbPrefix + "_edit", "N") %>
        <%= oH.buttonScript( oDec.k("editor_delete_selected"), true, "", "deleteSelected('"+stVerbPrefix+"')") %>
    </div>
    <p>
        <%
            SmartTableTransactor stT = new SmartTableTransactor( oC, stTabPrefix, stVerbPrefix + "_list",
                it.loway.app.queuemetrics.configurazione.cfg2.ptAgents.SORTINGS );

            stT.addColumn( "<input type='checkbox' onclick='selectAll(this);'></input>",      0   , "30px",   new selectDecor()   );
            stT.addColumn( oDec.k("edit_ac_agent_code"),      1   , "150px",   "agc"   );
            stT.addColumn( oDec.k("edit_ac_description"),     2   , "200px", "agd"   );
            stT.addColumn( oDec.k("edit_ac_payroll_code"),   14   , "100px" , "");
            stT.addColumn( oDec.k("edit_ac_location"),        8  , "100px", "loc" );
            stT.addColumn( oDec.k("edit_ac_group"),          12  , "100px", "agp" );
            stT.addColumn( oDec.k("edit_ac_gr"),            13  , "20px", "", new agentGroupsIconDecorator(oH));
            stT.addColumn( oDec.k("edit_ac_term"),           5  , "50px", "ter" );
            stT.addColumn( oDec.k("edit_ac_mon"),            6  , "50px", "vnc", new monitorDecor() );
            stT.addColumn( oDec.k("edit_ac_im"),             10  , "50px", "xmp", new xmppDecor() );
            stT.addColumn( oDec.k("edit_ac_supervisor"),      9  , "70px", "sup" );
            stT.addColumn( oDec.k("edit_ac_key"),            11  , "100px", "key" );
            stT.addColumn( "&nbsp;",  0 , "20px", new   buttonModificaDecor( oH )   );

            if ( stT.getNRigheTotaliQuery() > 0 ) {
        %>
    <table  id="tabHeader" style="margin-bottom: 15px;">
       <tr><td align="left" >
<%= oDec.k("editor_items_found") %> <%= stT.getNRigheTotaliQuery() %>
</td><td align="center">
<%= oH.button( "&lt;&lt;&lt;", stT.hasPreviousPage(), "width: 60px", stVerbPrefix + "_list", "P" ) %>
<%= oH.button( "&gt;&gt;&gt;", stT.hasNextPage(), "width: 60px", stVerbPrefix + "_list", "N" ) %>
</td><td align="right">
<%= oDec.k("editor_n_page") %> <%= stT.getPaginaCorrenteQuery() %> <%= oDec.k("editor_page_of") %> <%= stT.getNPagineTotaliQuery() %>
</td></tr>
    </table>
    <%
        }
    %>
    <%
        if ( stT.numRows() > 0 ) {
            out.println( stT.render() );
        }
        if ( stT.getNRigheTotaliQuery() == 0 ) {
    %>
    &nbsp;
    <p>
    <%= oDec.k("editor_no_items_found") %>
    <p>
    &nbsp;
        <%
            } else { // ci sono righe
        %>
    <table  id="tabFooter">
        <tr><td align="left" >
<%= oDec.k("editor_items_found") %> <%= stT.getNRigheTotaliQuery() %>
</td><td align="center">
<%= oH.button( "&lt;&lt;&lt;", stT.hasPreviousPage(), "width: 60px", stVerbPrefix + "_list", "P" ) %>
<%= oH.button( "&gt;&gt;&gt;", stT.hasNextPage(), "width: 60px", stVerbPrefix + "_list", "N" ) %>
</td><td align="right">
<%= oDec.k("editor_n_page") %> <%= stT.getPaginaCorrenteQuery() %> <%= oDec.k("editor_page_of") %> <%= stT.getNPagineTotaliQuery() %>
</td></tr>
    </table>
    <%
        };
    %>
            <%= oH.button( oDec.k("editor_create_new"), true, "width: 100px", stVerbPrefix + "_edit", "N") %>
        <%= oH.buttonScript( oDec.k("editor_delete_selected"), true, "", "deleteSelected('"+stVerbPrefix+"')") %>

</center>
--%>
<%@ include file="/includes/00_page_footer.jspf" %>

<%
// $Log: cfg2_agents_list.jsp,v $
// Revision 1.12  2015/09/28 08:41:10  marcos
// jsp/jspf refactoring.
//
// Revision 1.11  2014/09/24 08:55:13  marcos
// Cosmetic: tables are not properly rendered by some browser because the size is not specified in pixel units.
//
// Revision 1.10  2014/05/19 09:46:32  lenz
// Merge FRANKIE
//
// Revision 1.9.8.1  2014/05/13 13:33:36  mirkox
// Nuova Grafica
//
// Revision 1.9  2012/06/25 14:00:53  marcos
// #1651: Unclear group column with empty description
//
// Revision 1.8  2011/11/24 17:16:44  marcos
// #1008: Link diretto a License page
//
// Revision 1.7  2011/09/30 10:02:45  lenz-mobile
// #1470 - Friendly Names
//
// Revision 1.6  2010/01/12 17:11:53  marcos
// IMM11 branch merge on main trunk
//
// Revision 1.5.2.3  2009/09/21 09:07:53  marcos
//  Bug 865 -  Payroll: changes to the Agent page
//
// Revision 1.5.2.2  2009/06/09 15:29:36  marcos
// Agent Groups new feature added on QM 1.6.0 - Icon on reports and some other minor changes
//
// Revision 1.5.2.1  2009/06/08 10:38:58  marcos
// Agent Groups new feature added on QM 1.6.0
//
// Revision 1.5  2009/01/14 10:09:08  marcos
// #582: Agent selection filtered by specific keys.
//
// Revision 1.4  2008/11/12 10:20:54  marcos
// #357 - Added navigation buttons on top the table in all configuration pages
//
// Revision 1.3  2008/09/29 14:31:15  lenz
// --=-   M e r g e   I M M 6   -=--
//
// Revision 1.2.2.2  2008/04/18 16:12:58  lenz
// Bug #285: Cursore in automatico nel primo box.
// Bug #280: Bottoni sopra e sotto.
//
// Revision 1.2.2.1  2007/12/07 11:21:36  lenz
// Gestione indirizzo IM per agente.
//
// Revision 1.2  2007/10/01 12:45:19  lenz
// Piccole modifiche cosmetiche
//
// Revision 1.1  2007/10/01 10:44:56  lenz-mobile
// gestione completa editor agenti paginato.
//
//
%>
