<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );
%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes
    oDec.load( "masterkeyAbilitato", "masterkey_abilitato.txt", 0, 1 );
    final String stVerbPrefix = "qm_cfg2_calltags";
    final String stTabPrefix  = "TABCALL_TAGS";
    String stWidth = "";
%>

<script>
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";

  setFocus( "TABCALL_TAGS_tag_code" );
}
</script>

<div class="qm-form-body">
<fieldset class="qm-fieldset L-column L-gap-24">
  <legend><%= oDec.k("edit_record_tags_title") %></legend>

  <div class="qm-form-grid-3 uk-child-width-1-3@s" uk-grid>
    <label for="TABCALL_TAGS_tag_code"><%= oDec.k("edit_record_tags_code") %></label>
    <div><%= oH.textBox( "TABCALL_TAGS_tag_code",  true, stWidth, 45 ) %></div>

    <label for="TABCALL_TAGS_tag_descr"><%= oDec.k("edit_record_description") %></label>
    <div><%= oH.textBox( "TABCALL_TAGS_tag_descr",  true, stWidth, 100 ) %></div>

    <label for="TABCALL_TAGS_read_key"><%= oDec.k("edit_record_securitykey") %></label>
    <div><%= oH.textBox( "TABCALL_TAGS_read_key",  true, stWidth, 100 ) %></div>

    <label for="TABCALL_TAGS_seckey_queues"><%= oDec.k("edit_record_tags_visibility") %></label>
    <div><%= oH.textArea( "TABCALL_TAGS_seckey_queues",  true, stWidth + "height: 90px;", 10000 ) %></div>

    <label for="TABCALL_TAGS_nomedata_insert"><%= oDec.k("edit_record_createdby") %></label>
    <div><%= oC.getS("TABCALL_TAGS_nomedata_insert") %>  </div>

    <label for="TABCALL_TAGS_nomedata_update"><%= oDec.k("edit_record_lastupdate") %></label>
    <div><%= oC.getS( "TABCALL_TAGS_nomedata_update" ) %></div>
  </div>

  <div class="L-row uk-flex-between">
    <%= oH.iconButton( "<span uk-icon='icon: chevron-left; ratio: 1'></span>"+oDec.k("edit_record_back"), true, "", stVerbPrefix + "_list", "", "Q-button-tertiary") %>
    <div class="L-row L-gap-16">
      <%= oH.button( oDec.k("edit_record_new"), (oC.getI("TABCALL_TAGS_tag_id") > 0 ), "", stVerbPrefix + "_edit", "N", "Q-button-secondary") %>
      <%= oH.button( oDec.k("edit_record_clone"), (oC.getI("TABCALL_TAGS_tag_id") > 0 ), "", stVerbPrefix + "_edit", "C", "Q-button-secondary") %>
      <%= oH.buttonScript( oDec.k("edit_record_delete"), (oC.getI("TABCALL_TAGS_tag_id") > 0 ), "", "deleteSingleRecord('"+stVerbPrefix+"','"+oC.getS("TABCALL_TAGS_tag_code")+"','"+oC.getS("TABCALL_TAGS_tag_id")+"')", "Q-button-secondary") %>
    </div>
    <%= oH.button( oDec.k("edit_record_save"), true, "", stVerbPrefix + "_edit", "S" ) %>
  </div>

</fieldset>
</div>



<%--
<center>
<h1><%= oDec.k("edit_record_tags_title") %></h1>
<table class="ST">

<tr><td>

<%= oDec.k("edit_record_tags_code") %>

</td><td>

<%= oH.textBox( "TABCALL_TAGS_tag_code",  true, stWidth, 45 ) %>

</td></tr>



<tr><td>

<%= oDec.k("edit_record_description") %>

</td><td>

<%= oH.textBox( "TABCALL_TAGS_tag_descr",  true, stWidth, 100 ) %>

</td></tr>

<tr><td>

<%= oDec.k("edit_record_securitykey") %>

</td><td>

<%= oH.textBox( "TABCALL_TAGS_read_key",  true, stWidth, 100 ) %>

</td></tr>



<tr><td>

<%= oDec.k("edit_record_tags_visibility") %>

</td><td>

<%= oH.textArea( "TABCALL_TAGS_seckey_queues",  true, stWidth + "height: 90px;", 10000 ) %>

</td></tr>




<tr><td>

<%= oDec.k("edit_record_createdby") %>

</td><td>

<%= oC.getS("TABCALL_TAGS_nomedata_insert") %>  &nbsp;

</td></tr>



<tr><td>

<%= oDec.k("edit_record_lastupdate") %>

</td><td>

<%= oC.getS( "TABCALL_TAGS_nomedata_update" ) %> &nbsp;

</td></tr>



</table>





<p>



    <%= oH.button( oDec.k("edit_record_save"), true, "", stVerbPrefix + "_edit", "S" ) %>



    <%= oH.button( oDec.k("edit_record_back"), true, "", stVerbPrefix + "_list", "") %>



    <%= oH.button( oDec.k("edit_record_new"), (oC.getI("TABCALL_TAGS_tag_id") > 0 ), "", stVerbPrefix + "_edit", "N") %>



    <%= oH.button( oDec.k("edit_record_clone"), (oC.getI("TABCALL_TAGS_tag_id") > 0 ), "", stVerbPrefix + "_edit", "C") %>



    <%= oH.buttonScript( oDec.k("edit_record_delete"), (oC.getI("TABCALL_TAGS_tag_id") > 0 ), "", "deleteSingleRecord('"+stVerbPrefix+"','"+oC.getS("TABCALL_TAGS_tag_code")+"','"+oC.getS("TABCALL_TAGS_tag_id")+"')") %>


</center>


--%>


<%@ include file="/includes/00_page_footer.jspf" %>



<%

// $Log: cfg2_calltags_edit.jsp,v $
// Revision 1.3  2015/09/28 08:41:10  marcos
// jsp/jspf refactoring.
//
// Revision 1.2  2015/05/08 10:57:54  marcos
// Merge 24 on trunk
//
// Revision 1.1.2.1  2014/11/04 08:47:25  marcos
// #2462 - RTTF: QM editors
//
%>
