<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.transaction.db.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.realtime.*" %>
<%@ page import="it.loway.app.queuemetrics.caricamento.DataExporters.DataExporterFactory" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );

%>
<%@ include file="/includes/00_page_header.jspf" %>

<%
    // inizializza Decodes
    //oDec.load( "ricerchePubbliche", "ricerchePubbliche.txt", 0, 1 );

    final String stVerbPrefix = "qm_cfg2_cases";
    final String stTabPrefix  = "TABCASES";
    //--------------------------------------------------------------
    class buttonModificaDecor implements TpfCellDecoratorInterface {
            private HtmlGenerator obH = null;
            private LDecoder oDec = null;
            private LUser oU = null;
            public buttonModificaDecor( HtmlGenerator oHx, LDecoder oDecx, LUser oUx) {
                obH = oHx;
                oDec = oDecx;
                oU = oUx;
            }
            public String decorate(LTable lt, int r, int c, String width) throws TechException {

                String stTesto = lt.getS(r, c );
                String stButtonEdit = obH.imgButton( "../img/icons_silk/pencil.png", "Edit queue", true, "", stVerbPrefix + "_edit", stTesto );
                String stButton = stButtonEdit;
                return  "  <td class='stData' style='width: " + width + ";'>" + stButton + "</td>\n";
            }
    };
    class selectDecor implements TpfCellDecoratorInterface {
            public selectDecor() { };
            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                String stTesto = lt.getS(r, c );
                return "  <td class='stData'  style='width:' " + width + ";'>" +"  <input type='checkbox'  name ='cb' value='"+lt.getS(r, c )+"'></input>" + "</td>\n";
            }
    };

    class userDecor implements TpfCellDecoratorInterface{

        LTable ltUsers;

        public userDecor(LTable ltUsers){
            this.ltUsers = ltUsers;
        };

        public String decorate(LTable lt, int r, int c, String width) throws TechException {

            int id = lt.getI(r,c);
            String result = "#"+id;
            for(int i = 0 ; i < ltUsers.numRows(); i++){
                if(ltUsers.getI(i,0)==id){
                    result = ltUsers.getS(i,1);
                }
            }

            return  "  <td class='stData' style='width: " + width + ";'>" + result + "</td>\n";
        }
    };

%>
<script>
    function onLoadApplicativo() {
        // transazione standard
        document.forms[0].<%= K.REQ_VERBO %>.value = "<%= stVerbPrefix %>_list";
        document.forms[0].<%= K.REQ_PARAM %>.value = "WithQuery";
        //setFocus("<%= PagedTransactor.getQueryField( stTabPrefix ) %>");
    }

    var page_enableAdminSearch = true;
    var setFocusPath = "<%= PagedTransactor.getQueryField( stTabPrefix ) %>";
    var stVerbPrefix = "<%=stVerbPrefix%>";
</script>

<div class="qm-form-body">
  <fieldset class="qm-fieldset">
    <legend><%=oDec.k("edit_cases_header")%></legend>

    <div class="qm-editor-search">

      <%-- search line --%>
      <%@ include file="/includes/qm_adm/20_qm_adm_searchbox.jspf" %>

      <div class="qm-editor-button"><%= oH.button( oDec.k("editor_create_new"), true, "", stVerbPrefix + "_edit", "N") %></div>
      <div><%= oH.buttonScript( oDec.k("editor_delete_selected"), true, "", "deleteSelected('"+stVerbPrefix+"')") %></div>
    </div>
  </fieldset>
  
  <div class="qm-form-body-wide">
    <%
    SmartTableTransactor stT = new SmartTableTransactor( oC, stTabPrefix, stVerbPrefix + "_list",
          it.loway.app.queuemetrics.configurazione.cfg2.ptCases.SORTINGS );
          
          
          stT.addColumn( "<input type='checkbox' onclick='selectAll(this);'></input>" ,  0 , "25px", new selectDecor( ) );
          stT.addColumn( oDec.k("edit_cases_xref"),         1   , "", "xref" );
          stT.addColumn( oDec.k("edit_cases_title"),         8   , "", "title" );
          stT.addColumn( oDec.k("edit_cases_client"),         5   , "", "client" );
          stT.addColumn( oDec.k("edit_cases_contact"),         2   , "", "contact" );
          stT.addColumn( oDec.k("edit_cases_status"),         7   , "", "status" );
          stT.addColumn( oDec.k("edit_cases_key"),         4   , "", "key" );
          stT.addColumn( "&nbsp;",        0   , "25px", new buttonModificaDecor( oH, oDec, oU ) );
          
          if ( stT.getNRigheTotaliQuery() > 0 ) {
            %>
            <%@ include file="/includes/qm_adm/10_qm_adm_pagination.jspf" %>
            <%
          }
          
          if ( stT.numRows() > 0 ) {
            stT.withTableClass( "qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand" );
            out.println( stT.render() );
          }
          
          if ( stT.getNRigheTotaliQuery() == 0 ) {
            %>
            <%@ include file="/includes/qm_adm/30_qm_adm_noresultsbox.jspf" %>
            <%
          } else { // ci sono righe
            %>
            <%@ include file="/includes/qm_adm/10_qm_adm_pagination.jspf" %>
            <%
          };
          %>
        </div>
        
        <div class="qm-editor-button">
          <div><%= oH.button( oDec.k("editor_create_new"), true, "", stVerbPrefix + "_edit", "N") %></div>
          <div><%= oH.buttonScript( oDec.k("editor_delete_selected"), true, "", "deleteSelected('"+stVerbPrefix+"')") %></div>
        </div>
 </div>

<%@ include file="/includes/00_page_footer.jspf" %>
