<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes
    oDec.load( "known_number_action", "known_number_action.txt", 0, 1 );

    final String stVerbPrefix = "qm_cfg2_known_numbers";
    final String stTabPrefix  = "TABKNOWN_NUMBERS";
    String stWidth = "";

%>

<script>
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";
  //$("#TABKNOWN_NUMBERS_expires_on").datepicker( { dateFormat: 'yy-mm-dd' } );
  setFocus( "TABKNOWN_NUMBERS_number" );
}
</script>

<div class="qm-form-body">
<fieldset class="qm-fieldset L-column L-gap-24">
  <legend><%= oDec.k("edit_kn_title") %></legend>

  <div class="qm-form-grid-3 uk-child-width-1-3@s" uk-grid>
    <label for="TABKNOWN_NUMBERS_number"><%= oDec.k( "edit_kn_number" ) %>:</label>
    <div><%= oH.textBox( "TABKNOWN_NUMBERS_number",  true, stWidth, 100 ) %></div>

    <label for="TABKNOWN_NUMBERS_action"><%= oDec.k( "edit_kn_action" ) %></label>
    <div><%= oH.combo( "TABKNOWN_NUMBERS_action",  true, stWidth, "known_number_action", "NONE" ) %></div>

    <label for="TABKNOWN_NUMBERS_name"><%= oDec.k( "edit_kn_name" ) %></label>
    <div><%= oH.textBox( "TABKNOWN_NUMBERS_name",  true, stWidth, 100 ) %></div>

    <label for="TABKNOWN_NUMBERS_description"><%= oDec.k( "edit_kn_desc" ) %></label>
    <div><%= oH.textBox( "TABKNOWN_NUMBERS_description",  true, stWidth, 100 ) %></div>

    <label for="TABKNOWN_NUMBERS_expires_on"><%= oDec.k( "edit_kn_expires_on" ) %></label>
    <div><%= oH.datepicker( "TABKNOWN_NUMBERS_expires_on",  true, "", 10 ) %></div>

    <label for="TABKNOWN_NUMBERS_affinity"><%= oDec.k( "edit_kn_agent_affinity" ) %></label>
    <div><%= oH.textBox( "TABKNOWN_NUMBERS_affinity",  true, stWidth, 100 ) %></div>

    <label for="TABKNOWN_NUMBERS_n_hits"><%= oDec.k( "edit_kn_n_hits" ) %></label>
    <div><%= oH.textBox( "TABKNOWN_NUMBERS_n_hits",  false, stWidth, 100 ) %></div>

    <label for="TABKNOWN_NUMBERS_last_hit"><%= oDec.k( "edit_kn_last_hit" ) %></label>
    <div><%= oH.textBox( "TABKNOWN_NUMBERS_last_hit",  false, stWidth, 100 ) %></div>

    <label for="TABKNOWN_NUMBERS_nomedata_insert"><%= oDec.k("editor_created_by" ) %></label>
    <div><%= oH.textBox( "TABKNOWN_NUMBERS_nomedata_insert",  false, stWidth, 100 ) %></div>

    <label for="TABKNOWN_NUMBERS_nomedata_update"><%= oDec.k("editor_last_update" ) %></label>
    <div><%= oH.textBox( "TABKNOWN_NUMBERS_nomedata_update",  false, stWidth, 100 ) %></div>
  </div>

  <div class="L-row uk-flex-between">
    <%= oH.iconButton( "<span uk-icon='icon: chevron-left; ratio: 1'></span>"+oDec.k("editor_back"), true, "", stVerbPrefix + "_list", "", "Q-button-tertiary") %>
    <div class="L-row L-gap-16">
      <%= oH.button( oDec.k("editor_new"), (oC.getI("TABKNOWN_NUMBERS_number_id") > 0 ), "", stVerbPrefix + "_edit", "N", "Q-button-secondary") %>
      <%= oH.button( oDec.k("editor_clone"), (oC.getI("TABKNOWN_NUMBERS_number_id") > 0 ), "", stVerbPrefix + "_edit", "C", "Q-button-secondary") %>
      <%= oH.button( oDec.k("editor_delete"), (oC.getI("TABKNOWN_NUMBERS_number_id") > 0 ) , "", stVerbPrefix + "_edit", "D", "Q-button-secondary") %>
      <%= oH.buttonScript( "Delete", (oC.getI("TABKNOWN_NUMBERS_number_id") > 0 ) , "", "deleteSingleRecord('"+stVerbPrefix+"','"+oC.getS("TABKNOWN_NUMBERS_name")+"','"+oC.getS("TABKNOWN_NUMBERS_number_id")+"')", "Q-button-secondary") %>
    </div>
    <%= oH.button( oDec.k("editor_save"), true, "", stVerbPrefix + "_edit", "S" ) %>
  </div>

</fieldset>
</div>


<%--
<center>
<h1><%= oDec.k("edit_kn_title") %></h1>
<table class="ST">
<tr><td>
<%= oDec.k( "edit_kn_number" ) %>:
</td><td>
<%= oH.textBox( "TABKNOWN_NUMBERS_number",  true, stWidth, 100 ) %>
</td></tr>
<tr><td>
<%= oDec.k( "edit_kn_action" ) %>:
</td><td>
<%= oH.combo( "TABKNOWN_NUMBERS_action",  true, stWidth, "known_number_action", "NONE" ) %>
</td></tr>
<tr><td>
<%= oDec.k( "edit_kn_name" ) %>:
</td><td>
<%= oH.textBox( "TABKNOWN_NUMBERS_name",  true, stWidth, 100 ) %>
</td></tr>
<tr><td>
<%= oDec.k( "edit_kn_desc" ) %>:
</td><td>
<%= oH.textBox( "TABKNOWN_NUMBERS_description",  true, stWidth, 100 ) %>
</td></tr>
<tr><td>
<%= oDec.k( "edit_kn_expires_on" ) %>:
</td><td>
<%= oH.textBox( "TABKNOWN_NUMBERS_expires_on",  true, "", 10 ) %>
</td></tr>
<tr><td>
<%= oDec.k( "edit_kn_agent_affinity" ) %>:
</td><td>
<%= oH.textBox( "TABKNOWN_NUMBERS_affinity",  true, stWidth, 100 ) %>
</td></tr>
<tr><td>
<%= oDec.k( "edit_kn_n_hits" ) %>:
</td><td>
<%= oH.textBox( "TABKNOWN_NUMBERS_n_hits",  false, stWidth, 100 ) %>
</td></tr>
<tr><td>
<%= oDec.k( "edit_kn_last_hit" ) %>:
</td><td>
<%= oH.textBox( "TABKNOWN_NUMBERS_last_hit",  false, stWidth, 100 ) %>
</td></tr>
<tr><td class="reg">
<%= oDec.k("editor_created_by" ) %>:
</td><td>
<%= oH.textBox( "TABKNOWN_NUMBERS_nomedata_insert",  false, stWidth, 100 ) %>
</td></tr>
<tr><td class="reg">
<%= oDec.k("editor_last_update" ) %>:
</td><td>
<%= oH.textBox( "TABKNOWN_NUMBERS_nomedata_update",  false, stWidth, 100 ) %>
</td></tr>
</table>
<p>
    <%= oH.button( oDec.k("editor_save"), true, "", stVerbPrefix + "_edit", "S" ) %>
    <%= oH.button( oDec.k("editor_back"), true, "", stVerbPrefix + "_list", "") %>
    <%= oH.button( oDec.k("editor_new"), (oC.getI("TABKNOWN_NUMBERS_number_id") > 0 ), "", stVerbPrefix + "_edit", "N") %>
    <%= oH.button( oDec.k("editor_clone"), (oC.getI("TABKNOWN_NUMBERS_number_id") > 0 ), "", stVerbPrefix + "_edit", "C") %>
    <%= oH.button( oDec.k("editor_delete"), (oC.getI("TABKNOWN_NUMBERS_number_id") > 0 ) , "", stVerbPrefix + "_edit", "D") %>
    <%= oH.buttonScript( "Delete", (oC.getI("TABKNOWN_NUMBERS_number_id") > 0 ) , "", "deleteSingleRecord('"+stVerbPrefix+"','"+oC.getS("TABKNOWN_NUMBERS_name")+"','"+oC.getS("TABKNOWN_NUMBERS_number_id")+"')") %>


</center>
--%>
<%@ include file="/includes/00_page_footer.jspf" %>

<%
// $Log: cfg2_known_numbers_edit.jsp,v $
// Revision 1.3  2015/09/28 08:41:11  marcos
// jsp/jspf refactoring.
//
// Revision 1.2  2015/09/15 13:52:21  lenz
// #2907 - NUmber Lookup API editor
//
// Revision 1.1  2015/09/14 16:03:15  lenz
// #2907 - NUmber Lookup API editor
//
//
//
%>
