<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes

    oDec.load( "masterkeyAbilitato", "masterkey_abilitato.txt", 0, 1 );
    final String stVerbPrefix = "qm_cfg2_locations";
    final String stTabPrefix  = "TABLOCATIONS";
    String stWidth = "";
    int nAgentsBelonging = oC.getI( "TABLOCATIONS_opt_n_users" );
%>

<script>
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";
  setFocus( "TABLOCATIONS_loc_name" );
}
</script>

<div class="qm-form-body">

  <fieldset class="qm-fieldset L-column L-gap-24">
    <legend><%= oDec.k("edit_record_locations_title") %></legend>

    <div class="qm-form-grid-3 uk-child-width-1-3@s" uk-grid>
      <label for="TABLOCATIONS_loc_name"><%= oDec.k("edit_record_name") %></label>
      <div><%= oH.textBox( "TABLOCATIONS_loc_name", true, stWidth, 50 ) %></div>

      <label for="TABLOCATIONS_loc_description"><%= oDec.k("edit_record_description") %></label>
      <div><%= oH.textBox( "TABLOCATIONS_loc_description", true, stWidth, 250 ) %></div>

      <label for="TABLOCATIONS_read_key"><%= oDec.k("edit_record_securitykey") %></label>
      <div><%= oH.textBox( "TABLOCATIONS_read_key", true, stWidth, 30 ) %></div>

      <label for="TABLOCATIONS_nomedata_insert"><%= oDec.k("edit_record_createdby") %></label>
      <div><%= oH.textBox( "TABLOCATIONS_nomedata_insert",  false, stWidth, 100 ) %></div>

      <label for="TABLOCATIONS_nomedata_update"><%= oDec.k("edit_record_lastupdate") %></label>
      <div><%= oH.textBox( "TABLOCATIONS_nomedata_update",  false, stWidth, 100 ) %></div>
    </div>

    <div class="uk-margin-top"> Number of agents belonging to this location: <%= nAgentsBelonging %>. </div>

    <div class="L-row uk-flex-between">
      <%= oH.iconButton( "<span uk-icon='icon: chevron-left; ratio: 1'></span>"+oDec.k("edit_record_back"), true, "", stVerbPrefix + "_list", "", "Q-button-tertiary") %>
      <div class="L-row L-gap-16">
        <%= oH.button( oDec.k("edit_record_new"), (oC.getI("TABLOCATIONS_id_location") > 0 ), "", stVerbPrefix + "_edit", "N", "Q-button-secondary") %>
        <%= oH.button( oDec.k("edit_record_clone"), (oC.getI("TABLOCATIONS_id_location") > 0 ), "", stVerbPrefix + "_edit", "C", "Q-button-secondary") %>
        <%= oH.buttonScript( oDec.k("edit_record_delete"), (oC.getI("TABLOCATIONS_id_location") > 0 ) , "", "deleteSingleRecord('"+stVerbPrefix+"','"+oC.getS("TABLOCATIONS_loc_name")+"','"+oC.getS("TABLOCATIONS_id_location")+"')", "Q-button-secondary") %>
      </div>
      <%= oH.button( oDec.k("edit_record_save"), true, "", stVerbPrefix + "_edit", "S" ) %>
    </div>

  </fieldset>
</div>

<%--
<center>
<h1><%= oDec.k("edit_record_locations_title") %></h1>
<table class="ST">
<tr><td>
    <%= oDec.k("edit_record_name") %>
</td><td colspan="2">
    <%= oH.textBox( "TABLOCATIONS_loc_name", true, stWidth, 50 ) %>
</td></tr>
<tr><td>
    <%= oDec.k("edit_record_description") %>
</td><td colspan="2">
    <%= oH.textBox( "TABLOCATIONS_loc_description", true, stWidth, 250 ) %>
</td></tr>
<tr><td>
    <%= oDec.k("edit_record_securitykey") %>
</td><td colspan="2">
    <%= oH.textBox( "TABLOCATIONS_read_key", true, stWidth, 30 ) %>
</td></tr>
<tr><td class="reg">
<%= oDec.k("edit_record_createdby") %>
</td><td>
<%= oH.textBox( "TABLOCATIONS_nomedata_insert",  false, stWidth, 100 ) %>
</td></tr>
<tr><td class="reg">
<%= oDec.k("edit_record_lastupdate") %>
</td><td>
<%= oH.textBox( "TABLOCATIONS_nomedata_update",  false, stWidth, 100 ) %>
</td></tr>
</table>

<script>
function testVnc( stVncUrl ) {
    //alert( "VNC: " + stVncUrl );
    if ( stVncUrl.length > 0 ) {
        var newwindow = window.open( stVncUrl, "VncWINDOW",'');
    }
}
</script>

<p>
Number of agents belonging to this location: <%= nAgentsBelonging %>.
<p>
    <%= oH.button( oDec.k("edit_record_save"), true, "", stVerbPrefix + "_edit", "S" ) %>
    <%= oH.button( oDec.k("edit_record_back"), true, "", stVerbPrefix + "_list", "") %>
    <%= oH.button( oDec.k("edit_record_new"), (oC.getI("TABLOCATIONS_id_location") > 0 ), "", stVerbPrefix + "_edit", "N") %>
    <%= oH.button( oDec.k("edit_record_clone"), (oC.getI("TABLOCATIONS_id_location") > 0 ), "", stVerbPrefix + "_edit", "C") %>
    <%= oH.buttonScript( oDec.k("edit_record_delete"), (oC.getI("TABLOCATIONS_id_location") > 0 ) , "", "deleteSingleRecord('"+stVerbPrefix+"','"+oC.getS("TABLOCATIONS_loc_name")+"','"+oC.getS("TABLOCATIONS_id_location")+"')") %>

</center>

--%>

<%@ include file="/includes/00_page_footer.jspf" %>

<%
// $Log: cfg2_locations_edit.jsp,v $
// Revision 1.7  2015/09/28 08:41:11  marcos
// jsp/jspf refactoring.
//
// Revision 1.6  2014/05/19 09:46:33  lenz
// Merge FRANKIE
//
// Revision 1.5.8.1  2014/05/13 13:33:36  mirkox
// Nuova Grafica
//
// Revision 1.5  2011/11/24 17:16:44  marcos
// #1008: Link diretto a License page
//
// Revision 1.4  2009/07/04 09:35:10  lenz-mobile
// Bug #662 - cloning dei forms
//
// Revision 1.3  2008/09/29 14:31:15  lenz
// --=-   M e r g e   I M M 6   -=--
//
// Revision 1.2.2.1  2008/04/18 16:12:58  lenz
// Bug #285: Cursore in automatico nel primo box.
// Bug #280: Bottoni sopra e sotto.
//
// Revision 1.2  2007/10/10 14:02:57  lenz
// Giro locations funzionante.
//
// Revision 1.1  2007/10/10 09:08:22  lenz-mobile
// Uso transactor per Outomes, PCodes e Location - NON PROVATA.
//
//
%>
