<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes

    oDec.load( "masterkeyAbilitato", "masterkey_abilitato.txt", 0, 1 );
    final String stVerbPrefix = "qm_cfg2_outcomes";
    final String stTabPrefix  = "TABCALL_STATUS";
    String stWidth = "";

%>

<script>
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";

  setFocus( "TABCALL_STATUS_status_code" );
}
</script>


<div class="qm-form-body">
  <fieldset class="qm-fieldset L-column L-gap-24">
    <legend><%= oDec.k("edit_record_outcomes_title") %></legend>

    <div class="qm-form-grid-3 uk-child-width-1-3@s" uk-grid>
      <label for="TABCALL_STATUS_status_code"><%= oDec.k("edit_record_outcomes_code") %></label>
      <div><%= oH.textBox( "TABCALL_STATUS_status_code",  true, stWidth, 45 ) %></div>

      <label for="TABCALL_STATUS_status_descr"><%= oDec.k("edit_record_description") %></label>
      <div><%= oH.textBox( "TABCALL_STATUS_status_descr",  true, stWidth, 100 ) %></div>

      <label for="TABCALL_STATUS_read_key"><%= oDec.k("edit_record_securitykey") %></label>
      <div><%= oH.textBox( "TABCALL_STATUS_read_key",  true, stWidth, 100 ) %></div>

      <label for="TABCALL_STATUS_seckey_queues"><%= oDec.k("edit_record_outcomes_visibility") %></label>
      <div><%= oH.textArea( "TABCALL_STATUS_seckey_queues",  true, stWidth + "height: 90px;", 10000 ) %></div>

      <label for="TABCALL_STATUS_isContact"><%= oDec.k("edit_record_outcomes_contact") %></label>
      <div><%= oH.combo( "TABCALL_STATUS_isContact",  true, stWidth, "masterkeyAbilitato", "0" ) %></div>

      <label for="TABCALL_STATUS_isQContact"><%= oDec.k("edit_record_outcomes_qualified") %></label>
      <div><%= oH.combo( "TABCALL_STATUS_isQContact",  true, stWidth, "masterkeyAbilitato", "0" ) %></div>

      <label for="TABCALL_STATUS_isSale"><%= oDec.k("edit_record_outcomes_sale") %></label>
      <div><%= oH.combo( "TABCALL_STATUS_isSale",  true, stWidth, "masterkeyAbilitato", "0" ) %></div>

      <label for="TABCALL_STATUS_nomedata_insert"><%= oDec.k("edit_record_createdby") %></label>
      <div><%= oC.getS("TABCALL_STATUS_nomedata_insert") %></div>

      <label for=""><%= oDec.k("edit_record_lastupdate") %></label>
      <div><%= oC.getS( "TABCALL_STATUS_nomedata_update" ) %></div>
    </div>

    <div class="L-row uk-flex-between">
      <%= oH.iconButton( "<span uk-icon='icon: chevron-left; ratio: 1'></span>"+oDec.k("edit_record_back"), true, "", stVerbPrefix + "_list", "", "Q-button-tertiary") %>
      <div class="L-row L-gap-16"> 
        <%= oH.button( oDec.k("edit_record_new"), (oC.getI("TABCALL_STATUS_status_id") > 0 ), "", stVerbPrefix + "_edit", "N", "Q-button-secondary") %>
        <%= oH.button( oDec.k("edit_record_clone"), (oC.getI("TABCALL_STATUS_status_id") > 0 ), "", stVerbPrefix + "_edit", "C", "Q-button-secondary") %> 
        <%= oH.buttonScript( oDec.k("edit_record_delete"), (oC.getI("TABCALL_STATUS_status_id") > 0 ), "", "deleteSingleRecord('"+stVerbPrefix+"','"+oC.getS("TABCALL_STATUS_status_code")+"','"+oC.getS("TABCALL_STATUS_status_id")+"')", "Q-button-secondary") %> 
      </div>
      <%= oH.button( oDec.k("edit_record_save"), true, "", stVerbPrefix + "_edit", "S" ) %>
    </div>

  </fieldset>
</div>

<%--


<center>
<h1><%= oDec.k("edit_record_outcomes_title") %></h1>
<table class="ST">
<tr><td>
<%= oDec.k("edit_record_outcomes_code") %>
</td><td>
<%= oH.textBox( "TABCALL_STATUS_status_code",  true, stWidth, 45 ) %>
</td></tr>
<tr><td>
<%= oDec.k("edit_record_description") %>
</td><td>
<%= oH.textBox( "TABCALL_STATUS_status_descr",  true, stWidth, 100 ) %>
</td></tr>
<tr><td>
<%= oDec.k("edit_record_securitykey") %>
</td><td>
<%= oH.textBox( "TABCALL_STATUS_read_key",  true, stWidth, 100 ) %>
</td></tr>
<tr><td>
<%= oDec.k("edit_record_outcomes_visibility") %>
</td><td>
<%= oH.textArea( "TABCALL_STATUS_seckey_queues",  true, stWidth + "height: 90px;", 10000 ) %>
</td></tr>
<tr><td>
<%= oDec.k("edit_record_outcomes_contact") %>
</td><td>
<%= oH.combo( "TABCALL_STATUS_isContact",  true, stWidth, "masterkeyAbilitato", "0" ) %>
</td></tr>
<tr><td>
<%= oDec.k("edit_record_outcomes_qualified") %>
</td><td>
<%= oH.combo( "TABCALL_STATUS_isQContact",  true, stWidth, "masterkeyAbilitato", "0" ) %>
</td></tr>
<tr><td>
<%= oDec.k("edit_record_outcomes_sale") %>
</td><td>
<%= oH.combo( "TABCALL_STATUS_isSale",  true, stWidth, "masterkeyAbilitato", "0" ) %>
</td></tr>
<tr><td>
<%= oDec.k("edit_record_createdby") %>
</td><td>
<%= oC.getS("TABCALL_STATUS_nomedata_insert") %>  &nbsp;
</td></tr>
<tr><td>
<%= oDec.k("edit_record_lastupdate") %>
</td><td>
<%= oC.getS( "TABCALL_STATUS_nomedata_update" ) %> &nbsp;
</td></tr>
</table>

<script defer>
function testVnc( stVncUrl ) {
    //alert( "VNC: " + stVncUrl );
    if ( stVncUrl.length > 0 ) {
        var newwindow = window.open( stVncUrl, "VncWINDOW",'');
    }
}
</script>
<p>
    <%= oH.button( oDec.k("edit_record_save"), true, "", stVerbPrefix + "_edit", "S" ) %>
    <%= oH.button( oDec.k("edit_record_back"), true, "", stVerbPrefix + "_list", "") %>
    <%= oH.button( oDec.k("edit_record_new"), (oC.getI("TABCALL_STATUS_status_id") > 0 ), "", stVerbPrefix + "_edit", "N") %>
    <%= oH.button( oDec.k("edit_record_clone"), (oC.getI("TABCALL_STATUS_status_id") > 0 ), "", stVerbPrefix + "_edit", "C") %>
    <%= oH.buttonScript( oDec.k("edit_record_delete"), (oC.getI("TABCALL_STATUS_status_id") > 0 ), "", "deleteSingleRecord('"+stVerbPrefix+"','"+oC.getS("TABCALL_STATUS_status_code")+"','"+oC.getS("TABCALL_STATUS_status_id")+"')") %>

</center>
--%>

<%@ include file="/includes/00_page_footer.jspf" %>

<%
// $Log: cfg2_outcomes_edit.jsp,v $
// Revision 1.8  2015/09/28 08:41:12  marcos
// jsp/jspf refactoring.
//
// Revision 1.7  2014/05/19 09:46:33  lenz
// Merge FRANKIE
//
// Revision 1.6.8.1  2014/05/13 13:33:37  mirkox
// Nuova Grafica
//
// Revision 1.6  2011/11/24 17:16:44  marcos
// #1008: Link diretto a License page
//
// Revision 1.5  2011/01/14 11:16:43  marcos
// IMM14 merge on main trunk
//
// Revision 1.4.2.1  2010/06/17 09:29:29  marcos
// #1052: Display only relevant Status codes
//
// Revision 1.4  2009/07/04 09:35:10  lenz-mobile
// Bug #662 - cloning dei forms
//
// Revision 1.3  2008/09/29 14:31:15  lenz
// --=-   M e r g e   I M M 6   -=--
//
// Revision 1.2.2.2  2008/04/21 08:47:51  lenz
// Bug #328: Editor: aggiunta Qualified Contact.
//
// Revision 1.2.2.1  2008/04/18 16:12:58  lenz
// Bug #285: Cursore in automatico nel primo box.
// Bug #280: Bottoni sopra e sotto.
//
// Revision 1.2  2007/10/10 14:26:57  lenz
// Giro corretto Pause Codes.
//
// Revision 1.1  2007/10/10 09:08:22  lenz-mobile
// Uso transactor per Outomes, PCodes e Location - NON PROVATA.
//
//
%>
