<!-- Start of custom rule dialog -->
<%
    String crDialogTitle = oDec.k("qa_perftrack_crs_titledialog");
%>

<script>
var privateData = {
                    ruleRow: -1,
                    ruleId: 0,
                    queueId: 0,
                    formId: 0,
                    y_rule: "",
                    r_rule: ""
                  }

var yslider = { selector: "#y_slider",
                default: 80,
                min: 0,
                max: 100,
                labelselector : "#y_amount",
                labeltext : "<%= oDec.k("qa_perftrack_crs_yellow")%>" };

var rslider = { selector: "#r_slider",
                default: 90,
                min: 0,
                max: 100,
                labelselector : "#r_amount",
                labeltext : "<%= oDec.k("qa_perftrack_crs_red")%>" };
</script>

<!-- This is the modal -->
<div  uk-modal id="dialog-modal-customrule" title="<%= crDialogTitle %>">
    <div class="uk-modal-dialog uk-modal-body">
        <h2 class="uk-modal-title" style="display:none"></h2>
        <button class="uk-modal-close-default" type="button" uk-close></button>
        <div class=" uk-margin">
<!-- modal content-->



<fieldset class="qm-fieldset">
  <legend><%= crDialogTitle %></legend>
  <div class="qm-form-grid-3 uk-child-width-1-3@s qm-customruledef"  id="dialog-modal-customrule" title="<%= crDialogTitle %>"  uk-grid>
    <div class="uk-text-right@s"><%= oDec.k("qa_perftrack_crs_queue") + ":" %></div>
    <div id="dialog-queuename" class="uk-width-2-3@s"></div>

    <div class="uk-text-right@s" ><%= oDec.k("qa_perftrack_qaform") + ":" %></div>
    <div id="dialog-formname" class="uk-width-2-3@s"></div>

    <div class="uk-text-right@s"><%= oDec.k("qa_perftrack_crs_rule") + ":" %></div>
    <div id="dialog-rulename" class="uk-width-2-3@s"></div>

    <div class="uk-text-right@s"><%= oDec.k("qa_perftrack_crs_targetname") + ":" %></div>
    <div id="dialog-targetname" class="uk-width-2-3@s"></div>

    <label for="QA_PERFTRACK_dtFrom_date"><%= oDec.k("qa_perftrack_fromdate") + ":" %></label>
    <div class="qm-form-datehourpicker uk-width-2-3@s"><%= FA.generaJQueryComboDataOra("QA_PERFTRACK_dtFrom", oC, oH, true, oDec) %></div>

    <label for="QA_PERFTRACK_dtTo_date"><%= oDec.k("qa_perftrack_todate") + ":" %></label>
    <div class="qm-form-datehourpicker uk-width-2-3@s "><%= FA.generaJQueryComboDataOra("QA_PERFTRACK_dtTo", oC, oH, true, oDec) %></div>
  </div>
</fieldset>


<fieldset class="qm-fieldset">
  <legend><%= oDec.k("qa_perftrack_crs_scoresfor") %></legend>
  <div class="uk-child-width-1-3@s uk-flex uk-flex-bottom" uk-grid>

    <div><%= oDec.k("qa_perftrack_crs_perccalls") %></div>
    <div><%= oDec.k("qa_perftrack_crs_intvtype") %></div>
    <div><%= oDec.k("qa_perftrack_crs_extrincl") %></div>

    <div>
      <div id="y_amount"> </div>
      <div> <input class="uk-range"  id="y_slider" type="range">  </div>
    </div>
    <div>
      <div id="y_intv">
        <input type="radio" id="y_intv_int" value="0" name="y_intv_radio" />
        <label for="y_intv_int"><%= oDec.k("qa_perftrack_crs_internal") %></label>

        <input type="radio" id="y_intv_ext" value="1" name="y_intv_radio" checked="checked"/>
        <label for="y_intv_ext"><%= oDec.k("qa_perftrack_crs_external") %></label>
      </div>
    </div>
    <div>
      <input type="checkbox" id="y_extr_yes" />
      <label for="y_extr_yes">&nbsp;<%= oDec.k("qa_perftrack_crs_yes") %>&nbsp;</label>
    </div>

    <div>
      <div id="r_amount"> </div>
      <div> <input class="uk-range" id="r_slider" type="range">  </div>
    </div>
    <div>
        <div id="r_intv">
            <input type="radio" id="r_intv_int" value="0" name="r_intv_radio" />
            <label for="r_intv_int"><%= oDec.k("qa_perftrack_crs_internal") %></label>

            <input type="radio" id="r_intv_ext" value="1" name="r_intv_radio" checked="checked"/><label for="r_intv_ext"><%= oDec.k("qa_perftrack_crs_external") %></label>
        </div>
    </div>
    <div>
      <input type="checkbox" id="r_extr_yes" />
      <label for="r_extr_yes">&nbsp;<%= oDec.k("qa_perftrack_crs_yes") %>&nbsp;</label>
    </div>
</div>
</fieldset>

<fieldset class="qm-fieldset">
<legend> </legend>
  <div class="uk-child-width-1-4@s uk-flex uk-flex-middle uk-margin-medium-top"  uk-grid>
    <div >&nbsp;</div>
    <div >&nbsp;</div>
    <div >Min</div>
    <div >Max</div>

    <div >&nbsp;</div>
    <div ><%= oDec.k("qa_perftrack_crs_yellow")%>:</div>
    <div id="y_minval">-</div>
    <div id="y_maxval">-</div>

    <div></div>
    <div ><%= oDec.k("qa_perftrack_crs_red")%>:</div>
    <div id="r_minval">-</div>
    <div id="r_maxval">-</div>

    <div >&nbsp;</div>
    <div ><%= oDec.k("qa_perftrack_crs_numcalls")%>:</div>
    <div id="numcalls">-</div>
    <div >&nbsp;</div>

    <div class="uk-width-1-1 uk-text-center uk-margin-medium-top">
      <input type="button" id="calculate_btn" name="calculate_btn" value="<%= oDec.k("qa_perftrack_crs_calculate") %>" >
    </div>
  </div>
</fieldset>



<!-- modal content end -->
        </div>
        <div class="uk-modal-footer uk-text-right">
          <button class="uk-button uk-button-default uk-modal-close" type="button">Cancel</button>
          <button class="uk-button uk-button-primary qm-button-ok" autofocus="" >Ok</button>
        </div>
    </div>
</div>
<!-- modal end -->




<%--
<div align="center" id="dialog-modal-customrule" title="<%= crDialogTitle %>">

    <table class="ST" width="500px">
        <tr>
            <td align="right" style="font-weight:bold;"><%= oDec.k("qa_perftrack_crs_queue") + ":" %></td>
            <td align="left"><div id="dialog-queuename"></div></td>
        </tr>

        <tr>
            <td align="right" style="font-weight:bold;"><%= oDec.k("qa_perftrack_qaform") + ":" %></td>
            <td align="left"><div id="dialog-formname"></div></td>
        </tr>

        <tr>
            <td align="right" style="font-weight:bold;"><%= oDec.k("qa_perftrack_crs_rule") + ":" %></td>
            <td align="left"><div id="dialog-rulename"></div></td>
        </tr>

        <tr>
            <td align="right" style="font-weight:bold;"><%= oDec.k("qa_perftrack_crs_targetname") + ":" %></td>
            <td align="left"><div id="dialog-targetname"></div></td>
        </tr>

        <tr>
            <td align="right" style="font-weight:bold;"><%= oDec.k("qa_perftrack_fromdate") + ":" %></td>
            <td align="left"><%= FA.generaJQueryComboDataOra("QA_PERFTRACK_dtFrom", oC, oH, true, oDec) %></td>
        </tr>
        <tr>
            <td align="right" style="font-weight:bold;"><%= oDec.k("qa_perftrack_todate") + ":" %></td>
            <td align="left"><%= FA.generaJQueryComboDataOra("QA_PERFTRACK_dtTo", oC, oH, true, oDec) %></td>
        </tr>
    </table>

    <h3><%= oDec.k("qa_perftrack_crs_scoresfor") %></h3>

    <table class="ST" width="520px">
        <tr>
            <th width="250px"><%= oDec.k("qa_perftrack_crs_perccalls") %></th>
            <th width="190px"><%= oDec.k("qa_perftrack_crs_intvtype") %></th>
            <th wisth="80px"><%= oDec.k("qa_perftrack_crs_extrincl") %></th>
        </tr>

        <tr>
            <td><div id="y_amount" style="font-weight:bold;"></div><div id="y_slider"></div></td>
            <td align="center">
                <div id="y_intv">
                    <input type="radio" id="y_intv_int" value="0" name="y_intv_radio" /><label for="y_intv_int"><%= oDec.k("qa_perftrack_crs_internal") %></label>
                    <input type="radio" id="y_intv_ext" value="1" name="y_intv_radio" checked="checked"/><label for="y_intv_ext"><%= oDec.k("qa_perftrack_crs_external") %></label>
                </div>
            </td>
            <td align="center"><input type="checkbox" id="y_extr_yes" /><label for="y_extr_yes">&nbsp;<%= oDec.k("qa_perftrack_crs_yes") %>&nbsp;</label></td>
        </tr>

        <tr>
            <td><div id="r_amount" style="font-weight:bold;"></div><div id="r_slider"></div></td>
            <td align="center">
                <div id="r_intv">
                    <input type="radio" id="r_intv_int" value="0" name="r_intv_radio" /><label for="r_intv_int"><%= oDec.k("qa_perftrack_crs_internal") %></label>
                    <input type="radio" id="r_intv_ext" value="1" name="r_intv_radio" checked="checked"/><label for="r_intv_ext"><%= oDec.k("qa_perftrack_crs_external") %></label>
                </div>
            </td>
            <td align="center"><input type="checkbox" id="r_extr_yes" /><label for="r_extr_yes">&nbsp;<%= oDec.k("qa_perftrack_crs_yes") %>&nbsp;</label></td>
        </tr>
    </table>

    <p/>
    <table width="500px">
        <tr>
            <th width="230px">&nbsp;</th>
            <th width="90px">&nbsp;</th>
            <th width="80px">Min</th>
            <th width="80px">Max</th>
        </tr>

        <tr>
            <td align="center">&nbsp;</td>
            <td align="center"><%= oDec.k("qa_perftrack_crs_yellow")%>:</td>
            <td align="center" width="80px"><div id="y_minval">-</div></td>
            <td align="center" width="80px"><div id="y_maxval">-</div></td>
        </tr>

        <tr>
            <td><input type="button" id="calculate_btn" name="calculate_btn" value="<%= oDec.k("qa_perftrack_crs_calculate") %>" ></td>
            <td align="center"><%= oDec.k("qa_perftrack_crs_red")%>:</td>
            <td align="center" width="80px"><div id="r_minval">-</div></td>
            <td align="center" width="80px"><div id="r_maxval">-</div></td>
        </tr>

        <tr>
            <td align="center">&nbsp;</td>
            <td align="center"><%= oDec.k("qa_perftrack_crs_numcalls")%>:</td>
            <td align="center" width="80px"><div id="numcalls">-</div></td>
            <td align="center">&nbsp;</td>
        </tr>

    </table>

</div>


--%>
<!-- End of custom rule dialog definition -->
