<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="it.loway.app.queuemetrics.html.QAItemTypeHandler" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes

    oDec.load( "masterkeyAbilitato", "masterkey_abilitato.txt", 0, 1 );
    final String stVerbPrefix = "qm_cfg2_qa_items";
    final String stTabPrefix  = "TABQA_FORMS_ITEMS";
    String stWidth       = "" ;
    String stWidthShort  = "" ;
//    oDec.load( "queueDirection", "queueDirection.txt", 0, 1 );
//    oDec.load( "queueDirectionImg", "queueDirection.txt", 0, 2 );
//    oDec.load( "masterkeyAbilitato", "masterkey_abilitato.txt", 0, 1 );
    LTable ltUsato = oC.getLt( "TABQA_FORMS_ITEMS__usedWhere" );
    boolean boInUso = (ltUsato.numRows() > 0);
    QAItemTypeHandler typeHandler = new QAItemTypeHandler(oDec, oH);
%>

<script defer>
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";
}
</script>



<div class="qm-form-body">
<fieldset class="qm-fieldset">
  <legend><%= oDec.k("edit_record_qaitems_title") %></legend>

  <div class="qm-form-grid-3 uk-child-width-1-3@s" uk-grid>
    <label for="TABQA_FORMS_ITEMS_item_code"><%= oDec.k("edit_record_qaitems_code") %></label>
    <div><%= oH.textBox( "TABQA_FORMS_ITEMS_item_code",  !boInUso, stWidth, 5 ) %></div>

    <label for="TABQA_FORMS_ITEMS_item_desc"><%= oDec.k("edit_record_description") %></label>
    <div><%= oH.textBox( "TABQA_FORMS_ITEMS_item_desc",  true, stWidth, 250 ) %></div>

    <label for="TABQA_FORMS_ITEMS_weight"><%= oDec.k("edit_record_qaitems_weight") %></label>
    <div><%= oH.textBox("TABQA_FORMS_ITEMS_weight", true, stWidth, 250 ) %></div>

    <label for="TABQA_FORMS_ITEMS_shortcut"><%= oDec.k("edit_record_qaitems_shortcut") %></label>
    <div><%= oH.combo( "TABQA_FORMS_ITEMS_shortcut",  true, stWidth, "masterkeyAbilitato", "0" ) %></div>

    <label for="TABQA_FORMS_ITEMS_ses_shortcut"><%= oDec.k("edit_record_qaitems_section") %></label>
    <div><%= oH.combo( "TABQA_FORMS_ITEMS_ses_shortcut",  true, stWidth, "masterkeyAbilitato", "0" ) %></div>

    <label for="TABQA_FORMS_ITEMS_mandatory"><%= oDec.k("edit_record_qaitems_mandatory") %></label>
    <div><%= oH.combo( "TABQA_FORMS_ITEMS_mandatory",  true, stWidth, "masterkeyAbilitato", "1" ) %></div>

    <label for="<%=stTabPrefix + "_valuetype"%>"><%= oDec.k("edit_record_qaitems_type") %></label>
    <div><%= typeHandler.RenderSelectorTypeOptions(stTabPrefix + "_valuetype", stWidth) %></div>

    <label for="<%=stTabPrefix + "_ddranges"%>"><%= oDec.k("edit_record_qaitems_multivalue") %></label>
    <div><%= oH.textArea( stTabPrefix + "_ddranges",  true, stWidth + "height: 90px;", 10000 ) %></div>

    <label for="<%=stTabPrefix + "_nomedata_insert"%>"><%= oDec.k("edit_record_createdby") %></label>
    <div><%= oH.textBox( stTabPrefix + "_nomedata_insert",  false, stWidth, 100 ) %></div>

    <label for="<%=stTabPrefix + "_nomedata_update"%>"><%= oDec.k("edit_record_lastupdate") %></label>
    <div><%= oH.textBox( stTabPrefix + "_nomedata_update",  false, stWidth, 100 ) %></div>
  </div>

<div class="qm-adm-qaitems_usingcode uk-margin-medium-top">
<%
  if (ltUsato.numRows() > 0 ) {
      SmartTable TT = new SmartTable( "x", ltUsato );
      TT.addSortableColumn( oDec.k("edit_record_qaitems_form"), 1, "200px", SmartTable.SORT_TEXT_CI );
      out.println( "<div>"+oDec.k("edit_record_qaitems_usingcode")+"</div>" );
      TT.withTableClass( "qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand" );
      out.println(TT.render());
  } else {
      out.println( "<div>"+oDec.k("edit_record_qaitems_notuse")+"</div>" );
  }
%>
</div>

<div class="uk-child-width-1-4@s uk-margin-medium-top" uk-grid>
  <div class="uk-text-center"><%= oH.button( oDec.k("edit_record_save"), true, "", stVerbPrefix + "_edit", "S" ) %></div>
  <div class="uk-text-center"><%= oH.button( oDec.k("edit_record_back"), true, "", stVerbPrefix + "_list", "") %></div>
  <div class="uk-text-center"><%= oH.button( oDec.k("edit_record_new"), (oC.getI("TABQA_FORMS_ITEMS_item_id") > 0 ), "", stVerbPrefix + "_edit", "N") %></div>
  <!-- Ho il problema della lunghezza del campo... -->
  <!-- %= oH.button( "Clone", (oC.getI("TABQA_FORMS_ITEMS_item_id") > 0 ), "", stVerbPrefix + "_edit", "C") % -->
  <divclass="uk-text-center"><%= oH.buttonScript( oDec.k("edit_record_delete"), (oC.getI("TABQA_FORMS_ITEMS_item_id") > 0 ) && !boInUso, "", "deleteSingleRecord('"+stVerbPrefix+"','"+oC.getS("TABQA_FORMS_ITEMS_item_code")+"','"+oC.getS("TABQA_FORMS_ITEMS_item_id")+"')") %></div>
</div>

</fieldset>
</div>










<%-- old stuff
<center>
<h1><%= oDec.k("edit_record_qaitems_title") %></h1>
<table border="0" class="ST">
<!--
<tr><td>
item_id
</td><td>
<%= oH.textBox( "TABQA_FORMS_ITEMS_item_id",  true, "", 100 ) %>
</td></tr>
-->
<tr><td>
<%= oDec.k("edit_record_qaitems_code") %>
</td><td>
<%= oH.textBox( "TABQA_FORMS_ITEMS_item_code",  !boInUso, stWidth, 5 ) %>
</td></tr>
<tr><td>
<%= oDec.k("edit_record_description") %>
</td><td>
<%= oH.textBox( "TABQA_FORMS_ITEMS_item_desc",  true, stWidth, 250 ) %>
</td></tr>
<tr><td>
<%= oDec.k("edit_record_qaitems_weight") %>
</td><td>
<%= oH.textBox("TABQA_FORMS_ITEMS_weight", true, stWidth, 250 ) %>
</td></tr>
<tr><td>
<%= oDec.k("edit_record_qaitems_shortcut") %>
</td><td>
<%= oH.combo( "TABQA_FORMS_ITEMS_shortcut",  true, stWidth, "masterkeyAbilitato", "0" ) %>
</td></tr>
<tr><td>
<%= oDec.k("edit_record_qaitems_section") %>
</td><td>
<%= oH.combo( "TABQA_FORMS_ITEMS_ses_shortcut",  true, stWidth, "masterkeyAbilitato", "0" ) %>
</td></tr>
<tr><td>
<%= oDec.k("edit_record_qaitems_mandatory") %>
</td><td>
<%= oH.combo( "TABQA_FORMS_ITEMS_mandatory",  true, stWidth, "masterkeyAbilitato", "1" ) %>
</td></tr>
<tr><td>
<%= oDec.k("edit_record_qaitems_type") %>
</td><td>
    <%= typeHandler.RenderSelectorTypeOptions(stTabPrefix + "_valuetype", stWidth) %>
</td></tr>
<tr><td>
<%= oDec.k("edit_record_qaitems_multivalue") %>
</td><td>
    <%= oH.textArea( stTabPrefix + "_ddranges",  true, stWidth + "height: 90px;", 10000 ) %>
</td></tr>
<tr><td>
&nbsp;
</td><td>
    <div style="font-size: 0.75em; color: gray;">E.g. 40:ToImprove|80:Satisfying|100:Good</div>
</td></tr>
<tr><td>
<%= oDec.k("edit_record_createdby") %>
</td><td colspan="2">
<%= oH.textBox( stTabPrefix + "_nomedata_insert",  false, stWidth, 100 ) %>
</td></tr>
<tr><td>
<%= oDec.k("edit_record_lastupdate") %>
</td><td colspan="2">
<%= oH.textBox( stTabPrefix + "_nomedata_update",  false, stWidth, 100 ) %>
</td></tr>
</table>
<%

    if (ltUsato.numRows() > 0 ) {
        SmartTable TT = new SmartTable( "x", ltUsato );
        TT.addSortableColumn( oDec.k("edit_record_qaitems_form"), 1, "200px", SmartTable.SORT_TEXT_CI );
        out.println( "<h3>"+oDec.k("edit_record_qaitems_usingcode")+"</h3>" );
        out.println(TT.render());
    } else {
        out.println( "<h3>"+oDec.k("edit_record_qaitems_notuse")+"</h3>" );
    }
%>
<p>
    <%= oH.button( oDec.k("edit_record_save"), true, "", stVerbPrefix + "_edit", "S" ) %>
    <%= oH.button( oDec.k("edit_record_back"), true, "", stVerbPrefix + "_list", "") %>
    <%= oH.button( oDec.k("edit_record_new"), (oC.getI("TABQA_FORMS_ITEMS_item_id") > 0 ), "", stVerbPrefix + "_edit", "N") %>
    <!-- Ho il problema della lunghezza del campo... -->
    <!-- %= oH.button( "Clone", (oC.getI("TABQA_FORMS_ITEMS_item_id") > 0 ), "", stVerbPrefix + "_edit", "C") % -->
    <%= oH.buttonScript( oDec.k("edit_record_delete"), (oC.getI("TABQA_FORMS_ITEMS_item_id") > 0 ) && !boInUso, "", "deleteSingleRecord('"+stVerbPrefix+"','"+oC.getS("TABQA_FORMS_ITEMS_item_code")+"','"+oC.getS("TABQA_FORMS_ITEMS_item_id")+"')") %>


</center>
--%>
<%@ include file="/includes/00_page_footer.jspf" %>

<%
// $Log: cfg2_qa_items_edit.jsp,v $
// Revision 1.9  2015/09/28 08:41:12  marcos
// jsp/jspf refactoring.
//
// Revision 1.8  2014/05/19 09:46:34  lenz
// Merge FRANKIE
//
// Revision 1.7.4.1  2014/05/13 13:33:37  mirkox
// Nuova Grafica
//
// Revision 1.7  2013/12/16 11:05:12  marcos
// #2062: Section-level auto-fails
// #2067: Section-level shortcuts
//
// Revision 1.6  2013/11/14 11:48:59  marcos
// #2067: Section-level shortcuts
//
// Revision 1.5  2011/11/24 17:16:44  marcos
// #1008: Link diretto a License page
//
// Revision 1.4  2010/01/12 17:11:53  marcos
// IMM11 branch merge on main trunk
//
// Revision 1.3.2.4  2009/09/10 07:46:12  marcos
// #842: 1st step. Contains fixes for #848.
//
// Revision 1.3.2.3  2009/08/13 10:25:04  marcos
// #800: Minor bugs on QA Items Editor page
//
// Revision 1.3.2.2  2009/07/10 10:31:08  marcos
// Multiple input type options added on QA form items
//
// Revision 1.3.2.1  2009/07/06 10:31:57  marcos
// Added weights and shortcut front-end on QA items
//
// Revision 1.3  2009/07/04 09:35:10  lenz-mobile
// Bug #662 - cloning dei forms
//
// Revision 1.2  2008/03/14 17:10:59  lenz
// Gestione items.
//
// Revision 1.1  2008/03/11 18:21:54  lenz
// Primo check-in - solo come segnaposto.
//
//
//
%>
