<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.transaction.db.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes
    //oDec.load( "ricerchePubbliche", "ricerchePubbliche.txt", 0, 1 );

    final String stVerbPrefix = "qm_cfg2_qa_items";
    final String stTabPrefix  = "TABQA_FORMS_ITEMS";
    //--------------------------------------------------------------
    class bmItemDecor implements TpfCellDecoratorInterface {
            HtmlGenerator obH = null;
            public bmItemDecor( HtmlGenerator oHx) { obH = oHx; };
            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                String stTesto = lt.getS(r, c );
                //String stButton = obH.button( "...", true, "width: 20px", stVerbPrefix + "_edit", stTesto );
                String stButton = obH.imgButton( "../img/icons_silk/pencil.png", "Edit", true, "", stVerbPrefix + "_edit", stTesto );
//                                + "&nbsp;"
//                                + obH.imgButton( "../img/icons_silk/group_edit.png", "Edit", true, "", "qm_cfg2_queues_agents", stTesto );
                return  "  <td class='stData' style='width: " + width + ";'>" + stButton + "</td>\n";
            }
    };
    class selectDecor implements TpfCellDecoratorInterface {
            public selectDecor() { };
            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                String stTesto = lt.getS(r, c );
                return "  <td class='stData'  style='width:' " + width + ";'>" +"  <input type='checkbox'  name ='cb' value='"+lt.getS(r, c )+"'></input>" + "</td>\n";
            }
    };
    class yesNoDecor implements TpfCellDecoratorInterface {
        public String decorate(LTable lt, int r, int c, String width) throws TechException {
            int inCode = lt.getI(r, c );
            String stTesto = "<img src='../img/icons_silk/bru_notinuse.png' width=16 height=16>";
            if ( inCode > 0 ) {
                stTesto = "<img src='../img/icons_silk/delete.png' width=16 height=16>";
            }
            return  "  <td class='stData' style='width: " + width + "; text-align: center;'>" + stTesto+ "</td>\n";
        }
    };
    class yesNoMandatoryDecor implements TpfCellDecoratorInterface {
        public String decorate(LTable lt, int r, int c, String width) throws TechException {
            int inCode = lt.getI(r, c );
            String stTesto = "<img src='../img/icons_silk/delete.png' width=16 height=16>";
            if ( inCode > 0 ) {
                stTesto = "<img src='../img/icons_silk/accept.png' width=16 height=16>";
            }
            return  "  <td class='stData' style='width: " + width + "; text-align: center;'>" + stTesto+ "</td>\n";
        }
    };
%>

<script defer>
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "<%= stVerbPrefix %>_list";
	document.forms[0].<%= K.REQ_PARAM %>.value = "WithQuery";
}


</script>


<div class="qm-form-body">
<fieldset class="qm-fieldset">
  <legend><%=oDec.k("edit_qaitems_title")%></legend>

  <div class="L-row uk-flex-between">

    <%-- search line --%>
    <%@ include file="/includes/qm_adm/20_qm_adm_searchbox.jspf" %>

    <div class="L-row L-gap-16">
      <%= oH.button( oDec.k("editor_create_new"), true, "", stVerbPrefix + "_edit", "N") %>
      <%= oH.buttonScript( oDec.k("editor_delete_selected"), true, "", "deleteSelected('"+stVerbPrefix+"')") %>
      <%= oH.button( oDec.k("editor_edit_items"), true, "", "qm_cfg2_qa_items_list", "") %>
    </div>
  </div>


  <%
      SmartTableTransactor stT = new SmartTableTransactor( oC, stTabPrefix, stVerbPrefix + "_list",
          it.loway.app.queuemetrics.configurazione.cfg2.ptQAItems.SORTINGS );

      //stT.addColumn( "&nbsp;",      10   , "10"   );
      stT.addColumn( "<input type='checkbox' onclick='selectAll(this);'></input>" ,  0 , "30px", new selectDecor( ) );
      stT.addColumn( oDec.k("edit_qaitems_engagement_code"), 1   , "150", "itc" );
      stT.addColumn( oDec.k("edit_qaitems_description"),     2   , "350", "itd" );
      stT.addColumn( oDec.k("edit_qaitems_weight"),          3   , "60", "" );
      stT.addColumn( oDec.k("edit_qaitems_shortcut"),        4   , "40" , new yesNoDecor() );
      stT.addColumn( oDec.k("edit_qaitems_section_shortcut"),8   , "40" , new yesNoDecor() );
      stT.addColumn( oDec.k("edit_qaitems_mandatory"),       7   , "40" , new yesNoMandatoryDecor() );
      stT.addColumn( "&nbsp;",          0   ,  "40", new bmItemDecor( oH )   );
      if ( stT.getNRigheTotaliQuery() > 0 ) {
  %>
      <%@ include file="/includes/qm_adm/10_qm_adm_pagination.jspf" %>
  <%
      }
  %>
  <%
      if ( stT.numRows() > 0 ) {
          stT.withTableClass( "qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand" );
          out.println( stT.render() );
      }
      if ( stT.getNRigheTotaliQuery() == 0 ) {
  %>
      <%@ include file="/includes/qm_adm/30_qm_adm_noresultsbox.jspf" %>
  <%
      } else { // ci sono righe
  %>
      <%@ include file="/includes/qm_adm/10_qm_adm_pagination.jspf" %>
  <%
      };
  %>
  <div class=" uk-flex uk-flex-middle uk-child-width-1-3@s" uk-grid>
    <div class="uk-text-center"><%= oH.button( oDec.k("editor_create_new"), true, "", stVerbPrefix + "_edit", "N") %></div>
    <div class="uk-text-center"><%= oH.buttonScript( oDec.k("editor_delete_selected"), true, "", "deleteSelected('"+stVerbPrefix+"')") %></div>
    <div class="uk-text-center"><%= oH.button( oDec.k("editor_edit_items"), true, "", "qm_cfg2_qa_items_list", "") %></div>
  </div>

</fieldset>
</div>
<%@ include file="/includes/00_page_footer.jspf" %>

<%
// $Log: cfg2_qa_items_list.jsp,v $
// Revision 1.9  2015/09/28 08:41:12  marcos
// jsp/jspf refactoring.
//
// Revision 1.8  2014/05/19 09:46:34  lenz
// Merge FRANKIE
//
// Revision 1.7.4.1  2014/05/13 13:33:33  mirkox
// Nuova Grafica
//
// Revision 1.7  2013/12/16 11:05:12  marcos
// #2062: Section-level auto-fails
// #2067: Section-level shortcuts
//
// Revision 1.6  2013/11/14 11:48:59  marcos
// #2067: Section-level shortcuts
//
// Revision 1.5  2011/11/24 17:16:44  marcos
// #1008: Link diretto a License page
//
// Revision 1.4  2010/01/12 17:11:53  marcos
// IMM11 branch merge on main trunk
//
// Revision 1.3.2.3  2009/09/14 08:31:23  marcos
// #842: 2st and last step.
//
// Revision 1.3.2.2  2009/08/13 07:48:14  marcos
// no message
//
// Revision 1.3.2.1  2009/07/06 10:31:57  marcos
// Added weights and shortcut front-end on QA items
//
// Revision 1.3  2008/03/14 17:10:59  lenz
// Gestione items.
//
// Revision 1.2  2008/03/14 12:07:14  lenz-mobile
// Versioni di sviluppo.
//
// Revision 1.1  2008/03/11 18:21:54  lenz
// Primo check-in - solo come segnaposto.
//
//
//
%>
