<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes

    oDec.load( "masterkeyAbilitato", "masterkey_abilitato.txt", 0, 1 );
    final String stVerbPrefix = "qm_cfg2_skills";
    final String stTabPrefix  = "TABSKILLS";
    int id = oC.getI( stTabPrefix + "_skill_id" );
    String stWidth = "";
    if(!oC.defined("TABSKILLS_sk_sort_weight")){
        oC.putI("TABSKILLS_sk_sort_weight", 10);
    }
%>

<script defer>
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";
  setFocus( "TABSKILLS_sk_code" );
}
</script>


<div class="qm-form-body">
  <fieldset class="qm-fieldset L-column L-gap-24">
    <legend><%= oDec.k("edit_record_skills_title") %></legend>

    <div class="qm-form-grid-3 uk-child-width-1-3@s" uk-grid>
        <label for="TABSKILLS_sk_code"><%= oDec.k("edit_record_skills_code") %></label>
        <div><%= oH.textBox( "TABSKILLS_sk_code", true, stWidth, 100 ) %></div>

        <label for="TABSKILLS_sk_descr"><%= oDec.k("edit_record_description") %></label>
        <div><%= oH.textBox( "TABSKILLS_sk_descr", true, stWidth, 200 ) %></div>

        <label for="TABSKILLS_sk_sort_weight"><%= oDec.k("edit_record_skills_sort_weight") %></label>
        <div><%= oH.textBox( "TABSKILLS_sk_sort_weight", true, stWidth, 200 ) %></div>

        <label for=""><%= oDec.k("edit_record_skills_visibility") %></label>
        <div><%= oH.textBox( "TABSKILLS_key_visible", true, stWidth, 200 ) %></div>

        <label for="TABSKILLS_nomedata_insert"><%= oDec.k("edit_record_createdby") %></label>
        <div><%= oH.textBox( "TABSKILLS_nomedata_insert",  false, stWidth, 100 ) %></div>

        <label for="TABSKILLS_nomedata_update"><%= oDec.k("edit_record_lastupdate") %></label>
        <div><%= oH.textBox( "TABSKILLS_nomedata_update",  false, stWidth, 100 ) %></div>
    </div>
    <div class="L-row uk-flex-between">
      <%= oH.iconButton( "<span uk-icon='icon: chevron-left; ratio: 1'></span>"+oDec.k("edit_record_back"), true, "", stVerbPrefix + "_list", "", "Q-button-tertiary") %>
      <div class="L-row L-gap-16">
          <%= oH.button( oDec.k("edit_record_new"), (id > 0 ), "", stVerbPrefix + "_edit", "N", "Q-button-secondary") %>
          <%= oH.button( oDec.k("edit_record_clone"), (id > 0 ), "", stVerbPrefix + "_edit", "C", "Q-button-secondary") %>
          <%= oH.buttonScript( oDec.k("edit_record_delete"), (id > 0 ), "", "deleteSingleRecord('"+stVerbPrefix+"','"+oC.getS("TABSKILLS_sk_code")+"','"+id+"')", "Q-button-secondary") %> 
      </div>
      <%= oH.button( oDec.k("edit_record_save"), true, "", stVerbPrefix + "_edit", "S" ) %>
    </div>
  </fieldset>
</div>



<%--
<center>
<h1><%= oDec.k("edit_record_skills_title") %></h1>
<table class="ST">
<tr><td>
    <%= oDec.k("edit_record_skills_code") %>
</td><td colspan="2">
    <%= oH.textBox( "TABSKILLS_sk_code", true, stWidth, 100 ) %>
</td></tr>
<tr><td>
    <%= oDec.k("edit_record_description") %>
</td><td colspan="2">
    <%= oH.textBox( "TABSKILLS_sk_descr", true, stWidth, 200 ) %>
</td></tr>
<tr><td>
    <%= oDec.k("edit_record_skills_sort_weight") %>
</td><td colspan="2">
    <%= oH.textBox( "TABSKILLS_sk_sort_weight", true, stWidth, 200 ) %>
</td></tr>
<tr><td>
    <%= oDec.k("edit_record_skills_visibility") %>
</td><td colspan="2">
    <%= oH.textBox( "TABSKILLS_key_visible", true, stWidth, 200 ) %>
</td></tr>
<tr><td class="reg">
<%= oDec.k("edit_record_createdby") %>
</td><td>
<%= oH.textBox( "TABSKILLS_nomedata_insert",  false, stWidth, 100 ) %>
</td></tr>
<tr><td class="reg">
<%= oDec.k("edit_record_lastupdate") %>
</td><td>
<%= oH.textBox( "TABSKILLS_nomedata_update",  false, stWidth, 100 ) %>
</td></tr>
</table>
<p>
    <%= oH.button( oDec.k("edit_record_save"), true, "", stVerbPrefix + "_edit", "S" ) %>
    <%= oH.button( oDec.k("edit_record_back"), true, "", stVerbPrefix + "_list", "") %>
    <%= oH.button( oDec.k("edit_record_new"), (id > 0 ), "", stVerbPrefix + "_edit", "N") %>
    <%= oH.button( oDec.k("edit_record_clone"), (id > 0 ), "", stVerbPrefix + "_edit", "C") %>
    <%= oH.buttonScript( oDec.k("edit_record_delete"), (id > 0 ), "", "deleteSingleRecord('"+stVerbPrefix+"','"+oC.getS("TABSKILLS_sk_code")+"','"+id+"')") %>

</center>
    --%>
<%@ include file="/includes/00_page_footer.jspf" %>

<%
// $Log: cfg2_skills_edit.jsp,v $
// Revision 1.2  2015/09/28 08:41:14  marcos
// jsp/jspf refactoring.
//
// Revision 1.1  2015/07/17 15:40:11  lenz
// #2861 - Skill Based Routing - Editor delle skills
//
//
%>
