<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.transaction.db.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="ch.loway.app.queuemetrics.newSmartTableDecorators.divInCellDecor" %>



<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes
    //oDec.load( "ricerchePubbliche", "ricerchePubbliche.txt", 0, 1 );

    final String stVerbPrefix = "qm_cfg2_users";
    final String stTabPrefix  = "TABUSERS";
    //--------------------------------------------------------------
    class buttonModificaDecor implements TpfCellDecoratorInterface {
            HtmlGenerator obH = null;
            public buttonModificaDecor( HtmlGenerator oHx) { obH = oHx; };
            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                String stTesto = lt.getS(r, c );
                //String stButton = obH.button( "...", true, "width: 20px", stVerbPrefix + "_edit", stTesto );
                String stButton = obH.imgButton( "../img/icons_silk/pencil.png", "Edit", true, "", stVerbPrefix + "_edit", stTesto );
                return  "  <td class='stData' style='width: " + width + ";'>" + stButton + "</td>\n";
            }
    };
    class selectDecor implements TpfCellDecoratorInterface {
            public selectDecor() { };
            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                String stTesto = lt.getS(r, c );
                return "  <td class='stData'  style='width:' " + width + ";'>" +"  <input type='checkbox'  name ='cb' value='"+lt.getS(r, c )+"'></input>" + "</td>\n";
            }
    };

class yesNoDecor implements TpfCellDecoratorInterface {
		String stYes = "";
		String stNo  = "";
		public yesNoDecor( String Y, String N ) { stYes = Y; stNo = N; };

		public String decorate(LTable lt, int r, int c, String width) throws TechException {
		    String stTesto = lt.getS(r, c );
		    String stH = "";

		    if ( stTesto.equalsIgnoreCase("0") ) {
		    	stH = stNo;
		    } else {
		    	stH = stYes;
		    }

		    return  "  <td class='smart' style='width: " + width + ";'>" + stH + "</td>\n";
		}
	};

%>

<script defer>
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "<%= stVerbPrefix %>_list";
	document.forms[0].<%= K.REQ_PARAM %>.value = "WithQuery";

  //setFocus( "<%= PagedTransactor.getQueryField( stTabPrefix ) %>" );
}

var page_enableAdminSearch = true;
var setFocusPath = "<%= PagedTransactor.getQueryField( stTabPrefix ) %>";
var stVerbPrefix = "<%=stVerbPrefix%>";

</script>


<div class="qm-form-body">
<%-- <h1><%=oDec.k("edit_users_title")%></h1> --%>

<fieldset class="qm-fieldset">
<legend><%=oDec.k("edit_users_title")%></legend>
  <div class="qm-editor-search">

    <%-- search line --%>
    <%@ include file="/includes/qm_adm/20_qm_adm_searchbox.jspf" %>

    <div class="qm-editor-button">
      <div> <%= oH.button( oDec.k("editor_create_new"), true, "", stVerbPrefix + "_edit", "N") %> </div>
      <div> <%= oH.buttonScript( oDec.k("editor_delete_selected"), true, "", "deleteSelected('"+stVerbPrefix+"')") %> </div>
      <div> <%= oH.button( oDec.k("editor_show_classes"), true, "", "qm_cfg2_classes_list", "") %>  </div>
    </div>
  </div>



  <%
      SmartTableTransactor s2 = null;

  //    LTable ltRisultato = PagedTransactor.getDataList( oC, stTabPrefix );
  //    SmartTable stT = new SmartTable( stTabPrefix, ltRisultato );
      SmartTableTransactor stT = new SmartTableTransactor( oC, stTabPrefix, stVerbPrefix + "_list",
      it.loway.app.queuemetrics.configurazione.cfg2.ptUsers.SORTINGS );

      stT.addColumn( "<input type='checkbox' onclick='selectAll(this);'></input>" ,  0 , "30px", new selectDecor( ) );
      stT.addColumn( oDec.k("edit_users_login"),       1   , "150px" , "login"  );
      stT.addColumn( oDec.k("edit_users_real_name"),   2   , "200px" , "rname"  );
      stT.addColumn( oDec.k("edit_users_email"),       8   , "150px" , "email"  );
      stT.addColumn( oDec.k("edit_users_enabled"),     3  , "50px" , "abilit", new yesNoDecor( "Yes", "No" )  );
      stT.addColumn( oDec.k("edit_users_master_key"),   7  , "50px" , "mastkey", new yesNoDecor( "Yes", "No" )  );
      stT.addColumn( oDec.k("edit_users_class"),       6  , "100px", "nclasse"   );
      stT.addColumn( oDec.k("edit_users_user_keys"),   5  , "200px", "chiavi", new divInCellDecor("qm-admin-keys-shrink")     );
      stT.addColumn( "&nbsp;",  0 , "20px", new   buttonModificaDecor( oH )   );

      if (stT.getNRigheTotaliQuery() > 0) { %>

      <%@ include file="/includes/qm_adm/10_qm_adm_pagination.jspf" %>  <% } %>
  <%
      if ( stT.numRows() > 0 ) {

          //stT.withCaption( );
          stT.withTableClass( "qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand" );
          out.println( stT.render() );
      }
      if ( stT.getNRigheTotaliQuery() == 0 ) {
  %>
      <%@ include file="/includes/qm_adm/30_qm_adm_noresultsbox.jspf" %>
  <%
      } else { // ci sono righe
  %>
      <%@ include file="/includes/qm_adm/10_qm_adm_pagination.jspf" %>
  <%
      };
  %>

  <div class="qm-editor-button">
      <div><%= oH.button( oDec.k("editor_create_new"), true, "", stVerbPrefix + "_edit", "N") %></div>
      <div><%= oH.buttonScript( oDec.k("editor_delete_selected"), true, "", "deleteSelected('"+stVerbPrefix+"')") %></div>
      <div><%= oH.button( oDec.k("editor_show_classes"), true, "", "qm_cfg2_classes_list", "") %></div>
  </div>
</div>

</fieldset>
</div>

<%@ include file="/includes/00_page_footer.jspf" %>

<%
// $Log: cfg2_users_list.jsp,v $
// Revision 1.11  2015/09/28 08:41:14  marcos
// jsp/jspf refactoring.
//
// Revision 1.10  2014/09/24 08:55:15  marcos
// Cosmetic: tables are not properly rendered by some browser because the size is not specified in pixel units.
//
// Revision 1.9  2014/05/19 09:46:36  lenz
// Merge FRANKIE
//
// Revision 1.8.8.1  2014/05/13 13:33:37  mirkox
// Nuova Grafica
//
// Revision 1.8  2011/11/24 17:16:44  marcos
// #1008: Link diretto a License page
//
// Revision 1.7  2009/10/21 07:54:29  marcos
// #769: Master key visible on list of users
//
// Revision 1.6  2008/11/12 10:20:55  marcos
// #357 - Added navigation buttons on top the table in all configuration pages
//
// Revision 1.5  2008/09/29 14:31:15  lenz
// --=-   M e r g e   I M M 6   -=--
//
// Revision 1.4.2.1  2008/04/18 16:12:58  lenz
// Bug #285: Cursore in automatico nel primo box.
// Bug #280: Bottoni sopra e sotto.
//
// Revision 1.4  2007/10/01 12:49:59  lenz
// Modifichine cosmetiche
//
// Revision 1.3  2007/09/29 17:00:21  lenz-mobile
// Colonne ordinabili.
//
// Revision 1.2  2007/09/29 09:35:47  lenz-mobile
// Pagina degli utemti funzionante.
//
// Revision 1.1  2007/09/24 13:55:06  lenz
// no message
//
//
//
//
%>
