<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    //$Id: pause_codes_list.jsp,v 1.7 2015/09/28 08:41:15 marcos Exp $
    //
   ////////////////////DECORATORS/////////////////////////////////////
        class buttonAnnullaDecor implements TpfCellDecoratorInterface {
		HtmlGenerator obH = null;
		public buttonAnnullaDecor( HtmlGenerator oH  ) { obH = oH; };

		public String decorate(LTable lt, int r, int c, String width) throws TechException {
		    String stTesto = lt.getS(r, c );
		    //String stButt = obH.button( "Delete", true, "width: 60px", "qm_cfg_pcodes_del", stTesto );
                    String stButt = obH.imgButton( "../img/icons_silk/delete.png", "Delete", true, "", "qm_cfg_pcodes_del", stTesto );
		    return  "  <td class='stData' style='width: " + width + "; text-align: center;'>" + stButt+ "</td>\n";
		}
	};
        class buttonEditDecor implements TpfCellDecoratorInterface {
		HtmlGenerator obH = null;
		public buttonEditDecor( HtmlGenerator oH  ) { obH = oH; };

		public String decorate(LTable lt, int r, int c, String width) throws TechException {
		    String stTesto = lt.getS(r, c );
		    //String stButt = obH.button( "Edit", true, "width: 60px", "qm_cfg_pcodes_edit", stTesto );
                    String stButt = obH.imgButton( "../img/icons_silk/pencil.png", "Edit", true, "", "qm_cfg_pcodes_edit", stTesto );
		    return  "  <td class='stData' style='width: " + width + "; text-align: center;'>" + stButt+ "</td>\n";
		}
	};
        class yesNoDecor implements TpfCellDecoratorInterface {
            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                int inCode = lt.getI(r, c );
                String stTesto = "<img src='../img/icons_silk/bru_notinuse.png' width=16 height=16>";
                if ( inCode > 0 ) {
                    stTesto = "<img src='../img/icons_silk/accept.png' width=16 height=16>";
                }
                return  "  <td class='stData' style='width: " + width + "; text-align: center;'>" + stTesto+ "</td>\n";
            }
	};
%>
<script defer>
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";
}
</script>
<%
      String stWidth = "width: 280px;" ; 
      SmartTable T;
 %>
<center>
<b>Pause Codes Configuration</b> <p>

<%= oH.button( "Add new entry", true, "", "qm_cfg_pcodes_add", "" ) %>
<p> &nbsp;

<%
    LTable ltConfPCodes= oC.getLt( "DATI_pcodes" );
    T = new SmartTable( "x", ltConfPCodes );
        //T.addSortableColumn( "ID", 0, "50px" , SmartTable.SORT_TEXT_CI );
        T.addSortableColumn( "Code", 1, "100px", SmartTable.SORT_TEXT_CI );
        T.addSortableColumn( "Description", 2, "200px", SmartTable.SORT_TEXT_CI );
        T.addSortableColumn( "Billable?", 4, "50px", new yesNoDecor(), SmartTable.SORT_HTML_CODE );
        T.addSortableColumn( "Key",      3, "50px", SmartTable.SORT_TEXT_CI );
        T.addColumn( "&nbsp;", 0, "20px", new buttonEditDecor(oH) );
        T.addColumn( "&nbsp;", 0, "20px", new buttonAnnullaDecor(oH) );
        out.println(T.render());
%>
<br>
<small>Click on a column name to sort data.</small>
<p>
<%= oH.button( "Add new entry", true, "", "qm_cfg_pcodes_add", "" ) %>
</center>
<%@ include file="/includes/00_page_footer.jspf" %>
<%
// $Log: pause_codes_list.jsp,v $
// Revision 1.7  2015/09/28 08:41:15  marcos
// jsp/jspf refactoring.
//
// Revision 1.6  2014/05/19 09:46:37  lenz
// Merge FRANKIE
//
// Revision 1.5.14.1  2014/05/13 13:33:35  mirkox
// Nuova Grafica
//
// Revision 1.5  2007/06/07 14:09:27  lenz
// Bug #130: nuova icona dello zebe.
//
// Revision 1.4  2007/05/18 14:44:05  lenz
// Bug #131: Ordinamneto icone yes/no
//
// Revision 1.3  2007/05/17 22:25:13  lenz
// Bug #123
//
// Revision 1.2  2007/05/12 20:49:22  lenz
// Merge IMM4
//
// Revision 1.1.2.2  2006/12/19 14:07:05  lenz
// Tolgo ID tecnico
//
// Revision 1.1.2.1  2006/12/14 15:37:27  lenz
// Gestione Pause Codes
//
//
//
//
%>
