<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="it.loway.tpf.transaction.db.*" %>
<%@ page import="it.loway.app.queuemetrics.tasks.transactions.showTasksList" %>
<%@ page import="it.loway.app.queuemetrics.tasks.transactions.countTaskReport" %>
<%@ page import="it.loway.app.queuemetrics.tasks.*" %>
<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.tasks.*" %>
<%@ page import="java.util.*" %>

<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );
%>
<%@ include file="/includes/00_page_header.jspf" %>

<%
        String stWidth      = "" ;

        // se non ho una data, metto le date impostate con le properties
        String stDtInizioDefault = oC.getS( "CODA_dtInizioDefault" );
        String stDtFineDefault = oC.getS( "CODA_dtFineDefault" );

        if ( !oC.defined("TASKS_REPORT_START_DATE") ) {
            oC.putS( "TASKS_REPORT_START_DATE", stDtInizioDefault );
        }
        if ( !oC.defined("TASKS_REPORT_END_DATE") ) {
            oC.putS( "TASKS_REPORT_END_DATE", stDtFineDefault );
        }
%>

<%

    class editIconDecor extends InternationalizedDecor {

        private int processFamilyColumn = 0;
        private int processIdColumn = 0;

        public editIconDecor(int processFamilyColumn, int processIdColumn) {

            this.processFamilyColumn = processFamilyColumn;
            this.processIdColumn = processIdColumn;
        }

        public String decorate(LTable lt, int r, int c, String width) throws TechException {

            String taskTypeId = lt.getS(r,c);

            if (taskTypeId.length() == 0)
                return "<td class='stData' style='width: " + width + "; text-align: center;'></td>\n";

            String taskFamily = lt.getS(r, processFamilyColumn);
            String taskPID = lt.getS(r, processIdColumn);

            String function = "getDetails('"+taskTypeId+"','"+taskFamily+"','"+taskPID+"')";
            String hRef = IconLib.clickIcon(function, IconLib.I_EDITOR_EDIT, this.oLDec.k("tsk_icon_detail"));

            return  "<td class='stData' style='width: " + width + "; text-align: center;'>" + hRef + "</td>\n";
        }
    }
%>

<script defer>
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";

        // Initialize JQuery UI elements
    //    $("#TASKS_REPORT_START_DATE_date").datepicker( { dateFormat: 'yy-mm-dd' } );
    //    $("#TASKS_REPORT_END_DATE_date").datepicker( { dateFormat: 'yy-mm-dd' } );
}

function getDetails(taskTypeId, taskFamily, taskPID) {

    var parameter = taskTypeId + "|" + taskFamily + "|" + taskPID;
    startTransaction("qm_tasks_report_details", parameter);
}

</script>


<div class="qm-form-body">

<fieldset class="qm-fieldset">
  <legend><%= oDec.k("tsk_search_title") %></legend>

  <div class="qm-form-grid-3 uk-child-width-1-3@s" uk-grid>
    <label for="TASKS_REPORT_START_DATE_date"><%= oDec.k("tsk_search_start_date") %></label>
    <div class="qm-form-datehourpicker"><%= FA.generaJQueryComboDataOra("TASKS_REPORT_START_DATE", oC, oH, true, oDec) %></div>

    <label for="TASKS_REPORT_END_DATE_date"><%= oDec.k("tsk_search_end_date") %></label>
    <div class="qm-form-datehourpicker"><%= FA.generaJQueryComboDataOra("TASKS_REPORT_END_DATE", oC, oH, true, oDec) %></div>

    <label for="TASKS_TYPE_input"><%= oDec.k("tsk_search_task_type") %></label>
    <div><%= oH.combo( "TASKS_TYPE_input", true, stWidth, TaskFactory.getTaskListInReadableFormat(true), TaskFactory.TASK_LIST_COLUMN_ID, TaskFactory.TASK_LIST_COLUMN_NAME, "" ) %></div>

    <div class="uk-width-1-1 uk-text-center"><%= oH.button( oDec.k("tsk_search_task_do"), oU.hasKey("TASKS_REP"), stWidth, "qm_tasks_report", "" ) %></div>
  </div>

</fieldset>

<%

    LTable taskReport = oC.getLt("TASK_REPORT_AGGREGATED");
    if (taskReport.numRows() != 0) {

        SmartTable T = new SmartTable( "x", taskReport );
        T.setDecoder(oDec);
        T.addColumn( oDec.k("tsk_report_hdr_task_type") ,  countTaskReport.TASK_TYPE_COL, "80", new taskTypeDecor(TaskFactory.getTaskListInReadableFormat(false), TaskFactory.TASK_LIST_COLUMN_ID, TaskFactory.TASK_LIST_COLUMN_NAME, TaskFactory.TASK_LIST_COLUMN_ICON));
        T.addColumn( oDec.k("tsk_report_hdr_processid") ,  countTaskReport.TASK_PROCESS_ID_COL, "120", new taskProcessFieldDecor(0, countTaskReport.TASK_PROCESS_FAMILY_COL) );
        T.addColumn( oDec.k("tsk_report_hdr_created") ,  countTaskReport.TASK_CREATED_COL, "80" );
        T.addColumn( oDec.k("tsk_report_hdr_open") ,  countTaskReport.TASK_OPEN_COL, "80" );
        T.addColumn( oDec.k("tsk_report_hdr_open_overdue") ,  countTaskReport.TASK_OPEN_OVERDUE, "80" );
        T.addColumn( oDec.k("tsk_report_hdr_solved") ,  countTaskReport.TASK_SOLVED, "80" );
        T.addColumn( oDec.k("tsk_report_hdr_solved_overdue") ,  countTaskReport.TASK_SOLVED_OVERDUE, "80" );
        T.addColumn( oDec.k("tsk_report_hdr_avg_resolution") ,  countTaskReport.TASK_AVG_RESOLUTION, "80", new avgTimeDecor() );
        T.addColumn( "&nbsp;", countTaskReport.TASK_TYPE_COL, "40", new editIconDecor(countTaskReport.TASK_PROCESS_FAMILY_COL, countTaskReport.TASK_PROCESS_ID_COL));
        T.withTableClass( "qm-table  uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand" );
        out.println(T.render());
    }
%>

</div>


<%@ include file="/includes/00_page_footer.jspf" %>

<%
// $Log: qm_tasksearch.jsp,v $
// Revision 1.3  2015/09/28 08:41:19  marcos
// jsp/jspf refactoring.
//
// Revision 1.2  2011/11/24 17:16:45  marcos
// #1008: Link diretto a License page
//
// Revision 1.1  2011/10/20 15:49:45  marcos
// #1376: New task status statistics
//
%>
