<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.app.queuemetrics.asterisk.parser.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="it.loway.app.queuemetrics.asterisk.parser.*" %>
<%@ page import="it.loway.app.queuemetrics.configurazione.configurationwizard.*" %>
<%@ page import="it.loway.app.queuemetrics.html.WizardNavigationBar" %>
<%@ page import="java.util.*" %>

<%@ include file="/includes/00_page_header.jspf" %>

<%
    // $Id: autoconfWizard4.jsp,v 1.4 2015/09/28 08:41:10 marcos Exp $
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );

    // Start the Wizard Navigation Bar
    oDec.load( "autoconf_wznavbar", "autoconf_wzNavBar.txt", 0, 1 );
    WizardNavigationBar wzNavBar = new WizardNavigationBar(oDec, "autoconf_wznavbar");

    // Retrieve the information to be shown
    LTable ltQueues = oC.getLt("CONFWIZ_PageContents");
    LChecks ltChecks = oC.getLc("CONFWIZ_PageContentsChecks");

    // This is the next hop
    int nextHopID = ConfWizardHandler.STEP_SHOWSUMMARY;
    String nextHop = "StepID_" + Integer.toString(nextHopID);
%>


<script defer>
    function onLoadApplicativo() {
            // transazione standard
            document.forms[0].<%= K.REQ_VERBO %>.value = "";
            document.forms[0].<%= K.REQ_PARAM %>.value = "";
    }
</script>


<center>
    <div id="xCorpo" align="center">
        <%=wzNavBar.RenderHTML(3)%><p/>
        <hr width="50%" color="grey">
    </div>
</center>

<center>
    Below is a list of queues read from the configuration.
    <br>Please select the queues you want to import in <%=CS.QUEUEMETRICS%>.
    <p/>
</center>

<center>
    <%
        SmartTable queuesList = new SmartTable("CONFWIZ_UserAnswer", ltQueues);

        queuesList.addColumn( oDec.k("td_autoconf_wz_queuename"), ConfWizardHandler.TBLRES_QUEUE_NAME, "100" );
        queuesList.addColumn( oDec.k("td_autoconf_wz_queuewrapup"), ConfWizardHandler.TBLRES_QUEUE_WRAPUP, "100" );
        queuesList.addColumn( oDec.k("td_autoconf_wz_servername"), ConfWizardHandler.TBLRES_QUEUE_SERVER, "100");
        queuesList.enableCheck( ConfWizardHandler.TBLRES_PROGRESSIVE_ID, ltChecks );

        out.println(queuesList.render());
    %>
    <p/>
    <input type=button value="Check all" onClick="checkUncheckSmartTable('CONFWIZ_UserAnswer');">
</center>

<center>
    <div id="xCorpo">
        <form>
            <table border="0" width="100%">
                <tr>&nbsp;</tr>

                <tr>
                    <td align="center">
                        <%= oH.button( "Next >", true, "", "autoconf_Wizard", nextHop ) %>
                    </td>
                </tr>

                <tr>&nbsp;</tr>
            </table>
        </form>
    </div>

</center>

<%@ include file="/includes/00_page_footer.jspf" %>

<%
// $Log: autoconfWizard4.jsp,v $
// Revision 1.4  2015/09/28 08:41:10  marcos
// jsp/jspf refactoring.
//
// Revision 1.3  2011/11/24 17:16:44  marcos
// #1008: Link diretto a License page
//
// Revision 1.2  2009/03/25 10:36:12  marcos
// #276 - New configuration wizard - Added the AMI single and cluster based data retrieving.
//
// Revision 1.1  2009/03/18 11:46:43  marcos
// #276 - New configuration wizard - First step.
//
%>
