<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.app.queuemetrics.asterisk.parser.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="it.loway.app.queuemetrics.asterisk.parser.*" %>
<%@ page import="it.loway.app.queuemetrics.configurazione.configurationwizard.*" %>
<%@ page import="ch.loway.app.queuemetrics.synchronizer.handler.SynchronizerHandler" %>
<%@ page import="ch.loway.app.queuemetrics.synchronizer.syncutilities.SyncUtilities" %>
<%@ page import="it.loway.app.queuemetrics.html.WizardNavigationBar" %>
<%@ page import="ch.loway.app.queuemetrics.synchronizer.configuration.SObject" %>
<%@ page import="ch.loway.app.queuemetrics.synchronizer.configuration.SAgent" %>
<%@ page import="ch.loway.app.queuemetrics.synchronizer.configuration.SQueue" %>
<%@ page import="ch.loway.app.queuemetrics.synchronizer.configuration.SAgentOnQueue" %>
<%@ page import="ch.loway.app.queuemetrics.synchronizer.configuration.SPbx" %>
<%@ page import="java.util.*" %>

<%@ include file="/includes/00_page_header.jspf" %>

<%
    // $Id: sync_autoconf1.jsp,v 1.7 2017/01/19 08:41:09 kevin Exp $
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );


    // Start the Wizard Navigation Bar
    oDec.load( "synchronizer_wznavbar", "synchronizer_wznavbar.txt", 0, 1 );
    WizardNavigationBar wzNavBar = new WizardNavigationBar(oDec, "synchronizer_wznavbar");

    String configuration =  oC.getS("SYNC_configuration");
    LTable ltConfiguration = oC.getLt("SYNC_configuration_table");
    LTable ltConfigurationLists = oC.getLt("SYNC_configuration_lists_table");
    // This is the width the text box will have
    String stWidth = "width: 400px;";
    int nextHopID = 2;
    String nextHop = "StepID_" + Integer.toString(nextHopID);


    class boldDecor implements TpfCellDecoratorInterface {

        public String decorate(LTable lt, int r, int c, String width) throws TechException {
            String stTesto = lt.getS(r,c);
            String result = "<td class='stData'  style='width:"+ width +";'><span><h3><b>"+stTesto+"</b></h3></span></td> \n";

            return  result;
        }
    };


    class objectListDecor implements TpfCellDecoratorInterface {

        public String decorate(LTable lt, int r, int c, String width) throws TechException {
            ArrayList<SObject> objects = (ArrayList<SObject>) lt.getObject(r, c );
            String objectsString = "";
            for (SObject o : objects){
                if(o instanceof SAgent){
                    objectsString = objectsString + " <span class=\"synchronizer-tag agent\">"+o.getDescriptor()+"</span>";
                } else if(o instanceof SQueue){
                    objectsString = objectsString + " <span class=\"synchronizer-tag queue\">"+o.getDescriptor()+"</span>";
                } else if(o instanceof SAgentOnQueue){
                    objectsString = objectsString + " <span class=\"synchronizer-tag agentonqueue\">"+o.getDescriptor()+"</span>";
                }else if(o instanceof SPbx){
                    objectsString = objectsString + " <span class=\"synchronizer-tag pbx\">"+o.getDescriptor()+"</span>";
                }
            }
            String result = "<td class='stData'  style='width:'"+ width +";'><div title="+lt.getS(r, c-1)+">"+objectsString+"</div></td> \n";

            return  result;
        }
    };

%>


<script>
    function onLoadApplicativo() {

        // transazione standard
        document.forms[0].<%= K.REQ_VERBO %>.value = "";
        document.forms[0].<%= K.REQ_PARAM %>.value = "";
    }

</script>

<div class="qm-form-body-wide">
<center>
    <div id="xCorpo" align="center">
        <br/>
        <%=wzNavBar.RenderHTML(1)%><p/>
        <hr >
    </div>
</center>




<center>
    This is the PBX configuration that was detected.
    <br/>
</center>
<center>
    <div id="xCorpo">
        <form>
            <table border="0" >
                <tr>&nbsp;</tr>

                <tr>
                    <td align="center">
                        <%= oH.button( "Next >", true, "", "autoconf_Synchronizer", nextHop ) %>
                    </td>
                </tr>

                <tr>&nbsp;</tr>
            </table>
        </form>
    </div>
    <br/>
</center>
<center>
    <%
        /*
        SmartTable configurationTable = new SmartTable("SYNC_configuration_table", ltConfiguration);
        configurationTable.addColumn( "", SynchronizerHandler.TBLRES_CATEGORY, "30",new categoryDecor());
        configurationTable.addSortableColumn( "Asterisk ID", SynchronizerHandler.TBLRES_CODE, "100", SmartTable.SORT_TEXT_CI);
        configurationTable.addColumn( "Details", SynchronizerHandler.TBLRES_NAME, "100" );
        //configurationTable.addColumn( "ADDITIONAL INFO", SynchronizerHandler.TBLRES_INFO2, "100" );


        out.println(configurationTable.render());*/

        SmartTable configurationListsTable = new SmartTable("SYNC_configuration_lists_table", ltConfigurationLists);
        configurationListsTable.addColumn( "Category", 0, "200px", new boldDecor());
        configurationListsTable.addColumn( "Details", 1, "100", new objectListDecor() );
        //configurationListsTable.addColumn( "ADDITIONAL INFO", SynchronizerHandler.TBLRES_INFO2, "100" );

        configurationListsTable.withTableClass( "qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand uk-table-middle" );
        out.println(configurationListsTable.render());
    %>
</center>



<center>
    <div id="xCorpo">
        <form>
            <table border="0" width="100%">
                <tr>&nbsp;</tr>

                <tr>
                    <td align="center">
                        <%= oH.button( "Next >", true, "", "autoconf_Synchronizer", nextHop ) %>
                    </td>
                </tr>

                <tr>&nbsp;</tr>
            </table>
        </form>
    </div>

</center>
</div>

<%@ include file="/includes/00_page_footer.jspf" %>
