<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.app.queuemetrics.asterisk.parser.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="it.loway.app.queuemetrics.asterisk.parser.*" %>
<%@ page import="it.loway.app.queuemetrics.configurazione.configurationwizard.*" %>
<%@ page import="ch.loway.app.queuemetrics.synchronizer.handler.SynchronizerHandler" %>
<%@ page import="ch.loway.app.queuemetrics.synchronizer.syncutilities.SyncUtilities" %>
<%@ page import="ch.loway.app.queuemetrics.synchronizer.configuration.SObject" %>
<%@ page import="ch.loway.app.queuemetrics.synchronizer.configuration.SAgent" %>
<%@ page import="ch.loway.app.queuemetrics.synchronizer.configuration.SQueue" %>
<%@ page import="ch.loway.app.queuemetrics.synchronizer.configuration.SAgentOnQueue" %>
<%@ page import="ch.loway.app.queuemetrics.synchronizer.configuration.SPbx" %>
<%@ page import="it.loway.app.queuemetrics.html.WizardNavigationBar" %>
<%@ page import="java.util.*" %>

<%@ include file="/includes/00_page_header.jspf" %>

<%
    // $Id: sync_autoconf1.jsp,v 1.7 2017/01/19 08:41:09 kevin Exp $
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );

            // Start the Wizard Navigation Bar
    oDec.load( "synchronizer_wznavbar", "synchronizer_wznavbar.txt", 0, 1 );
    WizardNavigationBar wzNavBar = new WizardNavigationBar(oDec, "synchronizer_wznavbar");

    LTable ltConfiguration = oC.getLt("SYNC_current_configuration_table");
    LTable ltConfigurationLists = oC.getLt("SYNC_configuration_lists_table");
    // This is the width the text box will have
    String stWidth = "width: 400px;";
    int nextHopID = 4;
    String nextHop = "StepID_" + Integer.toString(nextHopID);

    class boldDecor implements TpfCellDecoratorInterface {

        public String decorate(LTable lt, int r, int c, String width) throws TechException {
            String stTesto = lt.getS(r,c);
            String result = "<td class='stData'  style='width:"+ width +";'><span><h3><b>"+stTesto+"</b></h3></span></td> \n";

            return  result;
        }
    };

    class categoryDecor implements TpfCellDecoratorInterface {

            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                String stClass = lt.getS(r, c );
                String icon = "";
                String image = "";
                String text = "";
                if(stClass.equals("Pbx")){
                            icon = "asterisk_orange.png";
                            text = "PBX";
                }else if(stClass.equals("Agent")){
                            icon = "user_suit.png";
                            text = "Agent";
                }else if(stClass.equals("Queue")){
                            icon = "../icon_inbound.png";
                            text = "Queue";
                }else if(stClass.equals("Tenant")){
                            icon = "user_red.png";
                            text = "Tenant";
                }else if(stClass.equals("AgentOnQueue")){
                            icon = "user_go.png";
                            text = "Agent-Queue Association";
                }else{
                    icon = "Unknown Class";
                }

                image = "<img class=\"imgButton\" src=\"/qm/img/icons_silk/"+icon+"\" alt=\""+text+"\" title=\""+text+"\" border=\"0\">";

                return  "<td class=''  style='width:" + width + "px; text-align: center;'><font color=\"green\">"+image+"</font> </td> \n";
            }
    };

    class objectListDecor implements TpfCellDecoratorInterface {

        public String decorate(LTable lt, int r, int c, String width) throws TechException {
            ArrayList<SObject> objects = (ArrayList<SObject>) lt.getObject(r, c );
            String objectsString = "";
            for (SObject o : objects){
                if(o instanceof SAgent){
                    objectsString = objectsString + " <span class=\"synchronizer-tag agent\">"+o.getDescriptor()+"</span>";
                } else if(o instanceof SQueue){
                    objectsString = objectsString + " <span class=\"synchronizer-tag queue\">"+o.getDescriptor()+"</span>";
                } else if(o instanceof SAgentOnQueue){
                    objectsString = objectsString + " <span class=\"synchronizer-tag agentonqueue\">"+o.getDescriptor()+"</span>";
                }else if(o instanceof SPbx){
                    objectsString = objectsString + " <span class=\"synchronizer-tag pbx\">"+o.getDescriptor()+"</span>";
                }
            }
            String result = "<td class='stData'  style='width:'"+ width +";'><div title="+lt.getS(r, c-1)+">"+objectsString+"</div></td> \n";

            return  result;
        }
    };

%>


<script>
    function onLoadApplicativo() {

        // transazione standard
        document.forms[0].<%= K.REQ_VERBO %>.value = "";
        document.forms[0].<%= K.REQ_PARAM %>.value = "";

        // Raise the onSourceTypeChanged event when the combo box changes their value
        document.getElementById("SYNC_readerType").onchange = onSourceTypeChanged;
    }
</script>

<div class="qm-form-body-wide">
<center>
    <div id="xCorpo" align="center">
        <br/>
        <%=wzNavBar.RenderHTML(3)%><p/>
        <hr width="50%" color="grey">
    </div>
</center>

<center>
    This was the synchronization result.
    <br>
</center>

<center>
    <div id="xCorpo">
        <form>
            <table border="0" width="100%">
                <tr>&nbsp;</tr>

                <tr>
                    <td align="center">
                        <%= oH.button( "Ok", true, "", "qm_start", "" ) %>
                    </td>
                </tr>

                <tr>&nbsp;</tr>
            </table>
        </form>
    </div>
    <br/>
</center>

<center>
    <%
       /* SmartTable configurationTable = new SmartTable("SYNC_current_configuration_table", ltConfiguration);

        configurationTable.addColumn( "", SynchronizerHandler.TBLRES_CATEGORY, "30", new categoryDecor());
        configurationTable.addSortableColumn( "ID", SynchronizerHandler.TBLRES_CODE, "100", SmartTable.SORT_TEXT_CI);
        //configurationTable.addColumn( "NAME", SynchronizerHandler.TBLRES_NAME, "100" );
        configurationTable.addColumn( "Details", SynchronizerHandler.TBLRES_NAME, "100" );

        out.println(configurationTable.render());*/

        SmartTable configurationListsTable = new SmartTable("SYNC_configuration_lists_table", ltConfigurationLists);
        configurationListsTable.addColumn( "Category", 0, "200px", new boldDecor());
        configurationListsTable.addColumn( "Details", 1, "100", new objectListDecor() );
        //configurationListsTable.addColumn( "ADDITIONAL INFO", SynchronizerHandler.TBLRES_INFO2, "100" );

        configurationListsTable.withTableClass( "qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand uk-table-middle" );
        out.println(configurationListsTable.render());

    %>
</center>

<center>
    <div id="xCorpo">
        <form>
            <table border="0" width="100%">
                <tr>&nbsp;</tr>

                <tr>
                    <td align="center">
                        <%= oH.button( "Ok", true, "", "qm_start", "" ) %>
                    </td>
                </tr>

                <tr>&nbsp;</tr>
            </table>
        </form>
    </div>

</center>
</div>
<%@ include file="/includes/00_page_footer.jspf" %>
