-- Convert an existing QueueMetrics database to secure passwords (SHA256+salt)
--
-- When done, you should set the following properties in configuration.properties:
--
--  pwd.defaultLevel=2
--  pwd.minAllowedLevel=2
--
-- to force secure logins and secure password changes.
--

UPDATE arch_users
SET `pversion`=2,
    `psalt` = FLOOR(rand()*100000000),
    `PASSWORD`=SHA2(CONCAT(`psalt`, `PASSWORD`), 256)
WHERE `pversion` = 1;



