#! /usr/bin/perl

#
# Check if QM is running. If it's not, restart it.
#
# USAGE:
# */5  * * * * /bin/nice /root/myScripts/watchdogQm.pl > /dev/null 2>&1
#
# $Id: watchdogQm.pl,v 1.2 2013/11/05 15:59:12 lenz-mobile Exp $
#


use strict;

my $url = "http://127.0.0.1:8080/queuemetrics/sysup.jsp?rand=" . rand();
my $token = "QMUP";
my $restart = "/etc/init.d/queuemetrics restart";

my $res = qx/wget -O- $url 2>&1/;

print "Got result: <$res>\n";

if ( index($res, $token) == -1 ) {
        print "Restarting....\n";
        qx/$restart/;
}


# $Log: watchdogQm.pl,v $
# Revision 1.2  2013/11/05 15:59:12  lenz-mobile
# Name of the script
#
# Revision 1.1  2013/11/05 15:58:47  lenz-mobile
# #2064 - Watchdog
#
#
#
