<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.*" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );
%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes
   oDec.load( "agaw_status", "agaw_status.txt", 0, 1 );
   SmartTable T;


    class buttonDetailDecor implements TpfCellDecoratorInterface {
            HtmlGenerator obH = null;
            public buttonDetailDecor( HtmlGenerator oH  ) { obH = oH; };

            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                String stTesto = lt.getS(r, c );
                String stButt = obH.button( "...", true, "width: 20px", "qm_agaw_detail", stTesto );
                //String stButt = obH.imgButton( "../img/icons_silk/delete.png", "Delete", true, "", "qm_cfg_pcodes_del", stTesto );
                return  "  <td class='stData' style='width: " + width + "; text-align: center;'>" + stButt+ "</td>\n";
            }
    };

    boolean boInstallNewKey = oU.hasKey( "KEYUPDATE" );
    String haveResponse = oC.getS( "KEY_status");
    String responseMessage = oC.getS( "KEY_message");
    String mode = oC.getS( "KEY_mode" );
    oC.putS( "KEY_status", "" );

%>

<script>

var page_agaw_status = true;
//var progressBar;
var haveResponse = "<%=haveResponse%>";
var responseMessage = "<%= responseMessage %>";
var mode = "<%= mode %>";


function onLoadApplicativo() {
  // transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";
}
</script>

<div class="qm-form-body L-column L-gap-24">
    <h1>Agent Awareness: System status</h1>
    <div class="uk-margin uk-text-center"><%= oH.button( "Update now", true, "", "qm_agaw_admin", "" ) %></div>

<%
    T = new SmartTable( "x", oC.getLt( "AGAW_ltStatus" ) );
    T.setDecoder( oDec );
    //T.addSortableColumn( "ID", 0, "50px" , SmartTable.SORT_TEXT_CI );
    T.addSortableColumn( "Status",     1, "50px", new decoderDecor( oDec, "agaw_status"), SmartTable.SORT_TEXT_CI );
    T.addSortableColumn( "Queue",      4, "50px", new queueNameDecor( oC.getLt( "DATI_code" ) ), SmartTable.SORT_TEXT_CI );
    T.addSortableColumn( "Start",      2, "50px", new reformatDateDecor( reformatDateDecor.D_SHORT, U.DATA_MYSQL), SmartTable.SORT_HTML_CODE );
    T.addSortableColumn( "End",        3, "50px", new reformatDateDecor( reformatDateDecor.D_SHORT, U.DATA_MYSQL), SmartTable.SORT_TEXT_CI );
    T.addSortableColumn( "Loader",     7, "50px", SmartTable.SORT_TEXT_CI );
    T.addSortableColumn( "Query ms",   9, "50px", SmartTable.SORT_NUMBER);
    T.addSortableColumn( "Insert ms", 10, "50px", SmartTable.SORT_NUMBER);
    T.addSortableColumn( "Calls",      6, "50px", SmartTable.SORT_NUMBER );
    T.addSortableColumn( "Agents",     5, "50px", SmartTable.SORT_NUMBER);
    T.addSortableColumn( "Details",    0, "50px", new buttonDetailDecor( oH ), SmartTable.SORT_NONE );
    T.withTableClass( "qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand" );
    out.println(T.render());
%>


  <h2>System status</h2>
  <div class="qm-form-grid-2 uk-child-width-1-2@s" uk-grid>
    <div>
<%
    T = new SmartTable( "x", oC.getLt( "AGAW_ltSysRows" ) );
    T.addSortableColumn( "&nbsp;",       0, "350px", SmartTable.SORT_NONE);
    T.addSortableColumn( "Entries",      1 , "50px", SmartTable.SORT_NONE);
    T.withTableClass( "qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand" );
    out.println(T.render());
%>
    </div>
    <!-- graph -->
    <div> <%= oC.getS( "AGAW_pie" ) %></div>
  </div>

  <div class="L-row uk-flex-between">
    <%= oH.button( "Manual table maintenance", true, "", "qm_agaw_optimize", "AGC,OAG" ) %>
    <div class="installNewKey"><%= oH.buttonScript( "Install new key", boInstallNewKey, "", "" ) %></div>
    <div class="restartAgaw"><%= oH.buttonScript( "Restart AGAW runner", boInstallNewKey, "", "" ) %></div>
  </div>



<!-- This is the modal -->
<div id="dialog" uk-modal title="<%= oDec.k("keyinstall_popup_title_agaw") %>" >
  <div class="uk-modal-dialog uk-modal-body">
      <h2 class="uk-modal-title"><%= oDec.k("keyinstall_popup_title_agaw") %></h2>
      <button class="uk-modal-close-default" type="button" uk-close></button>

      <div class="uk-margin">
        <div id="keyArea">
            <p class="uk-text-center">
            <%= oDec.k("keyinstall_popup_descr") %>:
            <br>

            <%= oH.textArea( "KEY_value_notinform",  true, "", 1000 ) %>
            <div class="uk-text-center uk-margin">
              <INPUT TYPE='submit' CLASS='actButton submitNewKey' VALUE="<%= oDec.k("pgag_popup_run") + " &raquo; "%>" >
            </div>
        </div>

        <div id="dialog_ok" class="uk-margin">
          <progress id="progressbar" class="uk-progress" value="0" max="100"></progress>
          <div id="progress100">
            <img src="<%= stWebHere %>/img/icons_silk/accept.png" class="silk">
            <%= oDec.k("keyinstall_installed_ok_agaw") %>
          </div>
        </div>

        <div id="dialog_ko" class="uk-margin">terra
          <img src="<%= stWebHere %>/img/icons_silk/cancel.png" class="silk">
          <%= responseMessage %>
        </div>

      </div>
<%--
      <div class="uk-modal-footer uk-text-right">
        <button class="uk-button uk-button-default uk-modal-close" type="button">Cancel</button>
        <button class="uk-button uk-button-primary uk-modal-close qm-button-ok" type="button" >Ok</button>
      </div>
--%>
  </div>
</div>


<%--
      <div id="dialog" title="<%= oDec.k("keyinstall_popup_title_agaw") %>" style="display:none;">
        <div id="keyArea">
            <p class="uk-text-center">
            <%= oDec.k("keyinstall_popup_descr") %>:
            <br>

            <%= oH.textArea( "KEY_value_notinform",  true, "", 1000 ) %>
            <br>
            <INPUT TYPE='submit' CLASS='actButton' VALUE="<%= oDec.k("pgag_popup_run") + " &raquo; "%>"
                   onClick="submitNewKey()">
        </div>
            <br>
    </div>






<!-- dialog ok -->
<!-- This is the new modal -->
<div id="dialog_ok" uk-modal>
    <div class="uk-modal-dialog uk-modal-body">
        <h2 class="uk-modal-title"></h2>
        <button class="uk-modal-close-default" type="button" uk-close></button>

        <div class="uk-margin">
          <progress id="progressbar" class="uk-progress" value="0" max="100"></progress>
          <div id="progress100">
            <img src="<%= stWebHere %>/img/icons_silk/accept.png" class="silk">
            <%= oDec.k("keyinstall_installed_ok_agaw") %>
          </div>
        </div>

        <div class="uk-modal-footer uk-text-right">
          <button class="uk-button uk-button-primary qm-button-ok" autofocus="" >Ok</button>
        </div>
    </div>
</div>


  <div style="color: green; display: none; text-align: center;" id="dialog_ok">
      <div id="progressbar"></div>
      <div id="progress100">
        <img src="<%= stWebHere %>/img/icons_silk/accept.png" class="silk">
        <%= oDec.k("keyinstall_installed_ok_agaw") %>
      </div>
  </div>




<!-- dialog ko -->
<!-- This is the new modal -->
<div id="dialog_ko" uk-modal>
    <div class="uk-modal-dialog uk-modal-body">
        <h2 class="uk-modal-title"></h2>
        <button class="uk-modal-close-default" type="button" uk-close></button>

        <div class="uk-margin">
          <img src="<%= stWebHere %>/img/icons_silk/cancel.png" class="silk">
          <%= responseMessage %>
        </div>

        <div class="uk-modal-footer uk-text-right">
          <button class="uk-button uk-button-default uk-modal-close" type="button">Cancel</button>
          <button class="uk-button uk-button-primary qm-button-ok" autofocus="" >Ok</button>
        </div>
    </div>
</div>

<div style="color: red; display: none; text-align: center;" id="dialog_ko">
    <img src="<%= stWebHere %>/img/icons_silk/cancel.png" class="silk">
    <%= responseMessage %>
</div>


--%>






  <input type="hidden" name="KEY_value" id="KEY_value" value="" />
</div>
<%@ include file="/includes/00_page_footer.jspf" %>

<%
// $Log: agaw_status.jsp,v $
// Revision 1.5  2015/09/28 08:41:09  marcos
// jsp/jspf refactoring.
//
// Revision 1.4  2012/04/04 11:03:34  lenz-mobile
// #1600 - installazione licenza e restart AGAW
//
// Revision 1.3  2011/11/24 17:16:44  marcos
// #1008: Link diretto a License page
//
// Revision 1.2  2008/09/29 14:32:51  lenz
// --=-   M e r g e   I M M 6   -=--
//
// Revision 1.1.2.5  2008/09/05 14:01:11  lenz
// Grafici a torta di Google in AGAW.
//
// Revision 1.1.2.4  2008/06/25 17:10:21  lenz-mobile
// Bug #383, #334: Le pagine admin AGAW hanno un formato che ha senso.
//
// Revision 1.1.2.3  2008/03/06 18:26:01  lenz
// Bug #275 - ottimizzazione tabelle
//
// Revision 1.1.2.2  2007/12/30 17:01:01  lenz
// Alcuni dati mancanti.
//
// Revision 1.1.2.1  2007/12/14 19:56:27  lenz-mobile
// IMM&: Admin
//
//
%>
