<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.*" %>
<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.realtime.agawAlarmDecor" %>


<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );
%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes
    //oDec.load( "ricerchePubbliche", "ricerchePubbliche.txt", 0, 1 );
    oDec.load( "agaw_status", "agaw_status.txt", 0, 1 );
    oDec.load( "agaw_logon",  "agaw_logon.txt",  0, 1 );

    SmartTable T;

%>

<script defer>
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";
}

</script>


<center>

    <h1>Agent Awareness: Run detail</h1>

    <%= oH.button( "Back", true, "", "qm_agaw_admin", "" ) %>
<p>

<%
/**
    SELECT run_status, tst_start, queue, n_agents, n_calls_taken, pid_runner, cod_runner,
     query_ms, insert_ms, q_n_wait, q_max_wait_sec, q_acl, q_sph, q_cph,
     id_run, tst_complete, n_calls_lost, n_calls_ongoing,
     q_n_wait_alarm, q_max_wait_sec_alarm, q_acl_alarm, q_sph_alarm, q_cph_alarm,
     q_qcph, q_qcph_alarm,
     q_qconv_p, q_qconv_p_alarm, q_conv_p, q_conv_p_alarm,
     q_wrap, q_wrap_alarm, q_avgwait, q_avgwait_alarm
    FROM agaw_runs  WHERE id_run = '3884'

lt: --- Inizio Dump LTable:
lt: (0,0): 'C'
lt: (0,1): '2008-04-21 18:25:04'
lt: (0,2): 'queue-dps'
lt: (0,3): 2 i
lt: (0,4): 6 i
lt: (0,5): '0'
lt: (0,6): ''
lt: (0,7): 1406 i
lt: (0,8): 328 i
lt: (0,9): 0 i
lt: (0,10): 0 i
lt: (0,11): 70 i
lt: (0,12): '0.167'
lt: (0,13): '0.500'
lt: (0,14): 3884 i
lt: (0,15): '2008-04-21 18:25:06'
lt: (0,16): 0 i
lt: (0,17): 0 i
lt: (0,18): 'n'
lt: (0,19): 'n'
lt: (0,20): 'n'
lt: (0,21): 'n'
lt: (0,22): 'n'
lt: (0,23): '0.000'
lt: (0,24): 'n'
q_qconv_p, q_qconv_p_alarm, q_conv_p, q_conv_p_alarm,
lt: (0,25): '0.000'
lt: (0,26): 'n'
lt: (0,27): '0.000'
lt: (0,28): 'n'
q_wrap, q_wrap_alarm, q_avgwait, q_avgwait_alarm
lt: (0,29): 0 i
lt: (0,30): 'n'
lt: (0,31): 0 i
lt: (0,32): 'n'
lt: --- Fine Dump LTable
**/
    T = new SmartTable( "x", oC.getLt( "AGAW_det_ltRun" ) );
    T.setDecoder( oDec );

    T.addSortableColumn( "Run ID",    14, "70", SmartTable.SORT_TEXT_CI );
    T.addSortableColumn( "Status",     0, "100", new decoderDecor( oDec, "agaw_status"), SmartTable.SORT_TEXT_CI );
    T.addSortableColumn( "Queue",      2, "150", new queueNameDecor( oC.getLt( "DATI_code" ) ), SmartTable.SORT_TEXT_CI );
    T.addSortableColumn( "Start",      1, "150", new reformatDateDecor( reformatDateDecor.D_SHORT, U.DATA_MYSQL), SmartTable.SORT_HTML_CODE );
    T.addSortableColumn( "End",       15, "150", new reformatDateDecor( reformatDateDecor.D_SHORT, U.DATA_MYSQL), SmartTable.SORT_TEXT_CI );
    T.addSortableColumn( "Loader",     5, "50", SmartTable.SORT_TEXT_CI );
    T.addSortableColumn( "Query (ms)",  7, "80", SmartTable.SORT_NUMBER);
    T.addSortableColumn( "Insert (ms)", 8, "80", SmartTable.SORT_NUMBER);

    T.withTableClass( "qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand" );
    out.println(T.render());
    out.println( "<p>" );

    T = new SmartTable( "x", oC.getLt( "AGAW_det_ltRun" ) );
    T.setDecoder( oDec );
        //T.addSortableColumn( "ID", 0, "50px" , SmartTable.SORT_TEXT_CI );
    T.addSortableColumn( "N.Calls OK",    4, "90", SmartTable.SORT_TEXT_CI );
    T.addSortableColumn( "N.Calls Lost",  16, "90", SmartTable.SORT_TEXT_CI );
    T.addSortableColumn( "N.Calls On",    17, "90", SmartTable.SORT_TEXT_CI );

    T.addSortableColumn( "N.Agents",    3, "90", SmartTable.SORT_TEXT_CI );
    T.addSortableColumn( "N Wait",      9, "90", new agawAlarmDecor( agawAlarmDecor.TIPO_NUM_INT_DX, 18), SmartTable.SORT_HTML_CODE );
    //T.addSortableColumn( "&nbsp;",     18, "10", SmartTable.SORT_NONE );
    T.addSortableColumn( "Max wait",   10, "90", new agawAlarmDecor( agawAlarmDecor.TIPO_MM_SS_DX, 19), SmartTable.SORT_TEXT_CI );
    T.addSortableColumn( "Avg wait",     31, "50", new agawAlarmDecor( agawAlarmDecor.TIPO_MM_SS_DX, 32), SmartTable.SORT_NUM_TEXT);
    //T.addSortableColumn( "&nbsp;",     19, "10", SmartTable.SORT_NONE );
    T.addSortableColumn( "ACL",        11, "50", new agawAlarmDecor( agawAlarmDecor.TIPO_MM_SS_DX, 20), SmartTable.SORT_HTML_CODE );
    T.addSortableColumn( "Avg wrap",     29, "50", new agawAlarmDecor( agawAlarmDecor.TIPO_MM_SS_DX, 30), SmartTable.SORT_NUM_TEXT);

    //T.addSortableColumn( "&nbsp;",     20, "10", SmartTable.SORT_NONE );
    T.addSortableColumn( "SPH",        12, "50", new agawAlarmDecor( agawAlarmDecor.TIPO_NUM_FLOAT_DX, 21), SmartTable.SORT_NUM_TEXT );
    //T.addSortableColumn( "&nbsp;",     21, "10", SmartTable.SORT_NONE );
    T.addSortableColumn( "QCPH",        23, "50", new agawAlarmDecor( agawAlarmDecor.TIPO_NUM_FLOAT_DX, 24), SmartTable.SORT_NUM_TEXT);
    //T.addSortableColumn( "&nbsp;",     22, "10", SmartTable.SORT_NONE );
    T.addSortableColumn( "CPH",        13, "50", new agawAlarmDecor( agawAlarmDecor.TIPO_NUM_FLOAT_DX, 22), SmartTable.SORT_NUM_TEXT);

    T.addSortableColumn( "QCONV%",       25, "50", new agawAlarmDecor( agawAlarmDecor.TIPO_PERCENT, 26), SmartTable.SORT_NUM_TEXT);
    T.addSortableColumn( "CONV%",        27, "50", new agawAlarmDecor( agawAlarmDecor.TIPO_PERCENT, 28), SmartTable.SORT_NUM_TEXT);
    T.withTableClass( "qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand" );

    out.println(T.render());
%>

<h2>Agent activity</h2>

<%
/*
    SELECT agente, acl, acl_alarm, sph, sph_alarm, cph, cph_alarm,
       n_calls, n_calls_alarm, logon_status, last_logon, logon_pcode, qcph, qcph_alarm,
       qconv_p, qconv_p_alarm, conv_p, conv_p_alarm, wrap, wrap_alarm
    FROM agaw_dati  WHERE id_run =  '3884' ORDER BY agente ASC
    lt: --- Inizio Dump LTable:
    lt: (0,0): 'agent/101'
    lt: (0,1): 70 i
    lt: (0,2): 'n'
    lt: (0,3): '0.167'
    lt: (0,4): 'n'
    lt: (0,5): '0.500'
    lt: (0,6): 'n'
    lt: (0,7): 6 i
    lt: (0,8): 'n'
    lt: (0,9): 'off'
    lt: (0,10): '1970-01-01 01:00:00'
    lt: (0,11): ''
    lt: (0,12): '0.000'
    lt: (0,13): 'n'
//    qconv_p, qconv_p_alarm, conv_p, conv_p_alarm, wrap, wrap_alarm
    lt: (0,14): '0.000'
    lt: (0,15): 'n'
    lt: (0,16): '0.000'
    lt: (0,17): 'n'
    lt: (0,18): 0 i
    lt: (0,19): 'n'
*/

    T = new SmartTable( "x", oC.getLt( "AGAW_det_ltAgenti" ) );
    T.setDecoder( oDec );
    T.addSortableColumn( "Agent",     0, "100", new agentiDecor( oC.getLt("DATI_agenti") ),   SmartTable.SORT_TEXT_CI );
    T.addSortableColumn( "ACL",       1, "50", new agawAlarmDecor( agawAlarmDecor.TIPO_MM_SS_DX, 2), SmartTable.SORT_NUM_TEXT);
    T.addSortableColumn( "Avg Wrap",     18, "50", new agawAlarmDecor( agawAlarmDecor.TIPO_MM_SS_DX, 19), SmartTable.SORT_NUM_TEXT);
    //T.addSortableColumn( "&nbsp;",    2, "20", SmartTable.SORT_HTML_CODE);
    T.addSortableColumn( "SPH",       3, "50", new agawAlarmDecor( agawAlarmDecor.TIPO_NUM_FLOAT_DX, 4), SmartTable.SORT_NUM_TEXT);
    //T.addSortableColumn( "&nbsp;",    4, "20", SmartTable.SORT_HTML_CODE);
    T.addSortableColumn( "QCPH",      12, "50", new agawAlarmDecor( agawAlarmDecor.TIPO_NUM_FLOAT_DX, 13), SmartTable.SORT_NUM_TEXT );

    T.addSortableColumn( "CPH",       5, "50", new agawAlarmDecor( agawAlarmDecor.TIPO_NUM_FLOAT_DX, 6), SmartTable.SORT_NUM_TEXT );

    T.addSortableColumn( "QCONV%",       14, "50", new agawAlarmDecor( agawAlarmDecor.TIPO_PERCENT, 15), SmartTable.SORT_NUM_TEXT);
    T.addSortableColumn( "CONV%",        16, "50", new agawAlarmDecor( agawAlarmDecor.TIPO_PERCENT, 17), SmartTable.SORT_NUM_TEXT);

    //T.addSortableColumn( "&nbsp;",    6, "20", SmartTable.SORT_HTML_CODE);
    T.addSortableColumn( "N. calls",  7, "50", new agawAlarmDecor( agawAlarmDecor.TIPO_NUM_INT_DX, 8), SmartTable.SORT_NUM_TEXT);
    //T.addSortableColumn( "&nbsp;",    8, "20", SmartTable.SORT_HTML_CODE);
    T.addSortableColumn( "Logon",     9, "70", new decoderDecor( oDec, "agaw_logon"), SmartTable.SORT_TEXT_CI );
    T.addSortableColumn( "Last",     10, "150", new reformatDateDecor( reformatDateDecor.D_SHORT, U.DATA_MYSQL),  SmartTable.SORT_TEXT_CI );
    T.addSortableColumn( "P.Code",     11, "70", SmartTable.SORT_TEXT_CI );
    T.withTableClass( "qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand" );
    out.println(T.render());
%>


</center>

<%@ include file="/includes/00_page_footer.jspf" %>

<%
// $Log: agaw_status_detail.jsp,v $
// Revision 1.4  2015/09/28 08:41:09  marcos
// jsp/jspf refactoring.
//
// Revision 1.3  2011/11/24 17:16:44  marcos
// #1008: Link diretto a License page
//
// Revision 1.2  2008/09/29 14:32:51  lenz
// --=-   M e r g e   I M M 6   -=--
//
// Revision 1.1.2.9  2008/08/19 14:37:20  lenz-mobile
// Campi invertiti.
//
// Revision 1.1.2.8  2008/08/17 08:13:50  lenz-mobile
// Bug #436: nuovi campi Vance
//
// Revision 1.1.2.7  2008/08/16 10:17:01  lenz-mobile
// Bug#428: Ho messo un po' a gli ordinamenti dei numeri nella tabella "agenti".
//
// Revision 1.1.2.6  2008/06/25 17:10:21  lenz-mobile
// Bug #383, #334: Le pagine admin AGAW hanno un formato che ha senso.
//
// Revision 1.1.2.5  2008/04/21 16:15:01  lenz
// Correzioni cosmetiche.
//
// Revision 1.1.2.4  2008/01/08 14:01:42  lenz-mobile
// Mostra celle gialle e rosse.
//
// Revision 1.1.2.3  2007/12/30 17:00:54  lenz
// Alcuni dati mancanti.
//
// Revision 1.1.2.2  2007/12/27 16:24:08  lenz-mobile
// Versione corretta.
//
// Revision 1.1.2.1  2007/12/14 19:56:27  lenz-mobile
// IMM&: Admin
//
//
%>
