<%@ page language="java" %>
<%@page pageEncoding="UTF-8"%>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.app.queuemetrics.*" %>
<%@ page import="it.loway.tpf.common.containers.LDecoder" %>
<%@ page import="it.loway.app.queuemetrics.html.WizardNavigationBar" %>
<%@ page import="it.loway.app.queuemetrics.jdbcTester.dbtestWizard" %>

<%@ include file="/includes/00_page_header_context.jspf" %>

<%
    // $Id: dbtestWizard2.jsp,v 1.2 2015/09/28 08:41:16 marcos Exp $

    // -- Waiting for a user database backup during the database updater wizard --

    // Start the Wizard Navigation Bar
    oDec.load( "dbtest_wznavbar", "dbtest_wzNavBar.txt", 0, 1 );
    WizardNavigationBar wzNavBar = new WizardNavigationBar(oDec, "dbtest_wznavbar");

    // Define next step
    int nextHopID = dbtestWizard.STEP_UPDATE;
    String nextHop = "dbtest_Wizard.do?StepID_" + Integer.toString(nextHopID);
%>

<%@ include file="dbupdateHeader.jsp" %>

    <div id="bCorpo">
        <h1>JDBC connection tester</h1>
    </div>

    <div id="bCorpo" align="center">
        <%=wzNavBar.RenderHTML(1)%><p/>
        <hr>
    </div>

    <div id="bCorpo">
      <div class="uk-text-danger">Make sure you have a backup of your current database
        in case anything goes wrong during the update process.

        <p>When you are ready to start with the database update and recovery process, click on the button below.
      </div>
    </div>

    <div id="bCorpo">
        <form>
          <div class="uk-text-center">
            <input onclick="window.location='<%=nextHop%>'" type=button value="Next >">
          </div>
        </form>
    </div>

<%@ include file="dbupdateFooter.jsp" %>

<%
    // $Log: dbtestWizard2.jsp,v $
    // Revision 1.2  2015/09/28 08:41:16  marcos
    // jsp/jspf refactoring.
    //
    // Revision 1.1  2009/03/03 15:38:32  marcos
    // #375: dbTest refactor
    //
%>
