<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.app.queuemetrics.*" %>
<%@ page import="it.loway.tpf.common.containers.LDecoder" %>
<%@ page import="it.loway.app.queuemetrics.html.WizardNavigationBar" %>
<%@ page import="it.loway.app.queuemetrics.jdbcTester.jdbcTester" %>
<%@ page import="it.loway.app.queuemetrics.jdbcTester.dbtestWizard" %>
<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.*" %>
<%@page contentType="application/json;charset=UTF-8"%>
<%@page pageEncoding="UTF-8"%>

<%@ include file="/includes/00_page_header_context.jspf" %>

<%
    LTable ltQueryA = oC.getLt("DBTEST_qry_A");
    LTable ltQueryB = oC.getLt("DBTEST_qry_B");

    SmartTable T1 = new SmartTable("x1", ltQueryA );
    T1.setDecoder(oDec);
    T1.addColumn("When", 0, "100", new timestampUnixDecor());
    T1.addColumn("Tst", 0, "50");
    T1.addColumn("Uid",  1, "50");
    T1.addColumn("Q",  2, "50");
    T1.addColumn("Agent",  3, "50");
    T1.addColumn("Verb",  4, "50");
    T1.addColumn("#1",  5, "50");
    T1.addColumn("#2",  6, "50");
    T1.addColumn("#3",  7, "50");
    T1.addColumn("#4",  8, "50");
    T1.addColumn("#5",  9, "50");
    T1.withTableClass( "inspector-table qm-table uk-table uk-table-small uk-width-expand qm-table-withborder" );

    SmartTable T2 = new SmartTable("x2", ltQueryB );
    T2.setDecoder(oDec);
    T2.addColumn("When", 0, "100", new timestampUnixDecor());
    T2.addColumn("Tst", 0, "50");
    T2.addColumn("Uid",  1, "50");
    T2.addColumn("Q",  2, "50");
    T2.addColumn("Agent",  3, "50");
    T2.addColumn("Verb",  4, "50");
    T2.addColumn("#1",  5, "50");
    T2.addColumn("#2",  6, "50");
    T2.addColumn("#3",  7, "50");
    T2.addColumn("#4",  8, "50");
    T2.addColumn("#5",  9, "50");
    T2.withTableClass( "inspector-table qm-table uk-table uk-table-small uk-width-expand qm-table-withborder" );

    SmartTable T3 = new SmartTable("x3", oC.getLt("DBTEST_qry_general") );
    T3.setDecoder(oDec);
    T3.addColumn("Partition", 0, "250");
    T3.addColumn("N.Records", 1, "200");
    T3.addColumn("Time delta", 3, "200");
    T3.withTableClass( "qm-table uk-table uk-table-small uk-width-expand qm-table-withborder" );

    String st1 = T1.render();
    String st2 = T2.render();
    String st3 = T3.render();

    if (ltQueryB.isEmpty()) {
        st2 = "";
    }

%>
{
    "tab_A": <%= JSON.serialize(st1) %>,
    "tab_B":  <%= JSON.serialize(st2) %>,
    "tab_part": <%= JSON.serialize(st3) %>,

    "imgGoog": <%= JSON.serialize( oC.getS( "DBTEST_qry_img" ) ) %>,
    "dataOra": "<%= new Date().toString() %>"
}


<%
    // $Log: dbtest_ajax.jsp,v $
    // Revision 1.4  2015/09/28 08:41:15  marcos
    // jsp/jspf refactoring.
    //
    // Revision 1.3  2015/01/15 15:34:33  marcos
    // #2560:  All defaults for UTF-8
    //
    // Revision 1.2  2011/03/15 12:17:18  lenz-mobile
    // #1278 - better layout for DBTEST
    //
    // Revision 1.1  2010/11/06 16:32:17  lenz-mobile
    // Bug #1188 - DB Inspector
    //
    //
%>
