<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    U.startTransactionIfNoContext( request, response, "qm_start", "" );

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes
    //oDec.load( "ricerchePubbliche", "ricerchePubbliche.txt", 0, 1 );

     String stStyle = "";

     //Valori possibili "SHOW", "NO" o "YES"
     String stStatus = oC.getS( "APPROVELIC_status" ); 
%>

<script>
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "qm_autentica";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";
//        setFocus( "AUTH_logon" );
}
</script>


<div class="qm-form-body uk-background-muted uk-margin-large-top">
  <h1 class="uk-margin-bottom"><%=CS.QUEUEMETRICS%> license agreement</h1>
  <p>
    This agreement applies to version <%= KA.APPL_VERSIONE %> of <%=CS.QUEUEMETRICS%>
  <p>

  <div id="licAgreement">
    <%@ include file="licence_text.jsp" %>
  </div>

  <% if ( stStatus.equalsIgnoreCase("SHOW") ) { %>
    <%= oH.iconButton( "<span uk-icon='icon: chevron-left; ratio: 1'></span>"+oDec.k("edit_record_back") , true, "", "qm_licence", "", "Q-button-tertiary" ) %>
  <% } else

  if ( stStatus.equalsIgnoreCase("YES") ) { %>
    <%= oH.button( "Continue" , true, "", "qm_start", "" ) %>
  <% } else

  if ( stStatus.equalsIgnoreCase("NO") ) { %>
    <div class="L-error">Please close this web application and disinstall <%=CS.QUEUEMETRICS%> now.</div>
  <% } else { %>

  <div class="L-row L-gap-8">
    <%= oH.button( "Yes, I agree with the terms and conditions specified" , true, "", "qm_licence_agree", "YES" ) %>
    <%= oH.button( "No, I do not agree" , true, "", "qm_licence_agree", "NO" ) %>
  </div>

  <% }; %>
</div>


<%@ include file="/includes/00_page_footer.jspf" %>

<%
// $Log: licence_agreement.jsp,v $
// Revision 1.5  2015/09/28 08:41:05  marcos
// jsp/jspf refactoring.
//
// Revision 1.4  2014/05/19 09:46:30  lenz
// Merge FRANKIE
//
// Revision 1.3.8.1  2014/05/13 13:33:42  mirkox
// Nuova Grafica
//
// Revision 1.3  2011/11/25 09:02:16  marcos
// #1008: Link diretto a License page
//
// Revision 1.2  2011/11/24 17:16:44  marcos
// #1008: Link diretto a License page
//
// Revision 1.1  2008/05/24 10:19:55  lenz
// Bug #374: Approvazione EULA e/o check DB.
//
//
//
%>
