<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="it.loway.app.queuemetrics.caricamento.DataObjects.QAGradingDO" %>
<%@ page import="it.loway.app.queuemetrics.DO.SearchQuery"%>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes
    //oDec.load( "ricerchePubbliche", "ricerchePubbliche.txt", 0, 1 );

    String stWidth = "";
    String stControlsWidth = "";
    String stNumbersWidth = "";

    boolean moveActionsEnabled = false;
    String stSendCBTTransaction = "qm_qa_grader_sendcbt";
    String stSendMeetingTransaction = "qm_qa_grader_sendmeeting";

    // Instanzia Data  Object appropriato
    QAGradingDO doQAG = new QAGradingDO();
    LProperties props = FA.props( application );
    doQAG.initJsp( oC, oDec, oU, props, stWebHere );

    SmartTable T = null;
%>

<script>
var isQaGraderPage = true;
var stSendCBTTransaction = "<%=stSendCBTTransaction %>";
var stSendMeetingTransaction = "<%=stSendMeetingTransaction%>";
var randomString = "<%= U.getRandomString(9) %>";

function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";
}



//this is totally pointless


/*

function openPopUpQAEvalURL( stUrl ) {
    unique = new Date().getTime();
    stUrl = "qm_qa_popup.do?" + stUrl +  "&cachebreak=<%= U.getRandomString(9) %>" + unique;
    eval("page" + unique + " = window.open( stUrl, 'QA', 'toolbar=0,scrollbars=1,location=0,statusbar=0,menubar=0,resizable=1,width=700,height=850,left = 200,top = 50');");
}



*/


// *   QAE_formId
// *   QAE_astclid
// *   QAE_agent      \
// *   QAE_call_tst   |--- Questi li passa il chiamante se devo completare
// *   QAE_queue      |    il form
// *   QAE_stcode     |
// *   QAE_caller     /

/*
function openPopUpQAByIdForInput( stFormId, stQMuId, stAgent, stCallTst, stQueue, stCaller, stCode  ) {
    openPopUpQAEvalURL( "QAE_formId="    + escape(stFormId)
                        + "&QAE_astclid="  + escape(stQMuId)
                        + "&QAE_agent="    + escape(stAgent)
                        + "&QAE_call_tst=" + escape(stCallTst)
                        + "&QAE_queue="    + escape(stQueue)
                        + "&QAE_caller="   + escape(stCaller)
                        + "&QAE_stcode="   + escape(stCode)
    );
}

function openPopUpQAByIdForView( stQADataId, stCode ) {
    openPopUpQAEvalURL( "QAE_loadById=" + stQADataId + "&QAE_stcode=" + escape(stCode) );
}
*/



// La funzione usata è in common.js - mentre questa viene usata dal
// decoratore QAShowFormDataDecor
//

function openPopUpQaReactGrader( url ) {
    openFullPagePopUp( url );
}



</script>

<div class="qm-form-body L-padding-32">
  <h1><%= oDec.k("qa_reports") %>: <%= oDec.k("qa_grading_search_form") %></h1>
  <hr>

<!-- grid start -->
  <div class="qm-form-grid-2" uk-grid>
    <div class="qm-table qm-table-container qm-table-qagrader uk-margin-bottom">
    <%
      T = doQAG.dispatch( QAGradingDO.HEADER, "" );
      //T.withCaption( oDec.k("qa_reports") +" : "+  oDec.k("qa_grading_search_form") );
      T.withTableClass( "qm-table uk-table uk-table-small uk-width-expand" );
      out.println(T.render());
    %>
    </div>
  </div>

  <div class="LCard L-padding-24 uk-margin-medium">
    <h3 class="L-justify-flexstart"><%= oDec.k("qa_grading_suggested_calls") %></h3>
    <fieldset class="qm-fieldset L-column L-gap-16">
      <div class="L-column L-gap-24">
        <%
          T = doQAG.dispatch( QAGradingDO.PROPOSALS, "" );
          //T.withCaption( oDec.k("qa_grading_suggested_calls"));
          T.withTableClass( "qm-table uk-table uk-table-small uk-width-expand qm-table-withborder" );
          out.println(T.render());
        %>

        <div class="L-row L-justify-spacebetween">
          <%= doQAG.exportButtons( oDec,  QAGradingDO.THIS_DO, QAGradingDO.PROPOSALS )  %>
          
          <div class="L-row L-gap-16 L-justify-flexend">
            <%= oH.button( oDec.k("qa_grading_run_again"), oU.hasKey("QA_GRADER"), stWidth, "qm_qa_grader_compute", "" ) %>
            <%= oH.button( oDec.k("qa_grading_change_criteria"), oU.hasKey("QA_GRADER"), stWidth, "qm_qa_grader_search", "" ) %>
          </div>
        </div>
      </div>
    </fieldset>
  </div>

  <fieldset class="qm-fieldset">
    <h3><%= oDec.k("qa_gradings_stats") %></h3>
    <div class="qm-form-grid-2" uk-grid>
      <div class="qm-table-container qm-grader-table">
        <%
        T = doQAG.dispatch( QAGradingDO.RESULTS, "" );
        //T.withCaption( oDec.k("qa_gradings_stats") );
        T.withTableClass( "qm-table uk-table uk-table-small uk-width-expand qm-table-withborder" );
        out.println(T.render());
        %>
        <%= doQAG.exportButtons( oDec,  QAGradingDO.THIS_DO, QAGradingDO.RESULTS )  %>
      </div>
      
      <div class="qa-sendtasks">
        <%@ include file="../qa/qaSendTasksForCall.jsp" %>
      </div>
    </div>
  </fieldset>

<!-- grid end -->
</div>

<%@ include file="/WEB-INF/jspf/fullPagePopup.jspf" %>

<%@ include file="/includes/00_page_footer.jspf" %>

<%
// $Log: qaGrader.jsp,v $
// Revision 1.10  2015/09/28 08:41:18  marcos
// jsp/jspf refactoring.
//
// Revision 1.9  2015/05/08 10:58:00  marcos
// Merge 24 on trunk
//
// Revision 1.8.2.1  2015/03/11 14:34:32  marcos
// #2471: QA: tracking calls in task as generic object
//
// Revision 1.8  2014/07/30 10:03:35  marcos
// #2425: Exporting a payroll report in XLS (and other formats) causes an erro
//
// Revision 1.7  2013/10/29 13:02:14  lenz-mobile
// #1913 - Custom report pages
//
// Revision 1.6  2012/05/09 12:39:50  marcos
// BasicDO is now always initialized with a valid LProperties.
//
// Revision 1.5  2011/12/19 09:48:04  lenz-mobile
// #1516 - Bottoni di export
//
// Revision 1.4  2011/11/24 17:16:44  marcos
// #1008: Link diretto a License page
//
// Revision 1.3  2011/03/09 11:38:30  marcos
// #1263: UniqueID incorrect in a cluster
//
// Revision 1.2  2010/01/12 17:11:54  marcos
// IMM11 branch merge on main trunk
//
// Revision 1.1.2.7  2009/08/26 09:32:34  marcos
// #812: Store the agent group and the call outcome code in the QA data fields.
//
// Revision 1.1.2.6  2009/07/01 08:51:16  marcos
// #745: escaping # characters in URLs
//
// Revision 1.1.2.5  2009/06/29 11:14:19  lenz-mobile
// Layout definitivo con le chiamate sopra
//
// Revision 1.1.2.4  2009/06/28 09:35:38  lenz-mobile
// JS corretto per caricamento input e caricamento Read-only
//
// Revision 1.1.2.3  2009/06/27 20:17:29  lenz-mobile
// Integrato JS per apertura popup forms.
//
// Revision 1.1.2.2  2009/06/10 10:45:49  lenz-mobile
// QA Grading - sviluppo pagina risultati
//
// Revision 1.1.2.1  2009/06/04 16:23:02  lenz-mobile
// QA grading
//
//
%>
