<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.debug.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="it.loway.app.queuemetrics.html.NoCache" %>
<%@ page import="it.loway.app.queuemetrics.*" %>
<%@ page import="it.loway.app.queuemetrics.caricamento.*" %>
<%@ page import="it.loway.app.queuemetrics.asterisk.logs.*" %>
<%@ page import="it.loway.app.queuemetrics.callListen.RTlisteners.PluggableRTListener" %>
<%@ page import="java.text.*" %>
<%@page contentType="text/html;charset=UTF-8"%>
<%@page pageEncoding="UTF-8"%>
<%@ include file="/includes/00_page_header_context.jspf" %>
<%

        // Determina in che stato sono
        // 0: nulla di fatto
        // 1: errore (da mostrare rosso)
        // 2: chiamata richiesta (da mostrare verde)
        // 3: Lancio di una URL esterna
        int    inStatoPopup = oC.getI( "POPUP_stato" );
        String stRespPopup  = oC.getS( "POPUP_resp" );
        String stPopupURL   = oC.getS( "POPUP_url" );

        // decide se ho una redirect - agisco subito
        String stOnLoad = "";
        if ( inStatoPopup == PluggableRTListener.POPUP_REDIRECT ) {
           stOnLoad="openNewPopUp();";
        }
        
        //String stFontColor = "";
        String stRespPopupCssClass = "";

        switch ( inStatoPopup ) {
            case PluggableRTListener.POPUP_ERRORE:
                //stFontColor = "red";
                stRespPopupCssClass ="uk-text-danger";
                break;

            case PluggableRTListener.POPUP_CONFERMA:
                //stFontColor = "green";
                stRespPopupCssClass = "uk-text-success";
                break;

            default:
                //stFontColor = "gray";
                break;

        }

%>
<html>
<head>

<meta http-equiv="Content-Type" content="text/html; charset=<%= K.ENCODING_UTF8 %>" />
<title><%= oDec.k("rt_pop_live_call_monitor") %></title>
<%
// NoCache.importCss( request, "/img/video.css", "screen,projection" )
%>
<%= NoCache.importJsTheme(request, oC, "/img/js-bundle/", "bundle-qmplain.js", "bundle-commons-react.js", "bundle-commons-all.js") %>
<%= NoCache.importCssTheme(request, oC, "/img/js-bundle/", "commons-all.css", "screen,projection" ) %>


<%--
var boTransazioneAttiva = false;

function startTransaction( stTransaction, stParameter ) {

	if ( stTransaction.length >  0 ) {

		boTransazioneAttiva = true;

		if ( window.startTransactionApplicativa) {
			startTransactionApplicativa( stTransaction, stParameter);
		}

		document.forms[0].<%= K.REQ_VERBO %>.value = stTransaction;
    document.forms[0].<%= K.REQ_PARAM %>.value = stParameter;
		document.forms[0].submit();
	}
}
--%>
<script>

function openNewPopUp( ) {
    stUrl = "<%=  oC.getS( "POPUP_url") %>";
    stWidth = "<%=  oC.getS( "POPUP_url_w") %>";
    stHeight = "<%=  oC.getS( "POPUP_url_h") %>";
    unique = new Date().getTime();
    if ( stUrl.length > 0 ) {
        eval("pagex" + unique + " = window.open( stUrl, 'x" + unique + "', 'toolbar=0,scrollbars=0,location=0,statusbar=0,menubar=0,resizable=0,width=" + stWidth + ",height=" + stHeight + ",left = 490,top = 200');");
    }
    window.close();
}

</script>

</head>
<body onload="<%= stOnLoad %>">
<style>
  html  {  margin :0; padding:0 }
</style>
<div class="uk-margin-bottom uk-margin-left uk-margin-right">

<FORM method="POST" action="<%= stWebHere %><%= K.TRANSACTION_CONTROLLER %>" encoding="<%= K.ENCODING_UTF8 %>">
<INPUT TYPE="hidden" name="<%= K.REQ_VERBO %>" value="qm_popup_audiomon">
<INPUT TYPE="hidden" name="<%= K.REQ_PARAM %>" value="callnow">

<h1 class="uk-margin-small-top	"><%= oDec.k("rt_pop_live_call_monitor") %></h1>
<% if ( inStatoPopup != PluggableRTListener.POPUP_ERRORE ) { %>
<div class="uk-margin"><%= oDec.k("rt_pop_please_enter_your_local_or_remote_extension") %></div>

<table border=0 class="ST">
<%= FA.getPopupRow( oDec.k("rt_pop_agent_code"), oC.getS( "POPUP_agent" ) ) %>
<%= FA.getPopupRow( oDec.k("rt_pop_agent_name"), oC.getS( "POPUP_agentName" ) ) %>
<%= FA.getPopupRow( oDec.k("rt_pop_agent_logon_extension"), oC.getS( "POPUP_agentLogExt" ) ) %>
<%= FA.getPopupRow( oDec.k("rt_pop_agent_extension"), oC.getS( "POPUP_agentExt" ) ) %>
<tr class='ST_TR0'>
<td>
  <b><%= oDec.k("rt_pop_your_extension") %></b>
</td>
<td>

<INPUT CLASS='Input'
   TYPE='textbox'
   NAME="POPUP_extension"
     ID="POPUP_extension"
   VALUE="<%= oC.getS( "POPUP_extension" ) %>"
   MAXLENGTH='15'
   >
</td></tr>

<tr class='ST_TR0'>
<td><b><%= oDec.k("rt_pop_spy_mode") %></b> </td><td>

<%= oH.combo( "POPUP_spyMode", true, "", oC.getLt( "POPUP_availableSpyActions" ), 0, 1, "" ) %>

</td></tr>

</table>

<% }; %>

<div class="uk-text-center uk-margin ">
  <INPUT TYPE='button'
      CLASS='actButton'
      <%= ( inStatoPopup != PluggableRTListener.POPUP_NORMALE ) ? "DISABLED" : "" %>
      VALUE="<%= oDec.k("rt_pop_monitor_now") %>"
      onClick="startTransaction('qm_popup_audiomon_phase2', 'callnow');" >

  <INPUT TYPE='button'
      CLASS='actButton'
      VALUE="<%= oDec.k("rt_pop_close") %>"
      onClick="window.close();" >
</div>

<div class="<%=stRespPopupCssClass%>"><%= stRespPopup %></div>

<%-- <FONT COLOR='<%= stFontColor %>'><%= stRespPopup %></FONT> --%>


</FORM>
</div>

</body>
<%
// $Log: popup_audiomon.jsp,v $
// Revision 1.9  2010/12/22 13:15:08  marcos
// #1192: Encoding popup agent's page
//
// Revision 1.8  2010/04/08 10:25:52  marcos
// #1039: Hotdesking: campo extension sbagliato a livello Asterisk
//
// Revision 1.7  2008/09/23 11:19:46  lenz
// Bug 462: Ascolto live con moduli pluggabili.
//
// Revision 1.6  2007/06/22 10:13:10  lenz
// Bug #150: sessione mancante e UTF8
//
// Revision 1.5  2007/06/15 22:11:39  lenz
// Bug #112: Risolto - se in Mozilla facevo invio, non faceva partire la transazione.
//
// Revision 1.4  2007/02/21 11:22:23  lenz
// Bug #1: UTF-8 encoding.
//
// Revision 1.3  2006/10/07 17:02:12  lenz
// Merge v1.3
//
// Revision 1.2.2.1  2006/09/16 16:36:33  lenz
// Full i18N
//
// Revision 1.2  2006/04/08 21:47:13  lenz-mobile
// Merge da branch IMM2.
//
// Revision 1.1.2.1  2006/01/21 16:11:39  lenz
// Ascolto della chiamata in corso.
//
//
//
%>
