<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.debug.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="it.loway.app.queuemetrics.*" %>
<%@ page import="it.loway.app.queuemetrics.caricamento.*" %>
<%@ page import="it.loway.app.queuemetrics.asterisk.logs.*" %>
<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.*" %>
<%@ page import="it.loway.app.queuemetrics.asterisk.logs.analyzers.calls.Stints" %>
<%@ page import="java.text.*" %>
<%@ page import="java.util.Map" %>
<%@page contentType="text/html;charset=UTF-8"%>
<%@page pageEncoding="UTF-8"%>
<%
        LContext oC = (LContext) session.getAttribute( K.SESSION_CONTESTO );
        if ( oC == null ) {           
           response.sendRedirect( "qm_start.do" );
           return;
        }

        LDecoder oDec = (LDecoder) session.getAttribute( K.SESSION_DECODER );
        HtmlGenerator oH = new HtmlGenerator( oC, oDec );
        String stWebHere = Web.getWebApp( request );

	// Dump del contesto
	// -----------------
	
	if ( K.SYS_DUMP_CONTESTO ) {
		out.println( "<!--  Dump del contesto " );
		//out.println( oC.dump() );
		out.println( "-->\n\n" );
	}


        // DECODERS
        oDec.load( "disconnect_ok_html", "disconnect_ok.txt", 0, 2 );  
        oDec.load( "disconnect_ko_html", "disconnect_ko.txt", 0, 2 );  

%>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<%= K.ENCODING_UTF8 %>" />
<title>Stint Detail</title>
<script src="<%= stWebHere %>/img/js/LTF-Transaction.js"></script>
<script src="<%= stWebHere %>/img/js/SmartTableFuncs.js"></script>
<style>
body, TD {
	BACKGROUND: #FFFFFF;
	COLOR: #333333;
	MARGIN: 0px;
	PADDING: 0px;
	SPACING: 0px;
        font-family: Verdana;
}

body {
    text-align: center;
}

.red {
	color: red;
}

.actButton {
	BACKGROUND: white;
	font-family: Verdana, Arial, Helvetica, sans-serif;  
	font-size: 12px; 
}


table.ST {
	background-color: white;
	border: 1px #000000 solid;
	border-collapse: collapse;
	border-spacing: 0px;
	align: center;        
}

.ST_TRH {
background-color: #99CCCC;
	border: 1px #000000 solid;
	font-family: Verdana;
	font-weight: bold;
	font-size: 12px;
	color: #404040;
	text-align: left;
}

.ST_TR0, .ST_TR1{
        border-bottom: 1px #6699CC dotted;
	text-align: left;
	font-weight: normal;
	font-size: 12px;
	color: #404040;
	background-color: #fafafa;
	padding-top: 4px;
	padding-bottom: 4px;
	padding-left: 8px;
	padding-right: 0px;
}


</style>
</head>
<body>
<%
class doubleDecoderDecor implements TpfCellDecoratorInterface {
        LDecoder obD = null;        
        
        public doubleDecoderDecor( LDecoder oDc) { 
            obD = oDc;             
        };

        public String decorate(LTable lt, int r, int c, String width) throws TechException {
            String stTesto = lt.getS(r, c );
            int rt = lt.getI(r, c+1 );

            String stDecoded = "";
            if ( rt == Stints.ROWTYPE_OK ) {
                stDecoded = obD.decode( "disconnect_ok_html", stTesto );
            } else 
            if ( rt == Stints.ROWTYPE_KO ) {
                stDecoded = obD.decode( "disconnect_ko_html", stTesto );
            };

            return  "  <td class='stData' style='width: " + width + ";'>" + stDecoded + "</td>\n";
        }

};


%>

<h1><%= oDec.k("cld_pop_stints") %></h1>

<%
    Map<String,String> hmNomiCode = logCodeLib.ottieneNomiCodeSemplici( oC.getLt( "DATI_code" ) );

    SmartTable T = new SmartTable( "x", oC.getLt("CODA_ltStints") );
    T.setDecoder(oDec );
    T.addSortableColumn( oDec.k("cld_pop_stint_enter"), 0 , "150px", new timestampUnixDecor(), SmartTable.SORT_DATE_SH  );
    T.addSortableColumn( oDec.k("cld_pop_stint_wait") , 1 , "80px", SmartTable.SORT_NUMBER );
    T.addSortableColumn( oDec.k("cld_pop_stint_queue"), 2 , "100px", new nomeCodaDecor(hmNomiCode), SmartTable.SORT_TEXT_CI  );
    T.addSortableColumn( oDec.k("cld_pop_stint_cause"), 3 , "80px", new doubleDecoderDecor( oDec ), SmartTable.SORT_TEXT_CI );

    //T.addSortableColumn( "ID", 0, "50px" , SmartTable.SORT_TEXT_CI );
//    T.addSortableColumn( "Code", 1, "100px", SmartTable.SORT_TEXT_CI );
//    T.addSortableColumn( "Description", 2, "200px", SmartTable.SORT_TEXT_CI );
    out.println(T.render());
%>


<p>
<INPUT TYPE='button'
    CLASS='actButton'
    VALUE="<%= oDec.k("cld_pop_close") %>"
    onClick="window.close();"
      STYLE="width: 60px" >


</body>
<%
// $Log: popup_stints.jsp,v $
// Revision 1.3  2010/12/22 13:15:08  marcos
// #1192: Encoding popup agent's page
//
// Revision 1.2  2007/06/22 10:13:10  lenz
// Bug #150: sessione mancante e UTF8
//
// Revision 1.1  2007/06/11 20:52:01  lenz
// Bug #129: Chiamate multi-stint
//
//
//
//
//
%>
