<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.debug.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="it.loway.app.queuemetrics.html.NoCache" %>
<%@ page import="it.loway.app.queuemetrics.*" %>
<%@ page import="it.loway.app.queuemetrics.caricamento.*" %>
<%@ page import="it.loway.app.queuemetrics.caricamento.DataObjects.*" %>
<%@ page import="it.loway.app.queuemetrics.asterisk.logs.*" %>
<%@ page import="it.loway.app.queuemetrics.liveData.*" %>
<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.realtime.*" %>
<%@ page import="java.text.*" %>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // $Id: realtime2_frame.jsp,v 1.20 2015/09/29 13:11:45 marcos Exp $

    LTable ltShowHide = new LTable();
    ltShowHide.putS( 0, 0, "0");
    ltShowHide.putS( 0, 1, oDec.k("rt_comboval_hide"));
    ltShowHide.putS( 1, 0, "1");
    ltShowHide.putS( 1, 1, oDec.k("rt_comboval_show"));

    LTable ltShowHideInverted = new LTable();
    ltShowHideInverted.putS( 0, 0, "1");
    ltShowHideInverted.putS( 0, 1, oDec.k("rt_comboval_hide"));
    ltShowHideInverted.putS( 1, 0, "0");
    ltShowHideInverted.putS( 1, 1, oDec.k("rt_comboval_show"));

    LTable ltAllActive = new LTable();
    ltAllActive.putS( 0, 0, "1" );
    ltAllActive.putS( 0, 1, oDec.k("rt_comboval_all") );
    ltAllActive.putS( 1, 0, "0" );
    ltAllActive.putS( 1, 1, oDec.k("rt_comboval_active") );

    LTable ltAllMembers = new LTable();
    ltAllMembers.putS( 0, 0, "0" );
    ltAllMembers.putS( 0, 1, oDec.k("rt_comboval_all") );
    ltAllMembers.putS( 1, 0, "1" );
    ltAllMembers.putS( 1, 1, oDec.k("rt_comboval_members") );

    LTable ltReload = new LTable();
    for ( int s = 5; s < 60; s++ ) {
        int r = ltReload.numRows();
        ltReload.putS(r, 0, ""+s);
        ltReload.putS(r, 1, ""+s+"s");
    }

    for ( int s = 60; s <= 300; s=s+30 ) {
        int r = ltReload.numRows();
        ltReload.putS(r, 0, ""+s);

        if ((s % 60) == 0)
            ltReload.putS(r, 1, ""+((int)(s/60))+"m");
        else
            ltReload.putS(r, 1, ""+((int)(s/60))+"m 30s");
    }

    LTable ltSupervision = new LTable();
    ltSupervision.putS( 0, 0, "0" );
    ltSupervision.putS( 0, 1, oDec.k("td_yesno_no") );

    if ( oU.hasKey( "SUPERVISOR" ) ) {
        ltSupervision.putS( 1, 0, "999"  );
        ltSupervision.putS( 1, 1, oU.getRealName() );
    }
%>
<script>
//variables
var page_realtime2_frame = true;
var oCgetSSOUND_URL_yellow = "<%= oC.getS( "SOUND_URL_yellow") %>";
var oCgetSSOUND_URL_red  = "<%= oC.getS( "SOUND_URL_red") %>";

// Below are the javascript funtions requiring decoder and/or context labels access
var json_sources = <%@ include file="./realtime2_datasource.jsp" %> ;

function onLoadApplicativo() {
    // transazione standard
    document.forms[0].<%= K.REQ_VERBO %>.value = "";
    document.forms[0].<%= K.REQ_PARAM %>.value = "";
}

/*
function updateAlarms() {
  triggerAudioAlarms("<%= oC.getS( "SOUND_URL_yellow") %>",
                     "<%= oC.getS( "SOUND_URL_red") %>",
                    $( "#REALTIME_SHOWBTN_sound" ).val() );
}
*/


</script>

  <div class="uk-flex uk-margin-right qm-rt-grid uk-grid uk-padding-remove" uk-grid>

    <!-- first column -->
    <div class="rt_menubar_container qm-rt-showbar">
      <!-- menu bar  START -->
			<div id="rt_menubar" class="rt_menubar ">



        <div class="rt-top-menu" >
  				<div class="rt-buttons">
  					<% if (oU.hasKey("REALTIME")) { %>
  						<INPUT TYPE='button' ID='btnreload' CLASS='Q-button-secondary rt_reloadpage' VALUE="<%= oDec.k("rt_reload_now") %>">
  					<% } %>

  					<% if (oU.hasKey("RT_ADDMEMBER")) { %>
              <input type="button" id="btnaddmemeber" class="Q-button-secondary rt_addmember" value="<%=oDec.k("rt_addmember")%>">
  					<% } %>
  				</div>

          <div class="rt-closeicon-container">
            <span class="rt_tabhandle uk-icon-button rt_closeicon uk-background-secondary" uk-icon="chevron-left"> </span>
          </div>
        </div>
      
				<div class="rt_menubar_item qm-rt-filters">
					<div id="frame_rtreport_header_ext">
					    <div id="frame_rtreport_header" class="uk-text-center"></div>
					</div>
				</div>

				<div class="rt_menubar_item qm-rt-selectors">
          <div class=" uk-flex uk-flex-middle uk-child-width-1-3@s " uk-grid>
            <div class="uk-text-right@s"><%= oDec.k("rt_short_update") %></div>
            <div class="uk-width-2-3@s"><span id="frame_ora" ></span></div>
            <div class="uk-text-right@s"><%= oDec.k("rt_alarms") %></div>
            <div class="uk-width-2-3@s">
              <%= oH.hidden( "REALTIME_SHOWBTN_sound" ) %>
              <div id="sound" class="L-pointer"></div>
            </div>
           
            <label for="CODA_input"><%= oDec.k("fp_queue") %></label>
            <div class="uk-width-2-3@s"><%= oH.combo( "CODA_input", true, "", oC.getLt( "DATI_code" ), 2, 0, "" ) %></div>
           
            <label for="REALTIME_reload_time"><%= oDec.k("rt_short_reload") %></label>
            <div class="uk-width-2-3@s"><%= oH.combo( "REALTIME_reload_time", true, "", ltReload, 0, 1, "20" ) %></div>

            <label for="REALTIME_toggle_showAllSubqueues"><%= oDec.k("rt_short_table_queues") %></label>
            <div class="uk-width-2-3@s"><%= oH.combo( "REALTIME_toggle_showAllSubqueues", (oC.getI( "REALTIME_SHOWBTN_showAllSubqueues" ) == 1), "", ltAllActive, 0, 1, "1" ) %></div>
           
            <label for="REALTIME_toggle_memberagentsonly"><%= oDec.k("rt_short_filter_agents") %></label>
            <div class="uk-width-2-3@s"><%= oH.combo( "REALTIME_toggle_memberagentsonly", (oC.getI( "REALTIME_SHOWBTN_memberagentsonly" ) == 1), "", ltAllMembers, 0, 1, "1" ) %></div>
            <label for="REALTIME_F_idLocation"><%= oDec.k("rt_short_filter_locat") %></label>
            <div class="uk-width-2-3@s"><%= oH.combo( "REALTIME_F_idLocation", true, "", oC.getLt( "DATI_locations_selectable" ), 0, 1, "" ) %></div>
            <label for="CODA_F_idAgentGroup"><%= oDec.k("rt_short_filter_groups") %></label>
            <div class="uk-width-2-3@s"><%= oH.combo( "CODA_F_idAgentGroup", true, "", oC.getLt( "DATI_agentgroups_selectable" ), 0, 1, "" ) %></div>
            <label for="CODA_F_supervision"><%= oDec.k("rt_short_filter_superv") %></label>
            <div class="uk-width-2-3@s"><%= oH.combo( "CODA_F_supervision", true, "", ltSupervision, 0, 1, "0" ) %></div>
          </div>
	      </div>

			<div class="rt_menubar_item qm-rt-reports">
        <fieldset class="qm-fieldset">
        <legend><%= oDec.k("rt_reports") %></legend>
        <div class="qm-rt-reports-grid uk-child-width-1-3@s " uk-grid>
          <label for="REALTIME_toggle_riep"><%= oDec.k("rt_short_table_recap") %></label>
          <div><%= oH.checkBox( "REALTIME_toggle_riep", "" ) %></div>

<%  if (oC.getI("REALTIME_SHOWBTN_calls") == 1) { %>
          <label for="REALTIME_toggle_calls"><%= oDec.k("rt_short_table_calls") %></label>
          <div><%= oH.checkBox( "REALTIME_toggle_calls", "" ) %></div>
<%  }

    if (oC.getI("REALTIME_SHOWBTN_agents") == 1) { %>
          <label for="REALTIME_toggle_agents"><%= oDec.k("rt_short_table_agents") %></label>
          <div><%= oH.checkBox( "REALTIME_toggle_agents", "" ) %></div>
<%  }

    if (oC.getI("REALTIME_SHOWBTN_showAggrByQueueView") != 0) { %>
      <label for="REALTIME_toggle_showAggrByQueueView"><%= oDec.k("rt_short_agg_by_queue_view") %></label>
      <div><%= oH.checkBox( "REALTIME_toggle_showAggrByQueueView", "" ) %></div>
<%  }

    if (oC.getI("REALTIME_SHOWBTN_showAggrByTagView") != 0) { %>
      <label for="REALTIME_toggle_showAggrByTagView"><%= oDec.k("rt_short_rt_agg_by_tag_view") %></label>
      <div><%= oH.checkBox( "REALTIME_toggle_showAggrByTagView", "" ) %></div>
<%  }

    if (oC.getI("REALTIME_SHOWBTN_showAgentOutcomeView") != 0) { %>
      <label for="REALTIME_toggle_showAgentOutcomeView"><%= oDec.k("rt_short_agentoutcome_view") %></label>
      <div><%= oH.checkBox( "REALTIME_toggle_showAgentOutcomeView", "margin-right: 10px;" ) %></div>
<%  } %>
        </div>
        </fieldset>
      </div>
    </div>
    <!-- menubar end -->


    <!-- rt_menutab  this is closed at load with js via initPage -->
    <%--
  		<div id="rt_opentab" class="rt_opentab"  >
  			<span class="rt_tabhandle uk-icon-button " uk-icon="chevron-right"> </span>
  		</div>
    --%>
  </div>


  <!-- second column bar with slide button -->
  <div class="qm-rt-verticalbar uk-flex uk-flex-top uk-flex-column	 uk-padding-remove rt_closetab ">
    <span class="rt_tabhandle uk-icon-button rt_openicon" uk-icon="chevron-right"> </span>
  </div>


  <!-- third column -->
  <div class="qm-rt-tables uk-width-expand@s uk-padding-remove ">

	  <div class="rt_contents L-column L-gap-24">
			<div id="errmsg" class="uk-text-danger" ></div>

			<div id="frame_riepilogo_ext">
			    <div id="frame_riepilogo"></div>
			</div>

			<div id="frame_chiamate_ext">
        <h3 class="uk-heading-line"><span><%= oDec.k("rt_calls_being_processed") %></span></h3>
		    <div id="frame_chiamate"></div>
			</div>

			<div id="frame_agenti_ext">
        <h3 class="uk-heading-line"><span><%= oDec.k("rt_agents_currently_logged_in") %></span></h3>
			    <div id="frame_agenti"></div>
			</div>

			<div id="frame_aggbyqueue_ext">
        <h3 class="uk-heading-line"><span><%= oDec.k("rt_agg_by_queue_view") %></span></h3>
			    <div id="frame_aggbyqueue"></div>
			</div>

			<div id="frame_aggbytag_ext">
        <h3 class="uk-heading-line"><span><%= oDec.k("rt_agg_by_tag_view") %></span></h3>
			    <div id="frame_aggbytag"></div>
			</div>

			<div id="frame_agentoutcomeview_ext">
        <h3 class="uk-heading-line"><span><%= oDec.k("rt_agentoutcome_view") %></span></h3>
			    <div id="frame_agentoutcomeview"></div>
			</div>
		</div>
  </div>
  <!-- rt_contents -->
</div>



<div id="----logframe"></div>
<div id="soundSpan" ></div>

<%@ include file="./qm_realtime2_agent_actions.jsp" %>
<%@ include file="./qm_realtime2_call_actions.jsp" %>

<%@ include file="/includes/00_page_footer.jspf" %>
<%
// $Log: realtime2_frame.jsp,v $
// Revision 1.20  2015/09/29 13:11:45  marcos
// jsp/jspf/js refactoring.
//
// Revision 1.19  2015/09/28 08:41:06  marcos
// jsp/jspf refactoring.
//
// Revision 1.18  2015/09/04 10:11:09  marcos
// #2856: Skill Based Routing: Show skills on the RT page
//
// Revision 1.17  2015/05/08 10:57:56  marcos
// Merge 24 on trunk
//
// Revision 1.16.2.4  2015/04/08 12:48:49  marcos
// #2673 to #2682
//
// Revision 1.16.2.3  2014/12/16 13:11:31  marcos
// #2480: New RT report: Agent and Outcome
//
// Revision 1.16.2.2  2014/12/09 14:36:18  marcos
// #2480: New RT report: Agent and Outcome
//
// Revision 1.16.2.1  2014/12/04 14:35:39  marcos
// #2478 and #2479: New queues and tags views, New queues and times view on realtime page
//
// Revision 1.16  2014/08/29 09:18:27  lenz-mobile
// #2456 - Popup troppo stretti
//
// Revision 1.15  2014/05/15 10:12:08  lenz-mobile
// #2229 - Memory leak in FF
//
// Revision 1.14  2013/12/24 10:14:02  lenz-mobile
// #2116 - Reload troppo veloce dopo che si e' visto il menu
//
// Revision 1.13  2013/11/04 14:31:53  lenz-mobile
// #1891 - Wand will not be hidden anymore
//
// Revision 1.12  2012/10/16 08:02:25  marcos
// #1736: QA Popup without scrollbars when called from the realtime page
//
// Revision 1.11  2012/05/08 10:53:22  marcos
// #1583: Wrong query result after returning from RT page
//
// Revision 1.10  2012/04/20 07:45:54  marcos
// #1624: New actions on call processed on the realtime page
//
// Revision 1.9  2012/04/12 10:15:14  marcos
// #733: Log-on/off agents from the RT page
//
// Revision 1.8  2011/02/25 09:39:53  marcos
// #1260: Empty Groups drop-down in the Realtime Page
//
// Revision 1.7  2009/12/14 10:56:18  marcos
// #943: RT AJAX: having longer wait durations
//
// Revision 1.6  2009/10/26 10:08:49  marcos
// #889: Problems in the new Realtime Page
//
// Revision 1.5  2009/09/29 15:36:04  lenz-mobile
// Bug #858: internazionalizzazione.
//
// Revision 1.4  2009/09/27 16:23:59  lenz-mobile
// Usa classe apposita per le icone.
//
// Revision 1.3  2009/09/27 12:49:07  lenz-mobile
// Nomi corretti per le variabili.
// Mostra gli errori lato server.
//
// Revision 1.2  2009/09/22 15:05:54  lenz
// Bug #858 - layout corretto, ma da testare.
//
// Revision 1.1  2009/09/16 16:45:58  lenz
// Bug #858 - Realtime in Json
//
//
%>
