<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.debug.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="it.loway.app.queuemetrics.*" %>
<%@ page import="it.loway.app.queuemetrics.caricamento.*" %>
<%@ page import="it.loway.app.queuemetrics.caricamento.DataObjects.*" %>
<%@ page import="it.loway.app.queuemetrics.asterisk.logs.*" %>
<%@ page import="it.loway.app.queuemetrics.liveData.*" %>
<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.realtime.*" %>
<%@ page import="java.text.*" %>

<%@ include file="/includes/00_page_header.jspf" %>
<%
    // $Id: realtime_broadcast.jsp,v 1.8 2015/09/28 08:41:06 marcos Exp $
    final String stVerbPrefix = "qm_broadcast_input";
    final String stTabPrefix  = "TABBROADCAST_MSG";
    oDec.load( "masterkeyAbilitato", "masterkey_abilitato.txt", 0, 1 );


    // DECORATORI
    class buttonEliminaDecor implements TpfCellDecoratorInterface {
            HtmlGenerator obH = null;
            public buttonEliminaDecor( HtmlGenerator oHx) { obH = oHx; };

            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                String stTesto = lt.getS(r, c );
                //String stButton = obH.button( "...", true, "width: 20px", stVerbPrefix + "_edit", stTesto );
                String stButton = obH.imgButton( "../img/icons_silk/cancel.png", "Delete", true, "", stVerbPrefix + "_delete", stTesto );
                return  "  <td class='stData' style='width: " + width + ";'>" + stButton + "</td>\n";
            }
    };


    class buttonSupervisorDecor implements TpfCellDecoratorInterface {
            HtmlGenerator obH = null;
            public buttonSupervisorDecor( ) {  };

            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                int codSuper = lt.getI(r, c );
                int forEveryone = lt.getI( r, 9 );
                //String stButton = obH.button( "...", true, "width: 20px", stVerbPrefix + "_edit", stTesto );
                String stButton = "&nbsp;";
                if ( forEveryone > 0 ) {
                    stButton = "<img border=0 src='../img/icons_silk/lightning.png' />";
                } else {
                    if ( codSuper > 0 ) {
                        stButton = "<img border=0 src='../img/icons_silk/group.png' />";
                    }
                }
                return  "  <td class='stData' style='width: " + width + ";'>" + stButton + "</td>\n";
            }
    };
    SmartTable T = null;
%>


<script>
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";
}
</script>

<div class="qm-form-body L-column L-gap-24">
    <legend>Broadcast messages</legend>
    <div class="uk-grid-large uk-child-width-1-2" uk-grid>
        <div class="left L-column L-gap-16">
            <div class="L-row L-gap-16">
                <div class="L-column L-gap-8 L-width-100">
                    <label  class="label" for="TABBROADCAST_MSG_by_queue">For queue</label>
                    <%= oH.combo( "TABBROADCAST_MSG_by_queue", true, "", oC.getLt( "TABBROADCAST_MSG__list_code"), 1, 0, "" ) %>
                </div>
                
                <div class="L-column L-gap-8 L-width-100">
                    <label for="">For location</label>
                    <%= oH.combo( "TABBROADCAST_MSG_by_id_location", true, "", oC.getLt( "DATI_locations_selectable"), 0, 1, "0" ) %>
                </div>
            </div>

            <div class="L-row L-gap-16">
                <% if (oU.hasKey( "SUPERVISOR") ) { %>
                <div class="L-column L-gap-8 L-width-100">
                    <label class="label" for ="TABBROADCAST_MSG_by_id_supervisor_xx">For my supervision <img border=0 src='../img/icons_silk/group.png' /></label>
                    <%= oH.combo( "TABBROADCAST_MSG_by_id_supervisor_xx",  true, "", "masterkeyAbilitato", "0" ) %>
                </div>
                <% }; %>
                
                <div class="L-column L-gap-8 L-width-100">
                    <label class="label" for="TABBROADCAST_MSG_for_everyone">For everyone: <img border=0 src='../img/icons_silk/lightning.png' /></label>
                    <%= oH.combo( "TABBROADCAST_MSG_for_everyone",  true, "", "masterkeyAbilitato", "0" ) %>
                </div>

                <div class="L-column L-gap-8 L-width-100">
                    <label class="label" for="TABBROADCAST_MSG_for_agentid">For:</label>
                    <%= oH.combo( "TABBROADCAST_MSG_for_agentid",  true, "", FA.FilterSelectableUsers(oC.getLt("DATI_users")), 0, 2, "" ) %>
                </div>
            </div>
        </div>

        <div class="right">
            <div class="L-column L-gap-16">
                <div class="L-column L-gap-8">
                    <label class="label" for="TABBROADCAST_MSG_testo_msg">Enter message</label>
                    <%= oH.textArea( "TABBROADCAST_MSG_testo_msg",  true, "", 250 ) %>
                </div>
                <div class="L-justify-flexend">
                    <%= oH.button( "Save", true, "", stVerbPrefix + "_edit", "S" ) %>
                </div>
            </div>
        </div>
        
    </div>

    <%--

    <table>
        <tr>
            <td NOWRAP> Enter message: </td>
            <td NOWRAP><%= oH.textBox( "TABBROADCAST_MSG_testo_msg",  true, "width: 500px;", 250 ) %> </td>
            <td NOWRAP>&nbsp;<%= oH.button( "Save", true, "", stVerbPrefix + "_edit", "S" ) %> </td>
        </tr>
        <tr>
            <td NOWRAP colspan = "3">
                For queue: <%= oH.combo( "TABBROADCAST_MSG_by_queue", true, "width: 100px;", oC.getLt( "TABBROADCAST_MSG__list_code"), 1, 0, "" ) %>
                &nbsp; | &nbsp;
                For location: <%= oH.combo( "TABBROADCAST_MSG_by_id_location", true, "width: 100px;", oC.getLt( "DATI_locations_selectable"), 0, 1, "0" ) %>
                <% if (oU.hasKey( "SUPERVISOR") ) { %>
                    &nbsp; | &nbsp;
                    For my supervision: <img border=0 src='../img/icons_silk/group.png' />
                    <%= oH.combo( "TABBROADCAST_MSG_by_id_supervisor_xx",  true, "width: 100px;", "masterkeyAbilitato", "0" ) %>
                <% }; %>
            </td>
        </tr>
        <tr>
            <td NOWRAP colspan = "3">
                For everyone: <img border=0 src='../img/icons_silk/lightning.png' />
                <%= oH.combo( "TABBROADCAST_MSG_for_everyone",  true, "width: 100px;", "masterkeyAbilitato", "0" ) %>
                &nbsp; | &nbsp;
                For: <%= oH.combo( "TABBROADCAST_MSG_for_agentid",  true, "width: 150px;", FA.FilterSelectableUsers(oC.getLt("DATI_users")), 0, 2, "" ) %>
            </td>
        </tr>
        </table>
    --%>

    <hr />

    <%
    //    LTable ltRisultato = PagedTransactor.getDataList( oC, stTabPrefix );
    //    SmartTable stT = new SmartTable( stTabPrefix, ltRisultato );
    SmartTableTransactor stT = new SmartTableTransactor(oC, stTabPrefix, stVerbPrefix + "_list",
        it.loway.app.queuemetrics.configurazione.cfg2.ptClasses.SORTINGS );
    stT.setDecoder( oDec );

    stT.addColumn( oDec.k("bdcmsg_Time"),       1   , "100", new oraTimestampDecor()   );
    stT.addColumn( oDec.k("bdcmsg_Text"),       2   , "300" );
    stT.addColumn( oDec.k("bdcmsg_Sender"),     8   , "100" );
    stT.addColumn( oDec.k("bdcmsg_Queue"),      3   , "80", new queueNamesDecor( oC.getLt("DATI_code"), "", "", new LTable(), new LTable() ) );
    stT.addColumn( oDec.k("bdcmsg_Group"),      4   , "20", new buttonSupervisorDecor() );
    stT.addColumn( oDec.k("bdcmsg_Location"),   7   , "50" );
    stT.addColumn( oDec.k("bdcmsg_ForAgent"),   11  , "100" );
    stT.addColumn( "&nbsp;",                    0   , "20", new buttonEliminaDecor( oH ) );

    //stT.addColumn( "&nbsp;",  0 , "20", new   buttonModificaDecor( oH )   );
    stT.withTableClass( "qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand" );

    if ( stT.numRows() > 0 ) {
        out.println( stT.render() );
    }

    if ( stT.getNRigheTotaliQuery() == 0 ) {
    %>
        &nbsp;
        <p>
        No items found.
        <p>
        &nbsp;

    <%
        } else { // ci sono righe
    %>

    <div class="uk-flex uk-flex-between">
    <div>Items found: <%= stT.getNRigheTotaliQuery() %></div>
    <div class="L-row L-gap-16">
        <%= oH.button( "&lt;&lt;&lt;", stT.hasPreviousPage(), "", stVerbPrefix + "_list", "P" ) %>
        <%= oH.button( "&gt;&gt;&gt;", stT.hasNextPage(), "", stVerbPrefix + "_list", "N" ) %>
    </div>
    <div>Page <%= stT.getPaginaCorrenteQuery() %> of <%= stT.getNPagineTotaliQuery() %></div>
    </div>

    <%--
    <table id="tabFooter">
        <tr>
        <td align="left">
            Items found: <%= stT.getNRigheTotaliQuery() %>
        </td>

        <td align="center">
            <%= oH.button( "&lt;&lt;&lt;", stT.hasPreviousPage(), "width: 60px", stVerbPrefix + "_list", "P" ) %>
            <%= oH.button( "&gt;&gt;&gt;", stT.hasNextPage(), "width: 60px", stVerbPrefix + "_list", "N" ) %>
        </td>

        <td align="right">
            Page <%= stT.getPaginaCorrenteQuery() %> of <%= stT.getNPagineTotaliQuery() %>
        </td>
        <tr>
    </table>
    --%>
    <%
        };
    %>
</div>

<%@ include file="/includes/00_page_footer.jspf" %>

<%
// $Log: realtime_broadcast.jsp,v $
// Revision 1.8  2015/09/28 08:41:06  marcos
// jsp/jspf refactoring.
//
// Revision 1.7  2015/07/24 07:44:21  lenz
// #2859 - Skills
//
// Revision 1.6  2012/07/31 10:03:59  marcos
// Memory Imp: DATI_usersSel is no more in the context and is now calculated each time is required.
//
// Revision 1.5  2011/02/23 10:12:54  marcos
// #1246: Problemi sulla pagina realtime
//
// Revision 1.4  2011/01/14 11:16:50  marcos
// IMM14 merge on main trunk
//
// Revision 1.3.2.1  2010/02/18 11:41:00  marcos
// AGAW: User private message and automatic message generation when a new QA form is filled.
//
// Revision 1.3  2009/01/27 16:42:44  marcos
// #575: Agent pages: Broadcasted messages have to be shown
//
// Revision 1.2  2008/09/29 14:31:40  lenz
// --=-   M e r g e   I M M 6   -=--
//
// Revision 1.1.2.2  2007/12/07 10:51:03  lenz
// Messaggi broadcast "for everyone".
//
// Revision 1.1.2.1  2007/12/06 18:17:44  lenz
// Editor messaggi broadcast.
//
//
%>
