<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes
    oDec.load( "masterkeyAbilitato", "masterkey_abilitato.txt", 0, 1 );
    final String stVerbPrefix = "qm_cfg2_agents";
    final String stTabPrefix  = "TABAGENTI_NOTI";
    String stWidth = "";

%>

<script >
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";

  setFocus( "TABAGENTI_NOTI_nome_agente" );
}
</script>

<div class="qm-form-body">
  <fieldset class="qm-fieldset L-column L-gap-24">
  <legend><%= oDec.k("edit_record_agents_title") %></legend>

  <div class="qm-form-grid-3 uk-child-width-1-3@s" uk-grid>
    <label for="TABAGENTI_NOTI_nome_agente"><%= oDec.k("edit_record_agents_code") %>
      <br><small class="uk-text-muted"><%= oDec.k("edit_record_agents_eg") %></small>
    </label>
    <div><%= oH.textBox( "TABAGENTI_NOTI_nome_agente", true, stWidth, 250 ) %></div>

    <label for="TABAGENTI_NOTI_descr_agente"><%= oDec.k("edit_record_agents_description") %></label>
    <div><%= oH.textBox( "TABAGENTI_NOTI_descr_agente", true, stWidth, 250 ) %></div>

    <label for="TABAGENTI_NOTI_aliases"><%= oDec.k("edit_record_agents_aliases") %>
        <br><small><font color="gray">
            &nbsp; <%= oDec.k("edit_record_agents_multiplealiases1") %> <br>
            &nbsp; <%= oDec.k("edit_record_agents_multiplealiases2") %>
        </font></small>
    </label>
    <div><%= oH.textBox( "TABAGENTI_NOTI_aliases", true, stWidth, 250 ) %></div>

    <label for="TABAGENTI_NOTI_default_server"><%= oDec.k("edit_record_agents_defaultserver") %></label>
    <div><%= oH.combo( "TABAGENTI_NOTI_default_server", FA.isClusterMode(oC), stWidth, oC.getLt( "DATI_servers_selectable"), 0, 1, "" ) %></div>

    <label for="TABAGENTI_NOTI_location"><%= oDec.k("edit_record_agents_location") %></label>
    <div><%= oH.combo( "TABAGENTI_NOTI_location", true, stWidth, oC.getLt( "DATI_locations_agenti"), 0, 1, "0" ) %></div>

    <label for="TABAGENTI_NOTI_group_by"><%= oDec.k("edit_record_agents_group") %></label>
    <div><%= oH.combo( "TABAGENTI_NOTI_group_by", true, stWidth, oC.getLt( "DATI_agentgroups_agenti"), 0, 1, "0" ) %></div>

    <label for=""><%= oDec.k("edit_record_agents_vnc") %></label>
    <div class="test-it">
      <%= oH.textBox( "TABAGENTI_NOTI_vnc_url", true, stWidth, 250 ) %>
      <INPUT id="testVnc" TYPE='button' CLASS='actButton test-it-button' VALUE="<%= oDec.k("edit_record_test") %>">
    </div>

    <label for="TABAGENTI_NOTI_current_terminal"><%= oDec.k("edit_record_agents_terminal") %></label>
    <div><%= oH.textBox( "TABAGENTI_NOTI_current_terminal", true, stWidth, 250 ) %></div>

    <label for="TABAGENTI_NOTI_xmpp_address"><%= oDec.k("edit_record_agents_imaddress") %> &nbsp;</label>
    <div class="test-it">
      <%= oH.textBox( "TABAGENTI_NOTI_xmpp_address", true, stWidth, 200 ) %>
      <INPUT id="testXmpp" TYPE='button' CLASS='actButton test-it-button' VALUE='<%= oDec.k("edit_record_test") %>' >
    </div>

    <label for="TABAGENTI_NOTI_sip_login"><%= oDec.k("edit_record_agents_webphoneusername") %></label>
    <div><%= oH.textBox( "TABAGENTI_NOTI_sip_login", true, stWidth, 250 ) %></div>

    <label for="TABAGENTI_NOTI_sip_pwd"><%= oDec.k("edit_record_agents_webphonepassword") %></label>
    <div><%= oH.textBox( "TABAGENTI_NOTI_sip_pwd", true, stWidth, 250 ) %></div>

    <label for="TABAGENTI_NOTI_sip_realm"><%= oDec.k("edit_record_agents_webphonerealm") %></label>
    <div><%= oH.textBox( "TABAGENTI_NOTI_sip_realm", true, stWidth, 250 ) %></div>

    <label for="TABAGENTI_NOTI_sip_uri"><%= oDec.k("edit_record_agents_webphoneuri") %></label>
    <div><%= oH.textBox( "TABAGENTI_NOTI_sip_uri", true, stWidth, 250 ) %></div>

    <label for="TABAGENTI_NOTI_auto_answer"><%= oDec.k("edit_record_agents_webphoneautoanswer") %></label>
    <div class="uk-width-2-3@s"><%= oH.combo( "TABAGENTI_NOTI_auto_answer",  true, stWidth, "masterkeyAbilitato", "0" ) %></div>

    <label for="TABAGENTI_NOTI_supervised_by"><%= oDec.k("edit_record_agents_supervisor") %></label>
    <div><%= oH.combo( "TABAGENTI_NOTI_supervised_by", true, stWidth, oC.getLt( "DATI_supervisors"), 0, 2, "0" ) %></div>

    <label for="TABAGENTI_NOTI_chiave_agente"><%= oDec.k("edit_record_agents_agentkeys") %></label>
    <div><%= oH.textBox( "TABAGENTI_NOTI_chiave_agente",  true, stWidth, 64 ) %></div>

    <label for="TABAGENTI_NOTI_payroll_code"><%= oDec.k("edit_record_agents_payroll") %></label>
    <div><%= oH.textBox( "TABAGENTI_NOTI_payroll_code", true, stWidth, 50 ) %></div>


      <label for="TABAGENTI_NOTI_external_reference"><%= oDec.k("edit_record_external_reference") %></label>
      <div><%= oH.textBox( "TABAGENTI_NOTI_external_reference", true, stWidth, 250 ) %></div>
    </div>
  </fieldset>

  <fieldset class="qm-fieldset L-column L-gap-24">
    <legend class="uk-margin"><%= oDec.k("edit_record_agent_syncsettings") %></legend>

    <div class="qm-form-grid-3 uk-child-width-1-3@s" uk-grid>
      <label for="TABAGENTI_NOTI_delete_protection"><%= oDec.k("edit_record_agent_delete_protection") %></label>
      <div class="uk-width-2-3@s"><%= oH.combo( "TABAGENTI_NOTI_delete_protection",  true, stWidth, "masterkeyAbilitato", "1" ) %></div>

      <label for="TABAGENTI_NOTI_update_protection"><%= oDec.k("edit_record_agent_update_protection") %></label>
      <div class="uk-width-2-3@s"><%= oH.combo( "TABAGENTI_NOTI_update_protection",  true, stWidth, "masterkeyAbilitato", "1" ) %></div>

      <label for="TABAGENTI_NOTI_nomedata_insert"><%= oDec.k("edit_record_createdby") %></label>
      <div><%= oH.textBox( "TABAGENTI_NOTI_nomedata_insert",  false, stWidth, 100 ) %></div>

      <label for="TABAGENTI_NOTI_nomedata_update"><%= oDec.k("edit_record_lastupdate") %></label>
      <div><%= oH.textBox( "TABAGENTI_NOTI_nomedata_update",  false, stWidth, 100 ) %></div>
    </div>

    <div class="L-row uk-flex-between">
        <%= oH.iconButton( "<span uk-icon='icon: chevron-left; ratio: 1'></span>"+oDec.k("edit_record_back"), true, "", stVerbPrefix + "_list", "", "Q-button-tertiary") %>
        <div class="L-row L-gap-16">
          <%= oH.button( oDec.k("edit_record_new"), (oC.getI("TABAGENTI_NOTI_id_agente") > 0 ), "", stVerbPrefix + "_edit", "N", "Q-button-secondary") %>
          <%= oH.button( oDec.k("edit_record_clone"), (oC.getI("TABAGENTI_NOTI_id_agente") > 0 ), "", stVerbPrefix + "_edit", "C", "Q-button-secondary") %>
          <%= oH.buttonScript( oDec.k("edit_record_delete"), (oC.getI("TABAGENTI_NOTI_id_agente") > 0 ) , "", "deleteSingleRecord('"+stVerbPrefix+"','"+oC.getS("TABAGENTI_NOTI_nome_agente")+"','"+oC.getS("TABAGENTI_NOTI_id_agente")+"')", "Q-button-secondary") %>
        </div>
        <%= oH.button( oDec.k("edit_record_save"), true, "", stVerbPrefix + "_edit", "S" ) %>
    </div>

  </fieldset>

  <fieldset class="qm-fieldset" class="uk-margin-medium-top">
    <legend><%= oDec.k("edit_record_agents_agentinqueue") %></legend>
    <div class="uk-margin-top" >
    <%
      SmartTable stT = new SmartTable( "x", oC.getLt( "TABAGENTI_NOTI_ltCodeAssociate" ) );

      stT.addColumn( oDec.k("edit_record_agents_queuename"), 1  , "200" );
      stT.addColumn( oDec.k("edit_record_agents_direction"),  0  , "100" );
      stT.addColumn( oDec.k("edit_record_agents_level"),      2  , "100" );

      if ( stT.numRows() > 0 ) {
        stT.withTableClass( "qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand" );
        out.println( stT.render() );
      } else {
    %>
        <div class="qm-admin-agents-warning"><%=oDec.k("edit_record_agents_noqueues")%></div>
    <%
      }
    %>
    </div>

    <div class="uk-margin-top">
      <small><%= oDec.k("edit_record_agents_configure") %></small>
    </div>

  </fieldset>
</div>




<%--
<center>
<h1><%= oDec.k("edit_record_agents_title") %></h1>

<table class="ST">
<tr><td>
    <%= oDec.k("edit_record_agents_code") %>
    <br><small><font color="gray">&nbsp;<%= oDec.k("edit_record_agents_eg") %></font></small>
</td><td valign="top">
    <%= oH.textBox( "TABAGENTI_NOTI_nome_agente", true, stWidth, 250 ) %>
</td></tr>
<tr><td>
    <%= oDec.k("edit_record_agents_description") %>
</td><td>
    <%= oH.textBox( "TABAGENTI_NOTI_descr_agente", true, stWidth, 250 ) %>
</td></tr>
<tr><td>
    <%= oDec.k("edit_record_agents_aliases") %>
    <br><small><font color="gray">
            &nbsp; <%= oDec.k("edit_record_agents_multiplealiases1") %> <br>
            &nbsp; <%= oDec.k("edit_record_agents_multiplealiases2") %>
        </font></small>
</td><td valign="top">
    <%= oH.textBox( "TABAGENTI_NOTI_aliases", true, stWidth, 250 ) %>
</td></tr>
<tr><td>
    <%= oDec.k("edit_record_agents_defaultserver") %>
</td><td>
    <%= oH.combo( "TABAGENTI_NOTI_default_server", FA.isClusterMode(oC), stWidth, oC.getLt( "DATI_servers_selectable"), 0, 1, "" ) %>
</td></tr>
<tr><td>
    <%= oDec.k("edit_record_agents_location") %>
</td><td>
    <%= oH.combo( "TABAGENTI_NOTI_location", true, stWidth, oC.getLt( "DATI_locations_agenti"), 0, 1, "0" ) %>
</td></tr>
<tr><td>
    <%= oDec.k("edit_record_agents_group") %>
</td><td>
    <%= oH.combo( "TABAGENTI_NOTI_group_by", true, stWidth, oC.getLt( "DATI_agentgroups_agenti"), 0, 1, "0" ) %>
</td></tr>
<tr><td>
    <%= oDec.k("edit_record_agents_vnc") %>
</td><td>
    <%= oH.textBox( "TABAGENTI_NOTI_vnc_url", true, stWidth, 250 ) %>
    <INPUT TYPE='button'
          CLASS='actButton'
          VALUE=<%= oDec.k("edit_record_test") %>
        onClick="testVnc( document.getElementById('TABAGENTI_NOTI_vnc_url').value )"
          STYLE="width: 70px; height: 25px; font-weight: bold;" >
</td></tr>
<tr><td>
    <%= oDec.k("edit_record_agents_terminal") %>
</td><td>
    <%= oH.textBox( "TABAGENTI_NOTI_current_terminal", true, stWidth, 250 ) %>
</td></tr>
<tr><td>
    <%= oDec.k("edit_record_agents_imaddress") %> &nbsp;
</td><td>
    <%= oH.textBox( "TABAGENTI_NOTI_xmpp_address", true, stWidth, 200 ) %>
    <INPUT TYPE='button'
          CLASS='actButton'
          VALUE=<%= oDec.k("edit_record_test") %>
        onClick="testXmpp( document.getElementById('TABAGENTI_NOTI_xmpp_address').value )"
          STYLE="width: 70px; height: 25px; font-weight: bold;" >
</td></tr>
<tr><td>
   <%= oDec.k("edit_record_agents_webphoneusername") %>
</td><td>
    <%= oH.textBox( "TABAGENTI_NOTI_sip_login", true, stWidth, 250 ) %>
</td></tr>
<tr><td>
    <%= oDec.k("edit_record_agents_webphonepassword") %>
</td><td>
    <%= oH.textBox( "TABAGENTI_NOTI_sip_pwd", true, stWidth, 250 ) %>
</td></tr>
<tr><td>
    <%= oDec.k("edit_record_agents_webphonerealm") %>
</td><td>
    <%= oH.textBox( "TABAGENTI_NOTI_sip_realm", true, stWidth, 250 ) %>
</td></tr>
<tr><td>
    <%= oDec.k("edit_record_agents_webphoneuri") %>
</td><td>
    <%= oH.textBox( "TABAGENTI_NOTI_sip_uri", true, stWidth, 250 ) %>
</td></tr>
<tr><td>
   <%= oDec.k("edit_record_agents_supervisor") %>
</td><td>
    <%= oH.combo( "TABAGENTI_NOTI_supervised_by", true, stWidth, oC.getLt( "DATI_supervisors"), 0, 2, "0" ) %>
</td></tr>
<tr><td class="reg" valign="top">
    <%= oDec.k("edit_record_agents_agentkeys") %>
</td><td>
<%= oH.textBox( "TABAGENTI_NOTI_chiave_agente",  true, stWidth, 64 ) %>
</td></tr>
<tr><td>
    <%= oDec.k("edit_record_agents_payroll") %>
</td><td>
    <%= oH.textBox( "TABAGENTI_NOTI_payroll_code", true, stWidth, 50 ) %>
</td></tr>
<tr><td>
    <%= oDec.k("edit_record_external_reference") %>
</td><td>
    <%= oH.textBox( "TABAGENTI_NOTI_external_reference", true, stWidth, 250 ) %>
</td></tr>
<tr><td class="reg">
<%= oDec.k("edit_record_createdby") %>
</td><td>
<%= oH.textBox( "TABAGENTI_NOTI_nomedata_insert",  false, stWidth, 100 ) %>
</td></tr>
<tr><td class="reg">
<%= oDec.k("edit_record_lastupdate") %>
</td><td>
<%= oH.textBox( "TABAGENTI_NOTI_nomedata_update",  false, stWidth, 100 ) %>
</td></tr>
</table>
 --%>

<%--

<script defer>
function testVnc( stVncUrl ) {
    //alert( "VNC: " + stVncUrl );
    if ( stVncUrl.length > 0 ) {
        var newwindow = window.open( stVncUrl, "VncWINDOW",'');
    }
}
function testXmpp( stXmppUrl ) {
    if ( stXmppUrl.length > 0 ) {
        var newwindow = window.open( "xmpp:" + stXmppUrl, "XmppWINDOW",'');
    }
}
</script>

--%>
<%--
<p>
    <%= oH.button( oDec.k("edit_record_save"), true, "", stVerbPrefix + "_edit", "S" ) %>
    <%= oH.button( oDec.k("edit_record_back"), true, "", stVerbPrefix + "_list", "") %>
    <%= oH.button( oDec.k("edit_record_new"), (oC.getI("TABAGENTI_NOTI_id_agente") > 0 ), "", stVerbPrefix + "_edit", "N") %>
    <%= oH.button( oDec.k("edit_record_clone"), (oC.getI("TABAGENTI_NOTI_id_agente") > 0 ), "", stVerbPrefix + "_edit", "C") %>
    <%= oH.buttonScript( oDec.k("edit_record_delete"), (oC.getI("TABAGENTI_NOTI_id_agente") > 0 ) , "", "deleteSingleRecord('"+stVerbPrefix+"','"+oC.getS("TABAGENTI_NOTI_nome_agente")+"','"+oC.getS("TABAGENTI_NOTI_id_agente")+"')") %>
<p>

        <h2><%= oDec.k("edit_record_agents_agentinqueue") %></h2>
<%
    SmartTable stT = new SmartTable( "x", oC.getLt( "TABAGENTI_NOTI_ltCodeAssociate" ) );

    stT.addColumn( oDec.k("edit_record_agents_queuename"), 1  , "200" );
    stT.addColumn( oDec.k("edit_record_agents_direction"),  0  , "100" );
    stT.addColumn( oDec.k("edit_record_agents_level"),      2  , "100" );

    if ( stT.numRows() > 0 ) {
        out.println( stT.render() );
    } else {
        out.println( "<font color='red'>"+oDec.k("edit_record_agents_noqueues")+"</font>");
    }


        %>
    </p>
    <p>
        <small><%= oDec.k("edit_record_agents_configure") %></small>
    </p>

</center>
--%>

<%@ include file="/includes/00_page_footer.jspf" %>

<%
// $Log: cfg2_agents_edit.jsp,v $
// Revision 1.15  2015/09/28 08:41:10  marcos
// jsp/jspf refactoring.
//
// Revision 1.14  2014/05/19 09:46:32  lenz
// Merge FRANKIE
//
// Revision 1.13.4.1  2014/05/13 13:33:35  mirkox
// Nuova Grafica
//
// Revision 1.13  2014/02/18 08:58:58  marcos
// Cluster mode on the new live agent page.
//
// Revision 1.12  2013/12/02 11:29:16  marcos
// #2073: AgentPage GWT: Softphone integration
//
// Revision 1.11  2012/04/25 08:53:16  lenz-mobile
// Messaggio agente
//
// Revision 1.10  2011/11/24 17:16:44  marcos
// #1008: Link diretto a License page
//
// Revision 1.9  2011/09/30 10:02:45  lenz-mobile
// #1470 - Friendly Names
//
// Revision 1.8  2010/09/30 10:43:42  lenz-mobile
// no message
//
// Revision 1.7  2010/01/18 16:42:49  marcos
// *** empty log message ***
//
// Revision 1.6  2010/01/12 17:11:53  marcos
// IMM11 branch merge on main trunk
//
// Revision 1.5.2.3  2009/09/21 09:07:53  marcos
//  Bug 865 -  Payroll: changes to the Agent page
//
// Revision 1.5.2.2  2009/07/04 09:35:55  lenz-mobile
// Bug #662 - cloning dei forms
//
// Revision 1.5.2.1  2009/06/08 10:38:58  marcos
// Agent Groups new feature added on QM 1.6.0
//
// Revision 1.5  2009/01/14 10:09:08  marcos
// #582: Agent selection filtered by specific keys.
//
// Revision 1.4  2008/09/29 14:31:14  lenz
// --=-   M e r g e   I M M 6   -=--
//
// Revision 1.3.2.2  2008/04/18 16:12:58  lenz
// Bug #285: Cursore in automatico nel primo box.
// Bug #280: Bottoni sopra e sotto.
//
// Revision 1.3.2.1  2007/12/07 11:21:29  lenz
// Gestione indirizzo IM per agente.
//
// Revision 1.3  2007/11/09 10:50:44  lenz-mobile
// bug #71: Code su cui lavora l'agente.
//
// Revision 1.2  2007/10/01 12:45:19  lenz
// Piccole modifiche cosmetiche
//
// Revision 1.1  2007/10/01 10:44:56  lenz-mobile
// gestione completa editor agenti paginato.
//
//
//
%>
