<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="java.util.*" %>
<%@ page import= "it.loway.app.queuemetrics.configurazione.cfg2.ptAmoNumbers" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );
%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes
    oDec.load( "masterkeyAbilitato", "masterkey_abilitato.txt", 0, 1 );
    oDec.load( "amo_number_states", "amo_number_states.txt", 0, 1 );

    final String stVerbPrefix = ptAmoNumbers.TRANSACTION_PREFIX;
    final String stTabPrefix  = ptAmoNumbers.CONTEXT_PREFIX;
    final int primaryKey = oC.getI("TABAMO_NUMBERS_amo_number_id");

    LTitledTable lttInfo = (LTitledTable) oC.getLt(ptAmoNumbers.DEPENDENT_LIST_INFO);
    final String queueName = lttInfo.getS(0, "nome_coda");
    final String listName = lttInfo.getS(0, "list_name");

    String retries = oC.getS("TABAMO_NUMBERS_previous_retries");

    List<Map<String, String>> retriesList = Esc.urldecodeMapList(retries);
    //reason=ko&dateMs=1710316549348&callStatus=&asteriskId=1709824641.0&userId=0


    //Dialer state andrebbe decodificato (vedi NumberState)
    String stWidth = "";


%>
<%!

    public String timestampToDate(String timestamp, LDecoder oDec){
      DateTimeLocalizer localizer = new DateTimeLocalizer(oDec);
      return localizer.getDateComplete((int)(U.clng(timestamp)/1000));
    }

    public String decodeUser(int userId, LContext oC){
      LTable ltUsers = oC.getLt("DATI_users");
      String result = "#"+userId;
      for(int i = 0 ; i < ltUsers.numRows(); i++){
          if(ltUsers.getI(i,0)==userId){
              result = ltUsers.getS(i,1);
          }
      }
      return result;
    }

    public String decodeOutcome(String statusCode, LContext oC) {
      LTable ltStatusCodes = oC.getLt("DATI_call_status");
      String result = statusCode;
      for(int i = 0 ; i < ltStatusCodes.numRows(); i++){
          if(ltStatusCodes.getS(i,0).equals(statusCode)){
              result = ltStatusCodes.getS(i,1);
          }
      }
      return result;
    }

%>

<%-- transazione standard --%>
<%@ include file="/includes/qm_adm/21_qm_adm_transazione_standard.jspf" %>
<script>
function addRow(attributeName, attributeValue) {
  var table = document.getElementById('attribute_table_amo').getElementsByTagName('tbody')[0];
  var newRow = table.insertRow(table.rows.length);
  
  // Store the attribute name in a data attribute for the row
  newRow.setAttribute('data-attribute-name', attributeName);
  
  var cell1 = newRow.insertCell(0);
  var cell2 = newRow.insertCell(1);
  var cell3 = newRow.insertCell(2); // Cell for the delete icon

  cell1.textContent = attributeName;
  cell2.textContent = attributeValue;

  cell3.innerHTML = '<span class="delete-icon" style="cursor:pointer; color: red;">Delete</span>'; // Or your delete icon

  cell3.getElementsByClassName('delete-icon')[0].addEventListener('click', function() {
    var row = this.closest('tr'); // Find the closest table row
    row.parentNode.removeChild(row); // Remove the row
    
    // After deletion, update the TABAMO_NUMBERS_attributes input value
    updateAttributesInput();
  });
}



// Function to initialize the table on page load
function initializeTable() {
  // Get the current value of the TABAMO_NUMBERS_attributes input field
  var attributesInput = document.getElementById('TABAMO_NUMBERS_attributes');
  var attributePairs = attributesInput.value.split('&'); // Split by '&' to get each attribute=value pair

  // Iterate over each pair, split by '=', and add each as a new row in the table
  for (var i = 0; i < attributePairs.length; i++) {
    var pair = attributePairs[i].split('=');
    if(pair.length == 2) { // Ensure the pair is valid
      addRow(pair[0], pair[1]);
    }
  }

  updateAttributesInput();
}

// Call initializeTable when the page loads
window.onload = initializeTable;

function addVariable() {
  // Get the input values for the attribute name and value
  var attributeName = document.getElementById('TABAMO_NUMBERS_attribute').value;
  var attributeValue = document.getElementById('TABAMO_NUMBERS_value').value;
  if(attributeName.length > 0 && attributeValue.length > 0){

    // Construct the new key-value pair in the required format
    var newPair = attributeName + "=" + attributeValue;

    // Get the current value of the TABAMO_NUMBERS_attributes input field
    var attributesInput = document.getElementById('TABAMO_NUMBERS_attributes');
    var currentAttributeValue = attributesInput.value;

    addRow(attributeName, attributeValue);
    
    // Reset the attribute and value input fields
    document.getElementById('TABAMO_NUMBERS_attribute').value = '';
    document.getElementById('TABAMO_NUMBERS_value').value = '';

    updateAttributesInput();
  }
}

function updateAttributesInput() {
  var table = document.getElementById('attribute_table_amo').getElementsByTagName('tbody')[0];
  var rows = table.rows;
  var attributes = [];

  for (var i = 0; i < rows.length; i++) {
    // Extract attribute name and value from the row
    var attributeName = rows[i].getAttribute('data-attribute-name');
    var attributeValue = rows[i].cells[1].textContent; // Assuming the value is in the second cell

    // Reconstruct the attribute string for the input
    attributes.push(encodeURIComponent(attributeName) + "=" + encodeURIComponent(attributeValue));
  }

  // Join all attributes with '&' to form the URL-encoded string
  var attributesString = attributes.join("&");

  // Update the TABAMO_NUMBERS_attributes input value
  var attributesInput = document.getElementById('TABAMO_NUMBERS_attributes');
  attributesInput.value = attributesString;
}


</script>
<style>
  .amo_recall_table {
    th {
      text-align: left;
      padding: 8px;
    }
  }
</style>


<div class="qm-form-body L-column L-gap-24">
  <%= oH.hidden( "TABAMO_NUMBERS_attributes") %>
  <div class="uk-flex uk-flex-between">
    <% out.println(LowayHtml.tertiaryButton("<span uk-icon='icon: chevron-left; ratio: 1'></span>"+oDec.k("edit_record_back"), true, stVerbPrefix + "_list", oC.getS("TABAMO_LISTS_amo_list_id"))); %>
    <div class="uk-flex L-gap-16">
      <% out.println(LowayHtml.secondaryButton(oDec.k("edit_record_new"), (primaryKey > 0 ), stVerbPrefix + "_edit", "N")); %>
      <% out.println(LowayHtml.secondaryButton(oDec.k("edit_record_clone"), (primaryKey > 0 ), stVerbPrefix + "_edit", "C")); %>
    </div>
  </div>

  <legend><%= queueName + "<span uk-icon='icon: chevron-right; ratio: 1'></span>" + listName + "<span uk-icon='icon: chevron-right; ratio: 1'></span>" + oDec.k("edit_amo_numbers_edit")%></legend>


  <div class="uk-grid-large uk-child-width-1-2" uk-grid>
    <div class="left">
      <table class="qm-table-striped uk-table">
        <tbody>
          <tr>
            <td>
              <%=oDec.k("edit_amo_number_id")%>
            </td>
            <td>
              <%= oC.getS( "TABAMO_NUMBERS_amo_number_id" ) %>
            </td>
          </tr>
          <tr>
            <td>
              <%=oDec.k("dlr_state")%>
            </td>
            <td>
              <%= oC.getS( "TABAMO_NUMBERS_state" ) %>
            </td>
          </tr>
          <tr>
            <td>
              <%=oDec.k("edit_amo_numbers_retry_no")%>
            </td>
            <td>
              <%= oC.getS( "TABAMO_NUMBERS_retry_no" ) %>
            </td>
          </tr>
          <tr>
            <td>
              <%=oDec.k("edit_amo_numbers_current_uid")%>
            </td>
            <td>
              <%= oC.getS("TABAMO_NUMBERS_current_uid") %>
            </td>
          </tr>
          <tr>
            <td>
              <%=oDec.k("edit_record_createdby")%>
            </td>
            <td>
              <%= oC.getS(stTabPrefix + "_nomedata_insert") %>
            </td>
          </tr>
          <tr>
            <td>
              <%=oDec.k("edit_record_lastupdate")%>
            </td>
            <td>
              <%= oC.getS(stTabPrefix + "_nomedata_update") %>
            </td>
          </tr>
        </tbody>
      </table>

      <table class="qm-table-striped uk-table amo_recall_table">
        <tbody>
          <tr>
            <th><%=oDec.k("amo_numbers_reason")%></th>
            <th><%=oDec.k("amo_numbers_date")%></th>
            <th><%=oDec.k("amo_numbers_callstatus")%></th>
            <th><%=oDec.k("amo_numbers_asteriskid")%></th>
            <th><%=oDec.k("amo_numbers_user")%></th>
          </tr>
          <%
          if (retriesList != null) {
            for (Map<String, String> retry : retriesList) {
              %>
              <tr>
                <td><%= oDec.decode("amo_number_states", retry.get("reason")) %></td>
                <td><%= timestampToDate(retry.get("dateMs"), oDec) %></td>
                <td><%= decodeOutcome(retry.get("callStatus"), oC) %></td>
                <td><%= retry.get("asteriskId") %></td>
                <td><%= decodeUser(U.cint(retry.get("userId")), oC) %></td>
              </tr>
              <%
            }
          }
          %>
        </tbody>
      </table>
    </div>
    <div class="right L-column L-gap-24">

      <div class="L-row L-gap-16">
        <%= oH.hidden( "TABAMO_NUMBERS_amo_number_id") %>
        <%= oH.hidden( "TABAMO_NUMBERS_amo_list_id") %>
        <div class="L-column L-gap-8 L-flex-1">
          <label for="TABAMO_NUMBERS_number"><%= oDec.k("edit_amo_number") %></label>
          <%= oH.textBox( "TABAMO_NUMBERS_number", true, stWidth, 50 ) %>
        </div>
        <div class="L-column L-gap-8 L-flex-1">
          <label for="TABAMO_NUMBERS_valid_from"><%= oDec.k("edit_amo_valid_from") %></label>
          <div>
            <input type="datetime-local" id="TABAMO_NUMBERS_valid_from" name="TABAMO_NUMBERS_valid_from" value="<%=oC.getS("TABAMO_NUMBERS_valid_from")%>">
          </div>
        </div>
      </div>

      <div class="L-row L-gap-16 L-align-flexend">
        <div class="L-column L-gap-8">
          <label for="TABAMO_NUMBERS_attribute"><%= oDec.k("edit_amo_attribute") %></label>
          <%= oH.textBox( "TABAMO_NUMBERS_attribute", true, stWidth, 50 ) %>
        </div>
        <div class="L-column L-gap-8">
          <label for="TABAMO_NUMBERS_value"><%= oDec.k("edit_amo_valid_value") %></label>
          <div><%= oH.textBox( "TABAMO_NUMBERS_value", true, stWidth, 50 ) %></div>
        </div>
        <div>
          <input type="button" class="Q-primary-button" value="<%= oDec.k("art_featureAddBtn") %>" onclick="addVariable()">
        </div>
      </div>

      <table id="attribute_table_amo" class="qm-table-striped">
        <tbody>
        </tbody>
      </table>


    </div>
  </div>
</fieldset>


<div class="L-row L-justify-flexend">
  <div class="L-row L-gap-16">
    <button class="Q-button-secondary" <%=(primaryKey > 0 ) ? "" : "disabled "%> onclick=<%="deleteSingleRecord('"+stVerbPrefix+"','"+oC.getS("TABAMO_NUMBERS_amo_list_id")+"','"+oC.getS("TABAMO_NUMBERS_amo_number_id")+"')"%>><%=oDec.k("edit_record_delete")%></button>
    <% out.println(LowayHtml.primaryButton(oDec.k("edit_record_save"), true, stVerbPrefix + "_edit",  "S")); %>
  </div>
</div>

<%@ include file="/includes/00_page_footer.jspf" %>
