<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.transaction.db.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.agentGroupsIconDecorator" %>
<%@ page import= "it.loway.app.queuemetrics.configurazione.cfg2.ptAmoNumbers" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );
%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    oDec.load( "amo_number_states", "amo_number_states.txt", 0, 1 );
    final String stVerbPrefix = ptAmoNumbers.TRANSACTION_PREFIX;
    final String stTabPrefix  = ptAmoNumbers.CONTEXT_PREFIX;

    LTitledTable lttInfo = (LTitledTable) oC.getLt(ptAmoNumbers.DEPENDENT_LIST_INFO);
    final String queueName = lttInfo.getS(0, "nome_coda");
    final String listId = lttInfo.getS(0, "amo_list_id");
    final String listName = lttInfo.getS(0, "list_name");
    final String searchPlaceholder = oDec.k("carea_search");
    //--------------------------------------------------------------
    class buttonModificaDecor implements TpfCellDecoratorInterface {
            HtmlGenerator obH = null;
            public buttonModificaDecor( HtmlGenerator oHx) { obH = oHx; };
            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                String stTesto = lt.getS(r, c );
                String stButton = obH.imgButton( "../img/icons_silk/pencil.png", "Edit", true, "", stVerbPrefix + "_edit", stTesto );
                return  "  <td class='stData' style='width: " + width + ";'>" + stButton + "</td>\n";
            }
    };
    class selectDecor implements TpfCellDecoratorInterface {
      public selectDecor() { };
      public String decorate(LTable lt, int r, int c, String width) throws TechException {
          String stTesto = lt.getS(r, c );
          return "  <td class='stData'  style='width:' " + width + ";'>" +"  <input type='checkbox'  name ='cb' value='"+lt.getS(r, c )+"'></input>" + "</td>\n";
      }
    };
    class attributesDecor implements TpfCellDecoratorInterface {
      public attributesDecor() { };
      public String decorate(LTable lt, int r, int c, String width) throws TechException {
          String stTesto = lt.getS(r, c );
          return "  <td class='stData'  style='width:' " + width + ";'>" + lt.getS(r, c ).replace("=", ": ").replace("&", ", ")+"</td>\n";
      }
    };

    //AGGIUNGERE DECORATORE PER MOSTRARE GLI ATTRIBUTI BENE. USARE 
    //Esc.urldecodeMap()
%>
<%-- transazione standard --%>
<%@ include file="/includes/qm_adm/21_qm_adm_transazione_standard.jspf" %>


<div class="qm-form-body">

  <fieldset class="qm-fieldset L-column L-gap-24">
    <div class="L-row L-justify-spacebetween">

      <%-- search line --%>
      <% out.println(LowayHtml.tertiaryButton("<span uk-icon='icon: chevron-left; ratio: 1'></span>"+oDec.k("edit_record_back"), true, "qm_cfg2_amo_lists_edit", listId)); %>
      <div class="uk-search uk-search-default">
        <a class="uk-search-icon-flip qm-search-icon" uk-search-icon></a>
        <input id="<%=PagedTransactor.getQueryField( stTabPrefix )%>" name="<%=PagedTransactor.getQueryField( stTabPrefix )%>" class="uk-search-input qm-report-search-input" type="search" value="<%=XssFilter.encodeToHtml(oC.getS( PagedTransactor.getQueryField( stTabPrefix ) ))%>" placeholder="<%=searchPlaceholder%>">
      </div>

    </div>

    <div>
      <legend><%= queueName + "<span uk-icon='icon: chevron-right; ratio: 1'></span>" + listName + "<span uk-icon='icon: chevron-right; ratio: 1'></span>" + oDec.k("edit_amo_numbers_list")%></legend>
    </div>

      <%
        SmartTableTransactor stT = new SmartTableTransactor( oC, stTabPrefix, stVerbPrefix + "_list",
          ptAmoNumbers.SORTINGS );

        stT.addColumn( "<input type='checkbox' onclick='selectAll(this);'></input>" ,  0 , "30px", new selectDecor() );
        stT.addColumn( oDec.k("edit_amo_number"),           1  , "150px", "nome" );
        stT.addColumn( oDec.k("edit_amo_attributes"),           2  , "150px", "nome", new attributesDecor() );
        stT.addColumn( oDec.k("edit_amo_valid_from"),           3  , "150px", "nome" );
        stT.addColumn( oDec.k("edit_amo_state"),           4  , "150px", "nome", new decoderDecor(oDec, "amo_number_states") );
        stT.addColumn( oDec.k("edit_amo_retry_no"),           5  , "150px", "nome" );
        stT.addColumn( "&nbsp;",  0 , "20px", new   buttonModificaDecor( oH )   );

          if ( stT.getNRigheTotaliQuery() > 0 ) {
      %>

      <%@ include file="/includes/qm_adm/11_qm_adm_loway_pagination.jspf" %>

      <%
          }
      %>
      <%
          if ( stT.numRows() > 0 ) {
              stT.withTableClass( "qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand" );
              out.println( stT.render() );
          }
          if ( stT.getNRigheTotaliQuery() == 0 ) {
      %>
      <%@ include file="/includes/qm_adm/30_qm_adm_noresultsbox.jspf" %>
      <%
          } else { // ci sono righe
      %>

      <%@ include file="/includes/qm_adm/11_qm_adm_loway_pagination.jspf" %>

      <%
          };
      %>
      <div class="L-row L-gap-8 L-flex-1 L-justify-flexend">
        <% out.println(LowayHtml.secondaryButton(oDec.k("edit_record_new"), true, stVerbPrefix + "_edit", "N")); %>
        <button class="Q-button-secondary" onclick="deleteSelected('<%=stVerbPrefix%>')" ><%=oDec.k("editor_delete_selected")%></button>
      </div>
  </fieldset>
</div>


<%@ include file="/includes/00_page_footer.jspf" %>
