<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );
%>

<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes
    oDec.load( "masterkeyAbilitato", "masterkey_abilitato.txt", 0, 1 );

    final String stVerbPrefix = "qm_cfg2_cbts";
    final String stTabPrefix  = "TABCBTS";
    String stWidth = "";
%>



<script>
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";
  setFocus( "TABCBTS_name" );
}

function checkURL() {
    url = document.forms[0].TABCBTS_url.value;
    if (url.length !== 0) {
        agentCode = "<%= oU.getLogin() %>";
        url=url.replace("[u]",agentCode);
        url=url.replace("[U]", agentCode);
        window.open(url,'_blank');
    }
}
</script>

<div class="qm-form-body">
  <fieldset class="qm-fieldset L-column L-gap-24">
    <legend><%= oDec.k("edit_record_cbt_title") %></legend>

    <div class="qm-form-grid-3 uk-child-width-1-3@s" uk-grid>
      <label for="TABCBTS_name"><%= oDec.k("edit_record_cbt_code") %></label>
      <div><%= oH.textBox( "TABCBTS_name",  true, stWidth, 45 ) %></div>

      <label for="TABCBTS_description"><%= oDec.k("edit_record_description") %></label>
      <div><%= oH.textBox( "TABCBTS_description",  true, stWidth, 100 ) %></div>

      <label for="TABCBTS_read_key"><%= oDec.k("edit_record_securitykey") %></label>
      <div><%= oH.textBox( "TABCBTS_read_key",  true, stWidth, 100 ) %></div>

      <label for="TABCBTS_deleted"><%= oDec.k("edit_record_cbt_offline") %></label>
      <div><%= oH.combo( "TABCBTS_deleted", true, stWidth, oC.getLt( "TABCBTS_deletedyesno" ), 0, 1, "n" ) %></div>


      <label for="TABCBTS_url"><%= oDec.k("edit_record_cbt_url") %></label>
      <div >
        <%= oH.textArea( "TABCBTS_url",  true, stWidth + "", 10000 ) %><br>
        <div class="uk-margin-top L-justify-flexend"><%= oH.buttonScript(oDec.k("edit_record_test"),true,"", "checkURL()") %></div>
      </div>

      <div class="uk-text-right@s"><%= oDec.k("edit_record_cbt_counter") %></div>
      <div><%= oC.getS( "TABCBTS_track" ) %></div>

      <div class="uk-text-right@s"><%= oDec.k("edit_record_createdby") %></div>
      <div><%= oC.getS("TABCBTS_nomedata_insert") %></div>

      <div class="uk-text-right@s"><%= oDec.k("edit_record_lastupdate") %></div>
      <div><%= oC.getS( "TABCBTS_nomedata_update" ) %></div>
    </div>

    <div class="L-row uk-flex-between">
      <%= oH.iconButton( "<span uk-icon='icon: chevron-left; ratio: 1'></span>"+oDec.k("edit_record_back"), true, "", stVerbPrefix + "_list", "", "Q-button-tertiary") %>
      <div class="L-row L-gap-16">
        <%= oH.button( oDec.k("edit_record_new"), (oC.getI("TABCBTS_id") > 0 ), "", stVerbPrefix + "_edit", "N", "Q-button-secondary") %>
        <%= oH.button( oDec.k("edit_record_clone"), (oC.getI("TABCBTS_id") > 0 ), "", stVerbPrefix + "_edit", "C", "Q-button-secondary") %>
        <%= oH.buttonScript( oDec.k("edit_record_delete"), (oC.getI("TABCBTS_id") > 0 ), "", "deleteSingleRecord('"+stVerbPrefix+"','"+oC.getS("TABCBTS_name")+"','"+oC.getS("TABCBTS_id")+"')", "Q-button-secondary") %>
      </div>
      <%= oH.button( oDec.k("edit_record_save"), true, "", stVerbPrefix + "_edit", "S" ) %>
    </div>
  </fieldset>
</div>

<%--
<center>
<h1><%= oDec.k("edit_record_cbt_title") %></h1>
<table class="ST">
<tr><td>

<%= oDec.k("edit_record_cbt_code") %>

</td><td>

<%= oH.textBox( "TABCBTS_name",  true, stWidth, 45 ) %>

</td></tr>



<tr><td>

<%= oDec.k("edit_record_description") %>

</td><td>

<%= oH.textBox( "TABCBTS_description",  true, stWidth, 100 ) %>

</td></tr>

<tr><td>

<%= oDec.k("edit_record_securitykey") %>

</td><td>

<%= oH.textBox( "TABCBTS_read_key",  true, stWidth, 100 ) %>

</td></tr>


<tr><td>

<%= oDec.k("edit_record_cbt_offline") %>

</td><td>

<%= oH.combo( "TABCBTS_deleted", true, stWidth, oC.getLt( "TABCBTS_deletedyesno" ), 0, 1, "n" ) %>

</td></tr>



<tr><td>

<%= oDec.k("edit_record_cbt_url") %>
<br/>
<br/>
<%= oH.buttonScript(oDec.k("edit_record_test"),true,"width: 100px;", "checkURL()") %>

</td><td>

<%= oH.textArea( "TABCBTS_url",  true, stWidth + "height: 90px;", 10000 ) %>

</td></tr>


<tr><td>

<%= oDec.k("edit_record_cbt_counter") %>

</td><td>

<%= oC.getS( "TABCBTS_track" ) %> &nbsp;

</td></tr>


<tr><td>

<%= oDec.k("edit_record_createdby") %>

</td><td>

<%= oC.getS("TABCBTS_nomedata_insert") %>  &nbsp;

</td></tr>



<tr><td>

<%= oDec.k("edit_record_lastupdate") %>

</td><td>

<%= oC.getS( "TABCBTS_nomedata_update" ) %> &nbsp;

</td></tr>



</table>





<p>



    <%= oH.button( oDec.k("edit_record_save"), true, "", stVerbPrefix + "_edit", "S" ) %>



    <%= oH.button( oDec.k("edit_record_back"), true, "", stVerbPrefix + "_list", "") %>



    <%= oH.button( oDec.k("edit_record_new"), (oC.getI("TABCBTS_id") > 0 ), "", stVerbPrefix + "_edit", "N") %>



    <%= oH.button( oDec.k("edit_record_clone"), (oC.getI("TABCBTS_id") > 0 ), "", stVerbPrefix + "_edit", "C") %>



    <%= oH.buttonScript( oDec.k("edit_record_delete"), (oC.getI("TABCBTS_id") > 0 ), "", "deleteSingleRecord('"+stVerbPrefix+"','"+oC.getS("TABCBTS_name")+"','"+oC.getS("TABCBTS_id")+"')") %>




</center>
--%>




<%@ include file="/includes/00_page_footer.jspf" %>



<%

// $Log: cfg2_cbts_edit.jsp,v $
// Revision 1.3  2015/09/28 08:41:11  marcos
// jsp/jspf refactoring.
//
// Revision 1.2  2015/05/08 10:57:55  marcos
// Merge 24 on trunk
//
// Revision 1.1.2.1  2015/02/10 15:22:42  marcos
// #2469: New centralized CBT tracking
//
// Revision 1.1.2.1  2014/11/04 08:47:25  marcos
// #2462 - RTTF: QM editors
//
%>
