<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%--
<style>

</style>
--%>
<%
    // inizializza Decodes
    oDec.load( "masterkeyAbilitato", "masterkey_abilitato.txt", 0, 1 );

    final String stVerbPrefix = "qm_cfg2_customblocks";
    final String stTabPrefix  = "TABCUSTOM_BLOCKS";
    String stWidth       = "" ;
    String stWidthShort  = "" ;
%>

<script>

    function onLoadApplicativo() {
        // transazione standard
        document.forms[0].<%= K.REQ_VERBO %>.value = "";
        document.forms[0].<%= K.REQ_PARAM %>.value = "";
        setFocus("TABCUSTOM_BLOCKS_title");
    }

</script>


<div class="qm-form-body">

    <fieldset class="qm-fieldset L-column L-gap-24">
        <legend><%= oDec.k("edit_record_customblocks_header") %></legend>

        <div class="qm-form-grid-3 uk-child-width-1-3@s" uk-grid>

            <label for="TABCUSTOM_BLOCKS_title"><%= oDec.k("edit_record_customblocks_title") %></label>
            <div><%= oH.textBox( "TABCUSTOM_BLOCKS_title", true, stWidth, 500 ) %></div>

            <label for="TABCUSTOM_BLOCKS_description"><%= oDec.k("edit_record_customblocks_description") %></label>
            <div><%= oH.textBox( "TABCUSTOM_BLOCKS_description", true, stWidth, 500 ) %></div>

            <label for="TABCUSTOM_BLOCKS_block_id"><%= oDec.k("edit_record_customblocks_block") %></label>
            <div><%= oH.textBox( "TABCUSTOM_BLOCKS_block_id", true, stWidth, 500 ) %></div>

            <label for="TABCUSTOM_BLOCKS_block_provider"><%= oDec.k("edit_record_customblocks_provider") %></label>
            <div><%= oH.combo( "TABCUSTOM_BLOCKS_block_provider", true, stWidth, oC.getLt( "DATI_customblocks_providers" ), 0, 1, oC.getS("selected_customblocks_provider"))%></div>

            <label for="TABCUSTOM_BLOCKS_source_body"><%= oDec.k("edit_record_customblocks_source_body") %></label>
            <div><%= oH.textArea( "TABCUSTOM_BLOCKS_source_body",  true, stWidth + "height: 90px;", 10000 ) %></div>

            <label for="TABCUSTOM_BLOCKS_graph_provider"><%= oDec.k("edit_record_customblocks_graph_provider") %></label>
            <div><%= oH.combo( "TABCUSTOM_BLOCKS_graph_provider", true, stWidth, oC.getLt( "DATI_customblocks_graph_providers" ), 0, 1, oC.getS("selected_customblocks_graph_provider"))%></div>

            <label for="TABCUSTOM_BLOCKS_graph_params"><%= oDec.k("edit_record_customblocks_graph_params") %></label>
            <div><%= oH.textArea( "TABCUSTOM_BLOCKS_graph_params",  true, stWidth + "height: 90px;", 10000 ) %></div>

            <label for="TABCUSTOM_BLOCKS_security_key"><%= oDec.k("edit_record_customblocks_securitykey") %></label>
            <div><%= oH.textBox( "TABCUSTOM_BLOCKS_security_key",  true, stWidth, 64 ) %></div>

            <label for="TABCUSTOM_BLOCKS_nomedata_insert"><%= oDec.k("edit_record_createdby") %></label>
            <div><%= oH.textBox( "TABCUSTOM_BLOCKS_nomedata_insert",  false, stWidth, 100 ) %></div>

            <label for="TABCUSTOM_BLOCKS_nomedata_update"><%= oDec.k("edit_record_lastupdate") %></label>
            <div><%= oH.textBox( "TABCUSTOM_BLOCKS_nomedata_update",  false, stWidth, 100 ) %></div>

        </div>

        <div class="L-row uk-flex-between">
            <%= oH.iconButton( "<span uk-icon='icon: chevron-left; ratio: 1'></span>"+oDec.k("edit_record_back"), true, "", stVerbPrefix + "_list", "", "Q-button-tertiary") %>
            <div class="L-row L-gap-16">
                <%= oH.button( oDec.k("edit_record_new"), (oC.getI("TABCUSTOM_BLOCKS_id") > 0 ), "", stVerbPrefix + "_edit", "N", "Q-button-secondary") %>
                <%= oH.button( oDec.k("edit_record_clone"), (oC.getI("TABCUSTOM_BLOCKS_id") > 0 ), "", stVerbPrefix + "_edit", "C", "Q-button-secondary") %>
                <%= oH.buttonScript( oDec.k("edit_record_delete"), (oC.getI("TABCUSTOM_BLOCKS_id") > 0 ), "", "deleteSingleRecord('"+stVerbPrefix+"','"+oC.getS("TABCUSTOM_BLOCKS_name")+"','"+oC.getS("TABCUSTOM_BLOCKS_id")+"')", "Q-button-secondary") %>
            </div>
            <%= oH.button( oDec.k("edit_record_save"), true, "", stVerbPrefix + "_edit", "S" ) %>
        </div>

    </fieldset>

</div>

<%@ include file="/includes/00_page_footer.jspf" %>

<%
// $Log: cfg2_reports_export_edit.jsp,v $
// Revision 1.5  2015/09/28 08:41:13  marcos
// jsp/jspf refactoring.
//
// Revision 1.4  2015/07/24 07:54:51  lenz
// Typo
//
// Revision 1.3  2014/05/19 09:46:35  lenz
// Merge FRANKIE
//
// Revision 1.2.4.1  2014/05/13 13:33:34  mirkox
// Nuova Grafica
//
// Revision 1.2  2013/02/15 11:16:56  marcos
// #1753: mail and export reports to PDF and Excel - Added orientation and header/footer with report time export
//
// Revision 1.1  2013/02/14 10:22:28  marcos
// #1753: mail and export reports to PDF and Excel
//
%>
