<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes

    oDec.load( "masterkeyAbilitato", "masterkey_abilitato.txt", 0, 1 );
    final String stVerbPrefix = "qm_cfg2_ivr";
    final String stTabPrefix  = "TABIVR";
    String stWidth = "";
%>

<script defer>
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";
  setFocus( "TABIVR_ivr_k" );
}
</script>


<div class="qm-form-body">
  <fieldset class="qm-fieldset L-column L-gap-24">
    <legend><%= oDec.k("edit_record_ivr_title") %></legend>

    <div class="qm-form-grid-3 uk-child-width-1-3@s" uk-grid>
      <label for="TABIVR_ivr_k"><%= oDec.k("edit_record_ivr_code") %></label>
      <div><%= oH.textBox( "TABIVR_ivr_k", true, stWidth, 100 ) %></div>

      <label for="TABIVR_ivr_v"><%= oDec.k("edit_record_description") %></label>
      <div><%= oH.textBox( "TABIVR_ivr_v", true, stWidth, 200 ) %></div>

      <label for="TABIVR_nomedata_insert"><%= oDec.k("edit_record_createdby") %></label>
      <div><%= oH.textBox("TABIVR_nomedata_insert",  false, stWidth, 100 ) %></div>

      <label for="TABIVR_nomedata_update"><%= oDec.k("edit_record_lastupdate") %></label>
      <div><%= oH.textBox( "TABIVR_nomedata_update",  false, stWidth, 100 ) %></div>
    </div>

    <div class="L-row uk-flex-between">
      <%= oH.iconButton( "<span uk-icon='icon: chevron-left; ratio: 1'></span>"+oDec.k("edit_record_back"), true, "", stVerbPrefix + "_list", "", "Q-button-tertiary") %>
      <div class="L-row L-gap-16">
        <%= oH.button( oDec.k("edit_record_new"), (oC.getI("TABIVR_ivr_id") > 0 ), "", stVerbPrefix + "_edit", "N", "Q-button-secondary") %>
        <%= oH.button( oDec.k("edit_record_clone"), (oC.getI("TABIVR_ivr_id") > 0 ), "", stVerbPrefix + "_edit", "C", "Q-button-secondary") %>
        <%= oH.buttonScript( oDec.k("edit_record_delete"), (oC.getI("TABIVR_ivr_id") > 0 ), "", "deleteSingleRecord('"+stVerbPrefix+"','"+oC.getS("TABIVR_ivr_k")+"','"+oC.getS("TABIVR_ivr_id")+"')", "Q-button-secondary") %>
      </div>
      <%= oH.button( oDec.k("edit_record_save"), true, "", stVerbPrefix + "_edit", "S" ) %>
    </div>
  </fieldset>
</div>


<%--
<center>
<h1><%= oDec.k("edit_record_ivr_title") %></h1>
<table class="ST">
<tr><td>
    <%= oDec.k("edit_record_ivr_code") %>
</td><td colspan="2">
    <%= oH.textBox( "TABIVR_ivr_k", true, stWidth, 100 ) %>
</td></tr>
<tr><td>
    <%= oDec.k("edit_record_description") %>
</td><td colspan="2">
    <%= oH.textBox( "TABIVR_ivr_v", true, stWidth, 200 ) %>
</td></tr>
<tr><td class="reg">
 <%= oDec.k("edit_record_createdby") %>
</td><td>
<%= oH.textBox( "TABIVR_nomedata_insert",  false, stWidth, 100 ) %>
</td></tr>
<tr><td class="reg">
<%= oDec.k("edit_record_lastupdate") %>
</td><td>
<%= oH.textBox( "TABIVR_nomedata_update",  false, stWidth, 100 ) %>
</td></tr>
</table>
<p>
    <%= oH.button( oDec.k("edit_record_save"), true, "", stVerbPrefix + "_edit", "S" ) %>
    <%= oH.button( oDec.k("edit_record_back"), true, "", stVerbPrefix + "_list", "") %>
    <%= oH.button( oDec.k("edit_record_new"), (oC.getI("TABIVR_ivr_id") > 0 ), "", stVerbPrefix + "_edit", "N") %>
    <%= oH.button( oDec.k("edit_record_clone"), (oC.getI("TABIVR_ivr_id") > 0 ), "", stVerbPrefix + "_edit", "C") %>
    <%= oH.buttonScript( oDec.k("edit_record_delete"), (oC.getI("TABIVR_ivr_id") > 0 ), "", "deleteSingleRecord('"+stVerbPrefix+"','"+oC.getS("TABIVR_ivr_k")+"','"+oC.getS("TABIVR_ivr_id")+"')") %>

</center>

--%>

<%@ include file="/includes/00_page_footer.jspf" %>

<%
// $Log: cfg2_ivr_edit.jsp,v $
// Revision 1.4  2015/09/28 08:41:11  marcos
// jsp/jspf refactoring.
//
// Revision 1.3  2014/05/19 09:46:33  lenz
// Merge FRANKIE
//
// Revision 1.2.8.1  2014/05/13 13:33:33  mirkox
// Nuova Grafica
//
// Revision 1.2  2011/11/24 17:16:44  marcos
// #1008: Link diretto a License page
//
// Revision 1.1  2011/02/19 10:35:03  lenz-mobile
// #1242 - Decoded IVR and DNIS fields
//
//
//
%>
