<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.transaction.db.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes
    //oDec.load( "ricerchePubbliche", "ricerchePubbliche.txt", 0, 1 );

    //--------------------------------------------------------------
    class CheckBoxDecor implements TpfCellDecoratorInterface {
            String stName = "";
            public CheckBoxDecor( String name) { stName = name; };
            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                boolean boChecked = (lt.getI(r, c ) != 0);
                StringBuffer sb = new StringBuffer();
                sb.append( "<input type='checkbox' ");
                sb.append( boChecked ? "CHECKED" : "" );
                sb.append( " name='I_").append( stName ).append( ";" ).append( r ).append( "' " );
                sb.append( " value='").append( lt.getI(r, 2 ) ).append("' >" );
                return  "  <td class='stData'><center>" + sb.toString() + "</center></td>\n";
            }
    };

%>

<script>
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "_list";
	document.forms[0].<%= K.REQ_PARAM %>.value = "WithQuery";
}
</script>

<div class="qm-form-body">
  <h1 class="qm-qadmh1"><%= oDec.k("edit_ssar_queues_title") %> <%= oC.getS("STAMPA_coda_scelta") %></h1>
  <%
      SmartTable T = new SmartTable( "x", oC.getLt("DATI_ag_membri") );
      T.addSortableColumn( oDec.k("edit_ssar_queues_code"), 1, "100", SmartTable.SORT_TEXT_CI );
      T.addSortableColumn( oDec.k("edit_record_description"), 0, "200", SmartTable.SORT_TEXT_CI );
      T.addColumn( oDec.k("edit_ssar_queues_assigned"),  3, "50", new CheckBoxDecor( "a" ) );
      T.withTableClass( "qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand" );
      out.println( T.render() );
  %>
  <div class="L-row uk-flex-between uk-margin-top">
    <%= oH.iconButton( "<span uk-icon='icon: chevron-left; ratio: 1'></span>"+oDec.k("edit_record_backtoallqueues") , true, "", "qm_cfg2_queues_list", "E", "Q-button-tertiary" ) %>
    <%= oH.button( oDec.k("edit_record_save"), true, "", "qm_cfg2_queues_ssar_agents_save", "") %>
  </div>
</div>

<%@ include file="/includes/00_page_footer.jspf" %>

<%
// $Log: cfg2_queues_ssar_agents.jsp,v $
// Revision 1.3  2015/09/28 08:41:13  marcos
// jsp/jspf refactoring.
//
// Revision 1.2  2014/05/19 09:46:35  lenz
// Merge FRANKIE
//
// Revision 1.1.8.1  2014/05/13 13:33:36  mirkox
// Nuova Grafica
//
// Revision 1.1  2012/07/13 09:25:41  marcos
// #1653 - SsAR - Queue Editor
//
//
//
%>
